IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg Package Document

  • Main Page
  • Data Structures
  • Files

IntelFrameworkModulePkg Package Document

0.94

Intel Framework Module Package.

This package contains the definitions and module implementation
which follows Intel EFI Framework Specification.

Copyright (c) 2007 - 2014, Intel Corporation. All rights reserved.

This program and the accompanying materials
are licensed and made available under the terms and conditions of the BSD License
which accompanies this distribution. The full text of the license may be found at
http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Known Issue

  • OPTIONAL macro for function parameter can not be dealed with doxygen, so it disapear in this document!

Package Basic Information

Version of DEC file specification | 0x00010005
Package Guid | 88894582-7553-4822-B484-624E24B6DECF

INDEX

  • Library Class
  • PCD
  • GUID
  • PROTOCOL
Generated on Fri Dec 19 16:55:45 2014 for IntelFrameworkModulePkg[ALL] by doxygen 1.5.7.1


IntelFrameworkModulePkg[ALL]: Library Class

IntelFrameworkModulePkg Package Document

Library Class

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » Library Class

common

INDEX

  • GenericBdsLib
  • PlatformBdsLib


IntelFrameworkModulePkg[ALL]: GenericBdsLib

IntelFrameworkModulePkg Package Document » Library Class » common

GenericBdsLib

Generic BDS library definition, include the data structure and function.

Refer to Header File

Include/Library/GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: PlatformBdsLib

IntelFrameworkModulePkg Package Document » Library Class » common

PlatformBdsLib

Platform BDS library definition about platform specific behavior.

Refer to Header File

Include/Library/PlatformBdsLib.h


IntelFrameworkModulePkg[ALL]: PCD

IntelFrameworkModulePkg Package Document

PCD

INDEX

  • PcdsDynamic
  • PcdsDynamicEx
  • PcdsFeatureFlag
  • PcdsFixedAtBuild
  • PcdsPatchableInModule


IntelFrameworkModulePkg[ALL]: PcdsDynamic

IntelFrameworkModulePkg Package Document » PCD

PcdsDynamic

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic

common

INDEX

  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootState
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHardwareErrorRecordLevel
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformBootTimeOut
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

Indicates if BiosVideo driver will check for VESA BIOS Extension service support.

TRUE - Check for VESA BIOS Extension service.

FALSE - Does not check for VESA BIOS Extension service.

Enable Check for VESA BIOS Extension Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVbeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000002 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

Indicates if BiosVideo driver will check for VGA service support.
NOTE: If both PcdBiosVideoCheckVbeEnable and PcdBiosVideoCheckVgaEnable are set to FALSE,
that means Graphics Output protocol will not be installed, the VGA miniport protocol will be installed instead.

TRUE - Check for VGA service.

FALSE - Does not check for VGA service.

Enable Check for VGA Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVgaEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000003 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

Indicates if BiosVideo driver will switch to 80x25 Text VGA Mode when exiting boot service.

TRUE - Switch to Text VGA Mode.

FALSE - Does not switch to Text VGA Mode.

Switch to Text VGA Mode on UEFI Boot

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoSetTextVgaModeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000001 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootState

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootState

Indicates if the machine has completed one boot cycle before.
After the complete boot, BootState will be set to FALSE.

TRUE - The complete boot cycle has not happened before.

FALSE - The complete boot cycle has happened before.

Boot State Flag

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBootState | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x0001002f | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

Specify memory size with bytes to reserve EBDA below 640K for OPROM.
The value should be a multiple of 4KB.
Reserved EBDA Memory Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize < 0xA0000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEbdaReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000005 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

Specify the end of address below 1MB for the OPROM.
The last shadowed OpROM should not exceed this address.
Top Address of Shadowed Legacy OpROM
0x80000001 | gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress < 0x100000

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEndOpromShadowAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000008 | UINT32 | 0xdffff


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

Indicates if to use the optimized timing for best PS2 detection performance.
Note this PCD could be set to TRUE for best boot performance and set to FALSE for best device compatibility.

TRUE - Use the optimized timing for best PS2 detection performance.

FALSE - Use the normal timing to detect PS2.

Enable fast PS2 detection

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFastPS2Detection | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000b | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

I/O Base address of floppy device controller.
I/O Base Address of Floppy Device Controller

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFdcBaseAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000000 | UINT16 | 0x3f0


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHardwareErrorRecordLevel

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHardwareErrorRecordLevel

Error level for hardware recorder.
If value 0, platform does not support feature of hardware error record.
Error Level For Hardware Recorder

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHardwareErrorRecordLevel | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000002 | UINT16 | 0


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

Specify the high PMM (Post Memory Manager) size with bytes above 1MB.
The value should be a multiple of 4KB.
High PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize & 0x1000) == 0

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHighPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000a | UINT32 | 0x400000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

Indicates if memory space for legacy region will be set as cacheable.

TRUE - Set cachebility for legacy region.

FALSE - Does not set cachebility for legacy region.

Enable Cachebility for Legacy Region

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLegacyBiosCacheLegacyRegion | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00000004 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

Specify the low PMM (Post Memory Manager) size with bytes below 1MB.
The value should be a multiple of 4KB.
Low PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize < 0x100000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLowPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000009 | UINT32 | 0x10000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

Specify memory base address for OPROM to find free memory.
Some OPROMs do not use EBDA or PMM to allocate memory for its usage,
instead they find the memory filled with zero from 0x20000.
The value should be a multiple of 4KB.
The range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemoryBase | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000c | UINT32 | 0x60000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

Specify memory size with bytes for OPROM to find free memory.
The value should be a multiple of 4KB. And the range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000d | UINT32 | 0x28000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformBootTimeOut

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformBootTimeOut

The number of seconds that the firmware will wait before initiating the original default boot selection.
A value of 0 indicates that the default boot selection is to be initiated immediately on boot.
The value of 0xFFFF then firmware will wait for user input before booting.
Boot Timeout (s)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPlatformBootTimeOut | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000001 | UINT16 | 0xffff


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

Specify memory size with page number for a pre-allocated reserved memory to be used
by PEI in S3 phase. The default size 32K. When changing the value make sure the memory size
is large enough to meet PEI requirement in the S3 phase.
Reserved S3 Boot ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3AcpiReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000006 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

Specify memory size for boot script executor stack usage in S3 phase.
The default size 32K. When changing the value make sure the memory size is large enough
to meet boot script executor requirement in the S3 phase.
Reserved S3 Boot Script Stack ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptStackSize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000007 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn

Specify the console output column of text setup.
Console Output Column of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupConOutColumn | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000003 | UINT32 | 80


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow

Specify the console output row of text setup.
Console Output Row of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupConOutRow | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000004 | UINT32 | 25


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution

Specify the video horizontal resolution of text setup.
Video Horizontal Resolution of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupVideoHorizontalResolution | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000001 | UINT32 | 800


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamic » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution

Specify the video vertical resolution of text setup.
Video Vertical Resolution of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupVideoVerticalResolution | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000002 | UINT32 | 600


IntelFrameworkModulePkg[ALL]: PcdsDynamicEx

IntelFrameworkModulePkg Package Document » PCD

PcdsDynamicEx

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx

common

INDEX

  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootState
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHardwareErrorRecordLevel
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformBootTimeOut
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

Indicates if BiosVideo driver will check for VESA BIOS Extension service support.

TRUE - Check for VESA BIOS Extension service.

FALSE - Does not check for VESA BIOS Extension service.

Enable Check for VESA BIOS Extension Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVbeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000002 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

Indicates if BiosVideo driver will check for VGA service support.
NOTE: If both PcdBiosVideoCheckVbeEnable and PcdBiosVideoCheckVgaEnable are set to FALSE,
that means Graphics Output protocol will not be installed, the VGA miniport protocol will be installed instead.

TRUE - Check for VGA service.

FALSE - Does not check for VGA service.

Enable Check for VGA Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVgaEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000003 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

Indicates if BiosVideo driver will switch to 80x25 Text VGA Mode when exiting boot service.

TRUE - Switch to Text VGA Mode.

FALSE - Does not switch to Text VGA Mode.

Switch to Text VGA Mode on UEFI Boot

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoSetTextVgaModeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000001 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootState

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootState

Indicates if the machine has completed one boot cycle before.
After the complete boot, BootState will be set to FALSE.

TRUE - The complete boot cycle has not happened before.

FALSE - The complete boot cycle has happened before.

Boot State Flag

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBootState | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x0001002f | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

Specify memory size with bytes to reserve EBDA below 640K for OPROM.
The value should be a multiple of 4KB.
Reserved EBDA Memory Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize < 0xA0000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEbdaReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000005 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

Specify the end of address below 1MB for the OPROM.
The last shadowed OpROM should not exceed this address.
Top Address of Shadowed Legacy OpROM
0x80000001 | gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress < 0x100000

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEndOpromShadowAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000008 | UINT32 | 0xdffff


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

Indicates if to use the optimized timing for best PS2 detection performance.
Note this PCD could be set to TRUE for best boot performance and set to FALSE for best device compatibility.

TRUE - Use the optimized timing for best PS2 detection performance.

FALSE - Use the normal timing to detect PS2.

Enable fast PS2 detection

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFastPS2Detection | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000b | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

I/O Base address of floppy device controller.
I/O Base Address of Floppy Device Controller

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFdcBaseAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000000 | UINT16 | 0x3f0


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHardwareErrorRecordLevel

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHardwareErrorRecordLevel

Error level for hardware recorder.
If value 0, platform does not support feature of hardware error record.
Error Level For Hardware Recorder

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHardwareErrorRecordLevel | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000002 | UINT16 | 0


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

Specify the high PMM (Post Memory Manager) size with bytes above 1MB.
The value should be a multiple of 4KB.
High PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize & 0x1000) == 0

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHighPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000a | UINT32 | 0x400000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

Indicates if memory space for legacy region will be set as cacheable.

TRUE - Set cachebility for legacy region.

FALSE - Does not set cachebility for legacy region.

Enable Cachebility for Legacy Region

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLegacyBiosCacheLegacyRegion | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00000004 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

Specify the low PMM (Post Memory Manager) size with bytes below 1MB.
The value should be a multiple of 4KB.
Low PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize < 0x100000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLowPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000009 | UINT32 | 0x10000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

Specify memory base address for OPROM to find free memory.
Some OPROMs do not use EBDA or PMM to allocate memory for its usage,
instead they find the memory filled with zero from 0x20000.
The value should be a multiple of 4KB.
The range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemoryBase | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000c | UINT32 | 0x60000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

Specify memory size with bytes for OPROM to find free memory.
The value should be a multiple of 4KB. And the range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000d | UINT32 | 0x28000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformBootTimeOut

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformBootTimeOut

The number of seconds that the firmware will wait before initiating the original default boot selection.
A value of 0 indicates that the default boot selection is to be initiated immediately on boot.
The value of 0xFFFF then firmware will wait for user input before booting.
Boot Timeout (s)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPlatformBootTimeOut | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000001 | UINT16 | 0xffff


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

Specify memory size with page number for a pre-allocated reserved memory to be used
by PEI in S3 phase. The default size 32K. When changing the value make sure the memory size
is large enough to meet PEI requirement in the S3 phase.
Reserved S3 Boot ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3AcpiReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000006 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

Specify memory size for boot script executor stack usage in S3 phase.
The default size 32K. When changing the value make sure the memory size is large enough
to meet boot script executor requirement in the S3 phase.
Reserved S3 Boot Script Stack ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptStackSize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000007 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn

Specify the console output column of text setup.
Console Output Column of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupConOutColumn | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000003 | UINT32 | 80


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow

Specify the console output row of text setup.
Console Output Row of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupConOutRow | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000004 | UINT32 | 25


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution

Specify the video horizontal resolution of text setup.
Video Horizontal Resolution of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupVideoHorizontalResolution | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000001 | UINT32 | 800


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution

IntelFrameworkModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution

Specify the video vertical resolution of text setup.
Video Vertical Resolution of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupVideoVerticalResolution | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000002 | UINT32 | 600


IntelFrameworkModulePkg[ALL]: PcdsFeatureFlag

IntelFrameworkModulePkg Package Document » PCD

PcdsFeatureFlag

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag

common

INDEX

  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootlogoOnlyEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdInstallAcpiSupportProtocol
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSerialUseHalfHandshake
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformCsmSupport
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPs2KbdExtendedVerification
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPs2MouseExtendedVerification
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdStatusCodeUseDataHub
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdStatusCodeUseOEM


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootlogoOnlyEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBootlogoOnlyEnable

Indicates if only Boot logo is showed and all message output is disabled in BDS.

TRUE - Only Boot Logo is showed in boot.

FALSE - All messages and Boot Logo are showed in boot.

Enable Boot Logo only

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBootlogoOnlyEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010048 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdInstallAcpiSupportProtocol

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdInstallAcpiSupportProtocol

Indicates if Framework Acpi Support protocol is installed.

TRUE - Install Framework Acpi Support protocol.

FALSE - Doesn't install Framework Acpi Support protocol.

Enable Framework Acpi Support

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdInstallAcpiSupportProtocol | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010046 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSerialUseHalfHandshake

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSerialUseHalfHandshake

Indicates if Serial device uses half hand shake.

TRUE - Serial device uses half hand shake.

FALSE - Serial device doesn't use half hand shake.

Enable Serial device Half Hand Shake

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdIsaBusSerialUseHalfHandshake | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010043 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformCsmSupport

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPlatformCsmSupport

Indicates if Legacy support is needed for ACPI S3 Save.

TRUE - Support Legacy OS with S3 boot.

FALSE - Does not support Legacy OS with S3 boot.

Turn on Legacy Support in S3 Boot

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPlatformCsmSupport | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010044 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPs2KbdExtendedVerification

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPs2KbdExtendedVerification

Indicates if PS2 keyboard does a extended verification during start.
Extended verification will take some performance. It can be set to FALSE for boot performance.

TRUE - Turn on PS2 keyboard extended verification.

FALSE - Turn off PS2 keyboard extended verification.

Turn on PS2 Keyboard Extended Verification

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPs2KbdExtendedVerification | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010045 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPs2MouseExtendedVerification

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdPs2MouseExtendedVerification

Indicates if PS2 mouse does a extended verification during start.
Extended verification will take some performance. It can be set to FALSE for boot performance.

TRUE - Turn on PS2 mouse extended verification.

FALSE - Turn off PS2 mouse extended verification.

Turn on PS2 Mouse Extended Verification

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPs2MouseExtendedVerification | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010047 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdStatusCodeUseDataHub

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdStatusCodeUseDataHub

Indicates if StatusCode report is loged into DataHub.

TRUE - Log StatusCode report into DataHub.

FALSE - Does not log StatusCode report into DataHub.

Log StatusCode into DataHub

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeUseDataHub | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010029 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdStatusCodeUseOEM

IntelFrameworkModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdStatusCodeUseOEM

Indicates if OEM device is enabled as StatusCode report device.
It is only used in Framework StatusCode implementation.

TRUE - Enable OEM device.

FALSE - Disable OEM device.

Report StatusCode via OEM Device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeUseOEM | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010024 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: PcdsFixedAtBuild

IntelFrameworkModulePkg Package Document » PCD

PcdsFixedAtBuild

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild

common

INDEX

  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLogoFile
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdShellFile


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

Indicates if BiosVideo driver will check for VESA BIOS Extension service support.

TRUE - Check for VESA BIOS Extension service.

FALSE - Does not check for VESA BIOS Extension service.

Enable Check for VESA BIOS Extension Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVbeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000002 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

Indicates if BiosVideo driver will check for VGA service support.
NOTE: If both PcdBiosVideoCheckVbeEnable and PcdBiosVideoCheckVgaEnable are set to FALSE,
that means Graphics Output protocol will not be installed, the VGA miniport protocol will be installed instead.

TRUE - Check for VGA service.

FALSE - Does not check for VGA service.

Enable Check for VGA Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVgaEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000003 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

Indicates if BiosVideo driver will switch to 80x25 Text VGA Mode when exiting boot service.

TRUE - Switch to Text VGA Mode.

FALSE - Does not switch to Text VGA Mode.

Switch to Text VGA Mode on UEFI Boot

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoSetTextVgaModeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000001 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

Specify memory size with bytes to reserve EBDA below 640K for OPROM.
The value should be a multiple of 4KB.
Reserved EBDA Memory Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize < 0xA0000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEbdaReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000005 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

Specify the end of address below 1MB for the OPROM.
The last shadowed OpROM should not exceed this address.
Top Address of Shadowed Legacy OpROM
0x80000001 | gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress < 0x100000

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEndOpromShadowAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000008 | UINT32 | 0xdffff


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

Indicates if to use the optimized timing for best PS2 detection performance.
Note this PCD could be set to TRUE for best boot performance and set to FALSE for best device compatibility.

TRUE - Use the optimized timing for best PS2 detection performance.

FALSE - Use the normal timing to detect PS2.

Enable fast PS2 detection

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFastPS2Detection | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000b | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

I/O Base address of floppy device controller.
I/O Base Address of Floppy Device Controller

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFdcBaseAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000000 | UINT16 | 0x3f0


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

Specify the high PMM (Post Memory Manager) size with bytes above 1MB.
The value should be a multiple of 4KB.
High PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize & 0x1000) == 0

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHighPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000a | UINT32 | 0x400000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures

ISA Bus features to support DMA, SlaveDMA and ISA Memory.

BIT0 indicates if DMA is supported<BR>
BIT1 indicates if only slave DMA is supported<BR>
BIT2 indicates if ISA memory is supported<BR>
Other BITs are reseved and must be zero.
If more than one features are supported, the different BIT will be enabled at the same time.
ISA Bus Features
0x80000002 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures & 0xF8) == 0

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdIsaBusSupportedFeatures | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010040 | UINT8 | 0x05


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

Indicates if memory space for legacy region will be set as cacheable.

TRUE - Set cachebility for legacy region.

FALSE - Does not set cachebility for legacy region.

Enable Cachebility for Legacy Region

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLegacyBiosCacheLegacyRegion | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00000004 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLogoFile

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLogoFile

FFS filename to find the default BMP Logo file.
FFS Name of Boot Logo File

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLogoFile | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000003 | VOID* | { 0x99, 0x8b, 0xB2, 0x7B, 0xBB, 0x61, 0xD5, 0x11, 0x9A, 0x5D, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D }


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

Specify the low PMM (Post Memory Manager) size with bytes below 1MB.
The value should be a multiple of 4KB.
Low PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize < 0x100000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLowPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000009 | UINT32 | 0x10000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

Specify memory base address for OPROM to find free memory.
Some OPROMs do not use EBDA or PMM to allocate memory for its usage,
instead they find the memory filled with zero from 0x20000.
The value should be a multiple of 4KB.
The range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemoryBase | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000c | UINT32 | 0x60000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

Specify memory size with bytes for OPROM to find free memory.
The value should be a multiple of 4KB. And the range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000d | UINT32 | 0x28000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

Specify memory size with page number for a pre-allocated reserved memory to be used
by PEI in S3 phase. The default size 32K. When changing the value make sure the memory size
is large enough to meet PEI requirement in the S3 phase.
Reserved S3 Boot ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3AcpiReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000006 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

Specify memory size for boot script executor stack usage in S3 phase.
The default size 32K. When changing the value make sure the memory size is large enough
to meet boot script executor requirement in the S3 phase.
Reserved S3 Boot Script Stack ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptStackSize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000007 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdShellFile

IntelFrameworkModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdShellFile

FFS filename to find the shell application.
FFS Name of Shell Application

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdShellFile | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000004 | VOID* | { 0xB7, 0xD6, 0x7A, 0xC5, 0x15, 0x05, 0xA8, 0x40, 0x9D, 0x21, 0x55, 0x16, 0x52, 0x85, 0x4E, 0x37 }


IntelFrameworkModulePkg[ALL]: PcdsPatchableInModule

IntelFrameworkModulePkg Package Document » PCD

PcdsPatchableInModule

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule

common

INDEX

  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLogoFile
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdShellFile


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVbeEnable

Indicates if BiosVideo driver will check for VESA BIOS Extension service support.

TRUE - Check for VESA BIOS Extension service.

FALSE - Does not check for VESA BIOS Extension service.

Enable Check for VESA BIOS Extension Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVbeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000002 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoCheckVgaEnable

Indicates if BiosVideo driver will check for VGA service support.
NOTE: If both PcdBiosVideoCheckVbeEnable and PcdBiosVideoCheckVgaEnable are set to FALSE,
that means Graphics Output protocol will not be installed, the VGA miniport protocol will be installed instead.

TRUE - Check for VGA service.

FALSE - Does not check for VGA service.

Enable Check for VGA Service

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoCheckVgaEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000003 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdBiosVideoSetTextVgaModeEnable

Indicates if BiosVideo driver will switch to 80x25 Text VGA Mode when exiting boot service.

TRUE - Switch to Text VGA Mode.

FALSE - Does not switch to Text VGA Mode.

Switch to Text VGA Mode on UEFI Boot

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBiosVideoSetTextVgaModeEnable | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000001 | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize

Specify memory size with bytes to reserve EBDA below 640K for OPROM.
The value should be a multiple of 4KB.
Reserved EBDA Memory Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize < 0xA0000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEbdaReservedMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEbdaReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000005 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress

Specify the end of address below 1MB for the OPROM.
The last shadowed OpROM should not exceed this address.
Top Address of Shadowed Legacy OpROM
0x80000001 | gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdEndOpromShadowAddress < 0x100000

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEndOpromShadowAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000008 | UINT32 | 0xdffff


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFastPS2Detection

Indicates if to use the optimized timing for best PS2 detection performance.
Note this PCD could be set to TRUE for best boot performance and set to FALSE for best device compatibility.

TRUE - Use the optimized timing for best PS2 detection performance.

FALSE - Use the normal timing to detect PS2.

Enable fast PS2 detection

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFastPS2Detection | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000b | BOOLEAN | FALSE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdFdcBaseAddress

I/O Base address of floppy device controller.
I/O Base Address of Floppy Device Controller

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFdcBaseAddress | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000000 | UINT16 | 0x3f0


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize

Specify the high PMM (Post Memory Manager) size with bytes above 1MB.
The value should be a multiple of 4KB.
High PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdHighPmmMemorySize & 0x1000) == 0

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHighPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000a | UINT32 | 0x400000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures

ISA Bus features to support DMA, SlaveDMA and ISA Memory.

BIT0 indicates if DMA is supported<BR>
BIT1 indicates if only slave DMA is supported<BR>
BIT2 indicates if ISA memory is supported<BR>
Other BITs are reseved and must be zero.
If more than one features are supported, the different BIT will be enabled at the same time.
ISA Bus Features
0x80000002 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdIsaBusSupportedFeatures & 0xF8) == 0

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdIsaBusSupportedFeatures | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00010040 | UINT8 | 0x05


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLegacyBiosCacheLegacyRegion

Indicates if memory space for legacy region will be set as cacheable.

TRUE - Set cachebility for legacy region.

FALSE - Does not set cachebility for legacy region.

Enable Cachebility for Legacy Region

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLegacyBiosCacheLegacyRegion | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x00000004 | BOOLEAN | TRUE


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLogoFile

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLogoFile

FFS filename to find the default BMP Logo file.
FFS Name of Boot Logo File

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLogoFile | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000003 | VOID* | { 0x99, 0x8b, 0xB2, 0x7B, 0xBB, 0x61, 0xD5, 0x11, 0x9A, 0x5D, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D }


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize

Specify the low PMM (Post Memory Manager) size with bytes below 1MB.
The value should be a multiple of 4KB.
Low PMM (Post Memory Manager) Size
0x80000001 | (gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize < 0x100000) AND ((gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdLowPmmMemorySize & 0x1000) == 0)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLowPmmMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000009 | UINT32 | 0x10000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemoryBase

Specify memory base address for OPROM to find free memory.
Some OPROMs do not use EBDA or PMM to allocate memory for its usage,
instead they find the memory filled with zero from 0x20000.
The value should be a multiple of 4KB.
The range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemoryBase | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000c | UINT32 | 0x60000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdOpromReservedMemorySize

Specify memory size with bytes for OPROM to find free memory.
The value should be a multiple of 4KB. And the range should be below the EBDA reserved range from
(CONVENTIONAL_MEMORY_TOP - Reserved EBDA Memory Size) to CONVENTIONAL_MEMORY_TOP.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdOpromReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x3000000d | UINT32 | 0x28000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3AcpiReservedMemorySize

Specify memory size with page number for a pre-allocated reserved memory to be used
by PEI in S3 phase. The default size 32K. When changing the value make sure the memory size
is large enough to meet PEI requirement in the S3 phase.
Reserved S3 Boot ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3AcpiReservedMemorySize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000006 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdS3BootScriptStackSize

Specify memory size for boot script executor stack usage in S3 phase.
The default size 32K. When changing the value make sure the memory size is large enough
to meet boot script executor requirement in the S3 phase.
Reserved S3 Boot Script Stack ACPI Memory Size

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptStackSize | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x30000007 | UINT32 | 0x8000


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutColumn

Specify the console output column of text setup.
Console Output Column of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupConOutColumn | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000003 | UINT32 | 80


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupConOutRow

Specify the console output row of text setup.
Console Output Row of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupConOutRow | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000004 | UINT32 | 25


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoHorizontalResolution

Specify the video horizontal resolution of text setup.
Video Horizontal Resolution of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupVideoHorizontalResolution | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000001 | UINT32 | 800


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdSetupVideoVerticalResolution

Specify the video vertical resolution of text setup.
Video Vertical Resolution of Text Setup

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSetupVideoVerticalResolution | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x50000002 | UINT32 | 600


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdShellFile

IntelFrameworkModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid.PcdShellFile

FFS filename to find the shell application.
FFS Name of Shell Application

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdShellFile | gEfiIntelFrameworkModulePkgTokenSpaceGuid | 0x40000004 | VOID* | { 0xB7, 0xD6, 0x7A, 0xC5, 0x15, 0x05, 0xA8, 0x40, 0x9D, 0x21, 0x55, 0x16, 0x52, 0x85, 0x4E, 0x37 }


IntelFrameworkModulePkg[ALL]: GUID

IntelFrameworkModulePkg Package Document

GUID

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » GUID

common

INDEX

  • gBdsLibStringPackageGuid
  • gBlockIoVendorGuid
  • gBootMaintFormSetGuid
  • gBootManagerFormSetGuid
  • gDeviceManagerFormSetGuid
  • gDriverHealthFormSetGuid
  • gEfiAcpiVariableCompatiblityGuid
  • gEfiDataHubStatusCodeRecordGuid
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid
  • gEfiLegacyBiosGuid
  • gEfiLegacyDevOrderVariableGuid
  • gEfiUpdateDataFileGuid
  • gFileExploreFormSetGuid
  • gFrontPageFormSetGuid
  • gHdBootDevicePathVariablGuid
  • gLastEnumLangGuid
  • gLzmaCustomDecompressGuid
  • gLzmaF86CustomDecompressGuid
  • gTianoCustomDecompressGuid


IntelFrameworkModulePkg[ALL]: gBdsLibStringPackageGuid

IntelFrameworkModulePkg Package Document » GUID » common

gBdsLibStringPackageGuid

Include/Guid/BdsLibHii.h

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsLibHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gBdsLibStringPackageGuid | { 0x3b4d9b23, 0x95ac, 0x44f6, {0x9f, 0xcd, 0xe, 0x95, 0x94, 0x58, 0x6c, 0x72 }}


IntelFrameworkModulePkg[ALL]: gBlockIoVendorGuid

IntelFrameworkModulePkg Package Document » GUID » common

gBlockIoVendorGuid

Include/Guid/BlockIoVendor.h

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BlockIoVendor.h

GUID Information

GUID's Guid Name | GUID's Guid
gBlockIoVendorGuid | { 0xcf31fac5, 0xc24e, 0x11d2, {0x85, 0xf3, 0x0, 0xa0, 0xc9, 0x3e, 0xc9, 0x3b }}


IntelFrameworkModulePkg[ALL]: gBootMaintFormSetGuid

IntelFrameworkModulePkg Package Document » GUID » common

gBootMaintFormSetGuid

GUIDs used as HII FormSet and HII Package list GUID in BdsDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gBootMaintFormSetGuid | { 0x642237c7, 0x35d4, 0x472d, {0x83, 0x65, 0x12, 0xe0, 0xcc, 0xf2, 0x7a, 0x22 }}


IntelFrameworkModulePkg[ALL]: gBootManagerFormSetGuid

IntelFrameworkModulePkg Package Document » GUID » common

gBootManagerFormSetGuid

GUIDs used as HII FormSet and HII Package list GUID in BdsDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gBootManagerFormSetGuid | { 0x847bc3fe, 0xb974, 0x446d, {0x94, 0x49, 0x5a, 0xd5, 0x41, 0x2e, 0x99, 0x3b }}


IntelFrameworkModulePkg[ALL]: gDeviceManagerFormSetGuid

IntelFrameworkModulePkg Package Document » GUID » common

gDeviceManagerFormSetGuid

GUIDs used as HII FormSet and HII Package list GUID in BdsDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gDeviceManagerFormSetGuid | { 0x3ebfa8e6, 0x511d, 0x4b5b, {0xa9, 0x5f, 0xfb, 0x38, 0x26, 0xf, 0x1c, 0x27 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsHii.h


IntelFrameworkModulePkg[ALL]: gDriverHealthFormSetGuid

IntelFrameworkModulePkg Package Document » GUID » common

gDriverHealthFormSetGuid

GUIDs used as HII FormSet and HII Package list GUID in BdsDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gDriverHealthFormSetGuid | { 0xf76e0a70, 0xb5ed, 0x4c38, {0xac, 0x9a, 0xe5, 0xf5, 0x4b, 0xf1, 0x6e, 0x34 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsHii.h


IntelFrameworkModulePkg[ALL]: gEfiAcpiVariableCompatiblityGuid

IntelFrameworkModulePkg Package Document » GUID » common

gEfiAcpiVariableCompatiblityGuid

Include/Guid/AcpiVariable.h

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/AcpiVariableCompatibility.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiAcpiVariableCompatiblityGuid | { 0xc020489e, 0x6db2, 0x4ef2, { 0x9a, 0xa5, 0xca, 0x6, 0xfc, 0x11, 0xd3, 0x6a }}


IntelFrameworkModulePkg[ALL]: gEfiDataHubStatusCodeRecordGuid

IntelFrameworkModulePkg Package Document » GUID » common

gEfiDataHubStatusCodeRecordGuid

GUID identifies Data Hub records logged by Status Code Runtime Protocol.
Include/Guid/DataHubStatusCodeRecord.h

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/DataHubStatusCodeRecord.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiDataHubStatusCodeRecordGuid | { 0xD083E94C, 0x6560, 0x42E4, { 0xB6, 0xD4, 0x2D, 0xF7, 0x5A, 0xDF, 0x6A, 0x2A }}


IntelFrameworkModulePkg[ALL]: gEfiIntelFrameworkModulePkgTokenSpaceGuid

IntelFrameworkModulePkg Package Document » GUID » common

gEfiIntelFrameworkModulePkgTokenSpaceGuid

IntelFrameworkModule package token space guid
Include/Guid/IntelFrameworkModulePkgTokenSpace.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiIntelFrameworkModulePkgTokenSpaceGuid | { 0xD3705011, 0xBC19, 0x4af7, { 0xBE, 0x16, 0xF6, 0x80, 0x30, 0x37, 0x8C, 0x15 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/IntelFrameworkModulePkgTokenSpace.h


IntelFrameworkModulePkg[ALL]: gEfiLegacyBiosGuid

IntelFrameworkModulePkg Package Document » GUID » common

gEfiLegacyBiosGuid

Include/Guid/LegacyBios.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiLegacyBiosGuid | { 0x2E3044AC, 0x879F, 0x490F, { 0x97, 0x60, 0xBB, 0xDF, 0xAF, 0x69, 0x5F, 0x50 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/LegacyBios.h


IntelFrameworkModulePkg[ALL]: gEfiLegacyDevOrderVariableGuid

IntelFrameworkModulePkg Package Document » GUID » common

gEfiLegacyDevOrderVariableGuid

Include/Guid/LegacyDevOrder.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiLegacyDevOrderVariableGuid | { 0xa56074db, 0x65fe, 0x45f7, {0xbd, 0x21, 0x2d, 0x2b, 0xdd, 0x8e, 0x96, 0x52 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/LegacyDevOrder.h


IntelFrameworkModulePkg[ALL]: gEfiUpdateDataFileGuid

IntelFrameworkModulePkg Package Document » GUID » common

gEfiUpdateDataFileGuid

Include/Guid/CapsuleDataFile.h

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/CapsuleDataFile.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiUpdateDataFileGuid | { 0x283fa2ee, 0x532c, 0x484d, { 0x93, 0x83, 0x9f, 0x93, 0xb3, 0x6f, 0xb, 0x7e }}


IntelFrameworkModulePkg[ALL]: gFileExploreFormSetGuid

IntelFrameworkModulePkg Package Document » GUID » common

gFileExploreFormSetGuid

GUIDs used as HII FormSet and HII Package list GUID in BdsDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gFileExploreFormSetGuid | { 0x1f2d63e1, 0xfebd, 0x4dc7, {0x9c, 0xc5, 0xba, 0x2b, 0x1c, 0xef, 0x9c, 0x5b }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsHii.h


IntelFrameworkModulePkg[ALL]: gFrontPageFormSetGuid

IntelFrameworkModulePkg Package Document » GUID » common

gFrontPageFormSetGuid

Include/Guid/BdsHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gFrontPageFormSetGuid | { 0x9e0c30bc, 0x3f06, 0x4ba6, {0x82, 0x88, 0x9, 0x17, 0x9b, 0x85, 0x5d, 0xbe }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/BdsHii.h


IntelFrameworkModulePkg[ALL]: gHdBootDevicePathVariablGuid

IntelFrameworkModulePkg Package Document » GUID » common

gHdBootDevicePathVariablGuid

Include/Guid/HdBootVariable.h

GUID Information

GUID's Guid Name | GUID's Guid
gHdBootDevicePathVariablGuid | { 0xfab7e9e1, 0x39dd, 0x4f2b, {0x84, 0x8, 0xe2, 0xe, 0x90, 0x6c, 0xb6, 0xde }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/HdBootVariable.h


IntelFrameworkModulePkg[ALL]: gLastEnumLangGuid

IntelFrameworkModulePkg Package Document » GUID » common

gLastEnumLangGuid

Include/Guid/LastEnumLang.h

GUID Information

GUID's Guid Name | GUID's Guid
gLastEnumLangGuid | { 0xe8c545b, 0xa2ee, 0x470d, {0x8e, 0x26, 0xbd, 0xa1, 0xa1, 0x3c, 0xa, 0xa3 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/LastEnumLang.h


IntelFrameworkModulePkg[ALL]: gLzmaCustomDecompressGuid

IntelFrameworkModulePkg Package Document » GUID » common

gLzmaCustomDecompressGuid

GUID indicates the LZMA custom compress/decompress algorithm.
Include/Guid/LzmaDecompress.h

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/LzmaDecompress.h

GUID Information

GUID's Guid Name | GUID's Guid
gLzmaCustomDecompressGuid | { 0xEE4E5898, 0x3914, 0x4259, { 0x9D, 0x6E, 0xDC, 0x7B, 0xD7, 0x94, 0x03, 0xCF }}


IntelFrameworkModulePkg[ALL]: gLzmaF86CustomDecompressGuid

IntelFrameworkModulePkg Package Document » GUID » common

gLzmaF86CustomDecompressGuid

Lzma Custom decompress algorithm Guid definition.

Copyright (c) 2009 - 2012, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gLzmaF86CustomDecompressGuid | { 0xD42AE6BD, 0x1352, 0x4bfb, { 0x90, 0x9A, 0xCA, 0x72, 0xA6, 0xEA, 0xE8, 0x89 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/LzmaDecompress.h


IntelFrameworkModulePkg[ALL]: gTianoCustomDecompressGuid

IntelFrameworkModulePkg Package Document » GUID » common

gTianoCustomDecompressGuid

GUID indicates the tiano custom compress/decompress algorithm.
Include/Guid/TianoDecompress.h

GUID Information

GUID's Guid Name | GUID's Guid
gTianoCustomDecompressGuid | { 0xA31280AD, 0x481E, 0x41B6, { 0x95, 0xE8, 0x12, 0x7F, 0x4C, 0x98, 0x47, 0x79 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Guid/TianoDecompress.h


IntelFrameworkModulePkg[ALL]: PROTOCOL

IntelFrameworkModulePkg Package Document

PROTOCOL

INDEX

  • common


IntelFrameworkModulePkg[ALL]: common

IntelFrameworkModulePkg Package Document » PROTOCOL

common

INDEX

  • gEfiIsaAcpiProtocolGuid
  • gEfiIsaIoProtocolGuid
  • gEfiOEMBadgingProtocolGuid
  • gEfiPs2PolicyProtocolGuid
  • gEfiVgaMiniPortProtocolGuid
  • gExitPmAuthProtocolGuid


IntelFrameworkModulePkg[ALL]: gEfiIsaAcpiProtocolGuid

IntelFrameworkModulePkg Package Document » PROTOCOL » common

gEfiIsaAcpiProtocolGuid

ISA Acpi Protocol is used to operate and communicate with ISA device.
Include/Protocol/IsaAcpi.h

Refer to Header File

IntelFrameworkModulePkg/Include/Protocol/IsaAcpi.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiIsaAcpiProtocolGuid | { 0x64a892dc, 0x5561, 0x4536, { 0x92, 0xc7, 0x79, 0x9b, 0xfc, 0x18, 0x33, 0x55 }}


IntelFrameworkModulePkg[ALL]: gEfiIsaIoProtocolGuid

IntelFrameworkModulePkg Package Document » PROTOCOL » common

gEfiIsaIoProtocolGuid

ISA I/O Protocol is used to perform ISA device Io/Mem operations.
Include/Protocol/IsaIo.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiIsaIoProtocolGuid | { 0x7ee2bd44, 0x3da0, 0x11d4, { 0x9a, 0x38, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d }}

Refer to Header File

IntelFrameworkModulePkg/Include/Protocol/IsaIo.h


IntelFrameworkModulePkg[ALL]: gEfiOEMBadgingProtocolGuid

IntelFrameworkModulePkg Package Document » PROTOCOL » common

gEfiOEMBadgingProtocolGuid

OEM Badging Protocol defines the interface to get the OEM badging image with the dispaly attribute.
Include/Protocol/OEMBadging.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiOEMBadgingProtocolGuid | { 0x170E13C0, 0xBF1B, 0x4218, { 0x87, 0x1D, 0x2A, 0xBD, 0xC6, 0xF8, 0x87, 0xBC }}

Refer to Header File

IntelFrameworkModulePkg/Include/Protocol/OEMBadging.h


IntelFrameworkModulePkg[ALL]: gEfiPs2PolicyProtocolGuid

IntelFrameworkModulePkg Package Document » PROTOCOL » common

gEfiPs2PolicyProtocolGuid

PS/2 policy protocol abstracts the specific platform initialization and setting.
Include/Protocol/Ps2Policy.h

Refer to Header File

IntelFrameworkModulePkg/Include/Protocol/Ps2Policy.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiPs2PolicyProtocolGuid | { 0x4DF19259, 0xDC71, 0x4D46, { 0xBE, 0xF1, 0x35, 0x7B, 0xB5, 0x78, 0xC4, 0x18 }}


IntelFrameworkModulePkg[ALL]: gEfiVgaMiniPortProtocolGuid

IntelFrameworkModulePkg Package Document » PROTOCOL » common

gEfiVgaMiniPortProtocolGuid

Vga Mini port binding for a VGA controller
Include/Protocol/VgaMiniPort.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiVgaMiniPortProtocolGuid | { 0xc7735a2f, 0x88f5, 0x4882, { 0xae, 0x63, 0xfa, 0xac, 0x8c, 0x8b, 0x86, 0xb3 }}

Refer to Header File

IntelFrameworkModulePkg/Include/Protocol/VgaMiniPort.h


IntelFrameworkModulePkg[ALL]: gExitPmAuthProtocolGuid

IntelFrameworkModulePkg Package Document » PROTOCOL » common

gExitPmAuthProtocolGuid

Include/Protocol/ExitPmAuth.h

Refer to Header File

IntelFrameworkModulePkg/Include/Protocol/ExitPmAuth.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gExitPmAuthProtocolGuid | { 0xd088a413, 0xa70, 0x4217, { 0xba, 0x55, 0x9a, 0x3c, 0xb6, 0x5c, 0x41, 0xb3 }}


IntelFrameworkModulePkg[ALL]: Data Structures

  • Data Fields

Data Structures

Here are the data structures with brief descriptions:
_EFI_ISA_ACPI_PROTOCOL
_EFI_ISA_IO_PROTOCOL
_EFI_OEM_BADGING_PROTOCOL
_EFI_VGA_MINI_PORT_PROTOCOL
ACPI_CPU_DATA_COMPATIBILITY
ACPI_VARIABLE_SET_COMPATIBILITY
BDS_COMMON_OPTION
BDS_CONSOLE_CONNECT_ENTRY
BLOCKIO_VENDOR_DEVICE_PATH
DATA_HUB_STATUS_CODE_DATA_RECORD
DEVICE_PATH_STRING_TABLE
EFI_ISA_ACPI_DEVICE_ID
EFI_ISA_ACPI_RESOURCE
EFI_ISA_ACPI_RESOURCE_LIST
EFI_ISA_IO_PROTOCOL_ACCESS
EFI_PS2_POLICY_PROTOCOL
ISCSI_DEVICE_PATH_WITH_NAME
LEGACY_DEV_ORDER_ENTRY
POOL_PRINT
VENDOR_DEVICE_PATH_WITH_DATA


IntelFrameworkModulePkg[ALL]: _EFI_ISA_ACPI_PROTOCOL Struct Reference

  • Data Fields

_EFI_ISA_ACPI_PROTOCOL Struct Reference

Data Fields

EFI_ISA_ACPI_DEVICE_ENUMERATE DeviceEnumerate
EFI_ISA_ACPI_SET_DEVICE_POWER SetPower
EFI_ISA_ACPI_GET_CUR_RESOURCE GetCurResource
EFI_ISA_ACPI_GET_POS_RESOURCE GetPosResource
EFI_ISA_ACPI_SET_RESOURCE SetResource
EFI_ISA_ACPI_ENABLE_DEVICE EnableDevice
EFI_ISA_ACPI_INIT_DEVICE InitDevice
EFI_ISA_ACPI_INTERFACE_INIT InterfaceInit

Detailed Description

The EFI_ISA_ACPI_PROTOCOL provides the services to enumerate and manage ISA controllers on an ISA bus. These services include the ability to initialize, enable, disable, and manage the power state of ISA controllers. It also includes services to query current resources, query possible resources, and assign resources to an ISA controller.

Field Documentation

EFI_ISA_ACPI_DEVICE_ENUMERATE _EFI_ISA_ACPI_PROTOCOL::DeviceEnumerate

EFI_ISA_ACPI_ENABLE_DEVICE _EFI_ISA_ACPI_PROTOCOL::EnableDevice

EFI_ISA_ACPI_GET_CUR_RESOURCE _EFI_ISA_ACPI_PROTOCOL::GetCurResource

EFI_ISA_ACPI_GET_POS_RESOURCE _EFI_ISA_ACPI_PROTOCOL::GetPosResource

EFI_ISA_ACPI_INIT_DEVICE _EFI_ISA_ACPI_PROTOCOL::InitDevice

EFI_ISA_ACPI_INTERFACE_INIT _EFI_ISA_ACPI_PROTOCOL::InterfaceInit

EFI_ISA_ACPI_SET_DEVICE_POWER _EFI_ISA_ACPI_PROTOCOL::SetPower

EFI_ISA_ACPI_SET_RESOURCE _EFI_ISA_ACPI_PROTOCOL::SetResource


IntelFrameworkModulePkg[ALL]: _EFI_ISA_IO_PROTOCOL Struct Reference

  • Data Fields

_EFI_ISA_IO_PROTOCOL Struct Reference

Data Fields

EFI_ISA_IO_PROTOCOL_ACCESS Mem
EFI_ISA_IO_PROTOCOL_ACCESS Io
EFI_ISA_IO_PROTOCOL_COPY_MEM CopyMem
EFI_ISA_IO_PROTOCOL_MAP Map
EFI_ISA_IO_PROTOCOL_UNMAP Unmap
EFI_ISA_IO_PROTOCOL_ALLOCATE_BUFFER AllocateBuffer
EFI_ISA_IO_PROTOCOL_FREE_BUFFER FreeBuffer
EFI_ISA_IO_PROTOCOL_FLUSH Flush
EFI_ISA_ACPI_RESOURCE_LIST * ResourceList
UINT32 | RomSize
VOID * | RomImage

Detailed Description

The EFI_ISA_IO_PROTOCOL provides the basic Memory, I/O, and DMA interfaces used to abstract accesses to ISA controllers. There is one EFI_ISA_IO_PROTOCOL instance for each ISA controller on a ISA bus. A device driver that wishes to manage an ISA controller in a system will have to retrieve the ISA_PCI_IO_PROTOCOL instance associated with the ISA controller.

Field Documentation

EFI_ISA_IO_PROTOCOL_ALLOCATE_BUFFER _EFI_ISA_IO_PROTOCOL::AllocateBuffer

EFI_ISA_IO_PROTOCOL_COPY_MEM _EFI_ISA_IO_PROTOCOL::CopyMem

EFI_ISA_IO_PROTOCOL_FLUSH _EFI_ISA_IO_PROTOCOL::Flush

EFI_ISA_IO_PROTOCOL_FREE_BUFFER _EFI_ISA_IO_PROTOCOL::FreeBuffer

EFI_ISA_IO_PROTOCOL_ACCESS _EFI_ISA_IO_PROTOCOL::Io

EFI_ISA_IO_PROTOCOL_MAP _EFI_ISA_IO_PROTOCOL::Map

EFI_ISA_IO_PROTOCOL_ACCESS _EFI_ISA_IO_PROTOCOL::Mem

EFI_ISA_ACPI_RESOURCE_LIST* _EFI_ISA_IO_PROTOCOL::ResourceList

The list of I/O , MMIO, DMA, and Interrupt resources associated with the ISA controller abstracted by this instance of the EFI_ISA_IO_PROTOCOL.

VOID* _EFI_ISA_IO_PROTOCOL::RomImage

A pointer to the in memory copy of the ROM image. The ISA Bus Driver is responsible for allocating memory for the ROM image, and copying the contents of the ROM to memory during ISA Bus initialization.

UINT32 _EFI_ISA_IO_PROTOCOL::RomSize

The size, in bytes, of the ROM image.

EFI_ISA_IO_PROTOCOL_UNMAP _EFI_ISA_IO_PROTOCOL::Unmap


IntelFrameworkModulePkg[ALL]: _EFI_OEM_BADGING_PROTOCOL Struct Reference

  • Data Fields

_EFI_OEM_BADGING_PROTOCOL Struct Reference

Data Fields

EFI_BADGING_GET_IMAGE GetImage

Field Documentation

EFI_BADGING_GET_IMAGE _EFI_OEM_BADGING_PROTOCOL::GetImage


IntelFrameworkModulePkg[ALL]: _EFI_VGA_MINI_PORT_PROTOCOL Struct Reference

  • Data Fields

_EFI_VGA_MINI_PORT_PROTOCOL Struct Reference

Data Fields

EFI_VGA_MINI_PORT_SET_MODE SetMode
UINT64 | VgaMemoryOffset
UINT64 | CrtcAddressRegisterOffset
UINT64 | CrtcDataRegisterOffset
UINT8 | VgaMemoryBar
UINT8 | CrtcAddressRegisterBar
UINT8 | CrtcDataRegisterBar
UINT8 | MaxMode

Field Documentation

UINT8 _EFI_VGA_MINI_PORT_PROTOCOL::CrtcAddressRegisterBar

PCI Controller I/O BAR index of the VGA CRTC address register. Typically set to EFI_PCI_IO_PASS_THROUGH_BAR

UINT64 _EFI_VGA_MINI_PORT_PROTOCOL::CrtcAddressRegisterOffset

I/O Port address for the VGA CRTC address register. Typically set to 0x3D4.

UINT8 _EFI_VGA_MINI_PORT_PROTOCOL::CrtcDataRegisterBar

PCI Controller I/O BAR index of the VGA CRTC data register. Typically set to EFI_PCI_IO_PASS_THROUGH_BAR

UINT64 _EFI_VGA_MINI_PORT_PROTOCOL::CrtcDataRegisterOffset

I/O Port address for the VGA CRTC data register. Typically set to 0x3D5.

UINT8 _EFI_VGA_MINI_PORT_PROTOCOL::MaxMode

The maximum number of text modes that this VGA controller supports.

EFI_VGA_MINI_PORT_SET_MODE _EFI_VGA_MINI_PORT_PROTOCOL::SetMode

UINT8 _EFI_VGA_MINI_PORT_PROTOCOL::VgaMemoryBar

PCI Controller MMIO BAR index of the VGA text mode frame buffer. Typically set to EFI_PCI_IO_PASS_THROUGH_BAR

UINT64 _EFI_VGA_MINI_PORT_PROTOCOL::VgaMemoryOffset

MMIO base address of the VGA text mode framebuffer. Typically set to 0xB8000.


IntelFrameworkModulePkg[ALL]: ACPI_CPU_DATA_COMPATIBILITY Struct Reference

  • Data Fields

ACPI_CPU_DATA_COMPATIBILITY Struct Reference

Data Fields

BOOLEAN | APState
BOOLEAN | S3BootPath
EFI_PHYSICAL_ADDRESS | WakeUpBuffer
EFI_PHYSICAL_ADDRESS | GdtrProfile
EFI_PHYSICAL_ADDRESS | IdtrProfile
EFI_PHYSICAL_ADDRESS | CpuPrivateData
EFI_PHYSICAL_ADDRESS | StackAddress
EFI_PHYSICAL_ADDRESS | MicrocodePointerBuffer
EFI_PHYSICAL_ADDRESS | SmramBase
EFI_PHYSICAL_ADDRESS | SmmStartImageBase
UINT32 | SmmStartImageSize
UINT32 | NumberOfCpus

Field Documentation

BOOLEAN ACPI_CPU_DATA_COMPATIBILITY::APState

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::CpuPrivateData

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::GdtrProfile

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::IdtrProfile

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::MicrocodePointerBuffer

UINT32 ACPI_CPU_DATA_COMPATIBILITY::NumberOfCpus

BOOLEAN ACPI_CPU_DATA_COMPATIBILITY::S3BootPath

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::SmmStartImageBase

UINT32 ACPI_CPU_DATA_COMPATIBILITY::SmmStartImageSize

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::SmramBase

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::StackAddress

EFI_PHYSICAL_ADDRESS ACPI_CPU_DATA_COMPATIBILITY::WakeUpBuffer


IntelFrameworkModulePkg[ALL]: ACPI_VARIABLE_SET_COMPATIBILITY Struct Reference

  • Data Fields

ACPI_VARIABLE_SET_COMPATIBILITY Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | AcpiReservedMemoryBase
UINT32 | AcpiReservedMemorySize
EFI_PHYSICAL_ADDRESS | S3ReservedLowMemoryBase
EFI_PHYSICAL_ADDRESS | AcpiBootScriptTable
EFI_PHYSICAL_ADDRESS | RuntimeScriptTableBase
EFI_PHYSICAL_ADDRESS | AcpiFacsTable
UINT64 | SystemMemoryLength
ACPI_CPU_DATA_COMPATIBILITY AcpiCpuData
EFI_PHYSICAL_ADDRESS | VideoOpromAddress
UINT32 | VideoOpromSize
EFI_PHYSICAL_ADDRESS | S3DebugBufferAddress
EFI_PHYSICAL_ADDRESS | S3ResumeNvsEntryPoint

Field Documentation

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::AcpiBootScriptTable

ACPI_CPU_DATA_COMPATIBILITY ACPI_VARIABLE_SET_COMPATIBILITY::AcpiCpuData

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::AcpiFacsTable

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::AcpiReservedMemoryBase

UINT32 ACPI_VARIABLE_SET_COMPATIBILITY::AcpiReservedMemorySize

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::RuntimeScriptTableBase

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::S3DebugBufferAddress

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::S3ReservedLowMemoryBase

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::S3ResumeNvsEntryPoint

UINT64 ACPI_VARIABLE_SET_COMPATIBILITY::SystemMemoryLength

EFI_PHYSICAL_ADDRESS ACPI_VARIABLE_SET_COMPATIBILITY::VideoOpromAddress

UINT32 ACPI_VARIABLE_SET_COMPATIBILITY::VideoOpromSize


IntelFrameworkModulePkg[ALL]: BDS_COMMON_OPTION Struct Reference

  • Data Fields

BDS_COMMON_OPTION Struct Reference

Data Fields

UINTN | Signature
LIST_ENTRY | Link
EFI_DEVICE_PATH_PROTOCOL * | DevicePath
CHAR16 * | OptionName
UINTN | OptionNumber
UINT16 | BootCurrent
UINT32 | Attribute
CHAR16 * | Description
VOID * | LoadOptions
UINT32 | LoadOptionsSize
CHAR16 * | StatusString

Field Documentation

UINT32 BDS_COMMON_OPTION::Attribute

UINT16 BDS_COMMON_OPTION::BootCurrent

CHAR16* BDS_COMMON_OPTION::Description

EFI_DEVICE_PATH_PROTOCOL* BDS_COMMON_OPTION::DevicePath

LIST_ENTRY BDS_COMMON_OPTION::Link

VOID* BDS_COMMON_OPTION::LoadOptions

UINT32 BDS_COMMON_OPTION::LoadOptionsSize

CHAR16* BDS_COMMON_OPTION::OptionName

UINTN BDS_COMMON_OPTION::OptionNumber

UINTN BDS_COMMON_OPTION::Signature

CHAR16* BDS_COMMON_OPTION::StatusString


IntelFrameworkModulePkg[ALL]: BDS_CONSOLE_CONNECT_ENTRY Struct Reference

  • Data Fields

BDS_CONSOLE_CONNECT_ENTRY Struct Reference

Data Fields

EFI_DEVICE_PATH_PROTOCOL * | DevicePath
UINTN | ConnectType

Field Documentation

UINTN BDS_CONSOLE_CONNECT_ENTRY::ConnectType

EFI_DEVICE_PATH_PROTOCOL* BDS_CONSOLE_CONNECT_ENTRY::DevicePath


IntelFrameworkModulePkg[ALL]: BLOCKIO_VENDOR_DEVICE_PATH Struct Reference

  • Data Fields

BLOCKIO_VENDOR_DEVICE_PATH Struct Reference

Data Fields

VENDOR_DEVICE_PATH | DevicePath
UINT8 | LegacyDriveLetter

Field Documentation

VENDOR_DEVICE_PATH BLOCKIO_VENDOR_DEVICE_PATH::DevicePath

UINT8 BLOCKIO_VENDOR_DEVICE_PATH::LegacyDriveLetter


IntelFrameworkModulePkg[ALL]: DATA_HUB_STATUS_CODE_DATA_RECORD Struct Reference

  • Data Fields

DATA_HUB_STATUS_CODE_DATA_RECORD Struct Reference

Data Fields

EFI_STATUS_CODE_TYPE | CodeType
EFI_STATUS_CODE_VALUE | Value
UINT32 | Instance
EFI_GUID | CallerId
EFI_STATUS_CODE_DATA | Data

Detailed Description

The Data Hub data record that is used to store all the parameters passed into the ReportStatusCode() service of the EFI_STATUS_CODE_PROTOCOL.

Field Documentation

EFI_GUID DATA_HUB_STATUS_CODE_DATA_RECORD::CallerId

Identify the caller.

EFI_STATUS_CODE_TYPE DATA_HUB_STATUS_CODE_DATA_RECORD::CodeType

Status Code type to be reported.

EFI_STATUS_CODE_DATA DATA_HUB_STATUS_CODE_DATA_RECORD::Data

Additional status code data.

UINT32 DATA_HUB_STATUS_CODE_DATA_RECORD::Instance

The enumeration of a hardware or software entity within the system. Valid instance numbers start with 1.

EFI_STATUS_CODE_VALUE DATA_HUB_STATUS_CODE_DATA_RECORD::Value

An operation, plus value information about the class and subclass, used to classify the hardware and software entity.


IntelFrameworkModulePkg[ALL]: DEVICE_PATH_STRING_TABLE Struct Reference

  • Data Fields

DEVICE_PATH_STRING_TABLE Struct Reference

Data Fields

UINT8 | Type
UINT8 | SubType
DEV_PATH_FUNCTION Function

Field Documentation

DEV_PATH_FUNCTION DEVICE_PATH_STRING_TABLE::Function

UINT8 DEVICE_PATH_STRING_TABLE::SubType

UINT8 DEVICE_PATH_STRING_TABLE::Type


IntelFrameworkModulePkg[ALL]: EFI_ISA_ACPI_DEVICE_ID Struct Reference

  • Data Fields

EFI_ISA_ACPI_DEVICE_ID Struct Reference

Data Fields

UINT32 | HID
The ACPI Hardware Identifier value associated with an ISA controller. Matchs ACPI DSDT contents.
UINT32 | UID
The ACPI Unique Identifier value associated with an ISA controller. Matches ACPI DSDT contents.

Detailed Description

EFI ISA ACPI resource device identifier

Field Documentation

UINT32 EFI_ISA_ACPI_DEVICE_ID::HID

The ACPI Hardware Identifier value associated with an ISA controller. Matchs ACPI DSDT contents.

UINT32 EFI_ISA_ACPI_DEVICE_ID::UID

The ACPI Unique Identifier value associated with an ISA controller. Matches ACPI DSDT contents.


IntelFrameworkModulePkg[ALL]: EFI_ISA_ACPI_RESOURCE Struct Reference

  • Data Fields

EFI_ISA_ACPI_RESOURCE Struct Reference

Data Fields

EFI_ISA_ACPI_RESOURCE_TYPE Type
The type of resource (I/O, MMIO, DMA, Interrupt).
UINT32 | Attribute
Bit mask of attributes associated with this resource. See EFI_ISA_ACPI_xxx macros for valid combinations.
UINT32 | StartRange
The start of the resource range.
UINT32 | EndRange
The end of the resource range.

Detailed Description

EFI ISA ACPI generic resource structure

Field Documentation

UINT32 EFI_ISA_ACPI_RESOURCE::Attribute

Bit mask of attributes associated with this resource. See EFI_ISA_ACPI_xxx macros for valid combinations.

UINT32 EFI_ISA_ACPI_RESOURCE::EndRange

The end of the resource range.

UINT32 EFI_ISA_ACPI_RESOURCE::StartRange

The start of the resource range.

EFI_ISA_ACPI_RESOURCE_TYPE EFI_ISA_ACPI_RESOURCE::Type

The type of resource (I/O, MMIO, DMA, Interrupt).


IntelFrameworkModulePkg[ALL]: EFI_ISA_ACPI_RESOURCE_LIST Struct Reference

  • Data Fields

EFI_ISA_ACPI_RESOURCE_LIST Struct Reference

Data Fields

EFI_ISA_ACPI_DEVICE_ID Device
The ACPI HID/UID associated with an ISA controller.
EFI_ISA_ACPI_RESOURCE * ResourceItem
A pointer to the list of resources associated with an ISA controller.

Detailed Description

EFI ISA ACPI resource list

Field Documentation

EFI_ISA_ACPI_DEVICE_ID EFI_ISA_ACPI_RESOURCE_LIST::Device

The ACPI HID/UID associated with an ISA controller.

EFI_ISA_ACPI_RESOURCE* EFI_ISA_ACPI_RESOURCE_LIST::ResourceItem

A pointer to the list of resources associated with an ISA controller.


IntelFrameworkModulePkg[ALL]: EFI_ISA_IO_PROTOCOL_ACCESS Struct Reference

  • Data Fields

EFI_ISA_IO_PROTOCOL_ACCESS Struct Reference

Data Fields

EFI_ISA_IO_PROTOCOL_IO_MEM Read
EFI_ISA_IO_PROTOCOL_IO_MEM Write

Detailed Description

Structure of functions for accessing ISA I/O and MMIO space.

Field Documentation

EFI_ISA_IO_PROTOCOL_IO_MEM EFI_ISA_IO_PROTOCOL_ACCESS::Read

Read from ISA I/O or MMIO space.

EFI_ISA_IO_PROTOCOL_IO_MEM EFI_ISA_IO_PROTOCOL_ACCESS::Write

Write to ISA I/O or MMIO space.


IntelFrameworkModulePkg[ALL]: EFI_PS2_POLICY_PROTOCOL Struct Reference

  • Data Fields

EFI_PS2_POLICY_PROTOCOL Struct Reference

Data Fields

UINT8 | KeyboardLight
EFI_PS2_INIT_HARDWARE | Ps2InitHardware

Field Documentation

UINT8 EFI_PS2_POLICY_PROTOCOL::KeyboardLight

EFI_PS2_INIT_HARDWARE EFI_PS2_POLICY_PROTOCOL::Ps2InitHardware


IntelFrameworkModulePkg[ALL]: ISCSI_DEVICE_PATH_WITH_NAME Struct Reference

  • Data Fields

ISCSI_DEVICE_PATH_WITH_NAME Struct Reference

Data Fields

EFI_DEVICE_PATH_PROTOCOL | Header
UINT16 | NetworkProtocol
UINT16 | LoginOption
UINT64 | Lun
UINT16 | TargetPortalGroupTag
CHAR16 | TargetName [1]

Field Documentation

EFI_DEVICE_PATH_PROTOCOL ISCSI_DEVICE_PATH_WITH_NAME::Header

UINT16 ISCSI_DEVICE_PATH_WITH_NAME::LoginOption

UINT64 ISCSI_DEVICE_PATH_WITH_NAME::Lun

UINT16 ISCSI_DEVICE_PATH_WITH_NAME::NetworkProtocol

CHAR16 ISCSI_DEVICE_PATH_WITH_NAME::TargetName[1]

UINT16 ISCSI_DEVICE_PATH_WITH_NAME::TargetPortalGroupTag


IntelFrameworkModulePkg[ALL]: LEGACY_DEV_ORDER_ENTRY Struct Reference

  • Data Fields

LEGACY_DEV_ORDER_ENTRY Struct Reference

Data Fields

BBS_TYPE BbsType
UINT16 | Length
UINT16 | Data [1]

Field Documentation

BBS_TYPE LEGACY_DEV_ORDER_ENTRY::BbsType

UINT16 LEGACY_DEV_ORDER_ENTRY::Data[1]

UINT16 LEGACY_DEV_ORDER_ENTRY::Length

Length = sizeof (UINT16) + sizeof (Data)


IntelFrameworkModulePkg[ALL]: POOL_PRINT Struct Reference

  • Data Fields

POOL_PRINT Struct Reference

Data Fields

CHAR16 * | Str
UINTN | Len
UINTN | Maxlen

Field Documentation

UINTN POOL_PRINT::Len

UINTN POOL_PRINT::Maxlen

CHAR16* POOL_PRINT::Str


IntelFrameworkModulePkg[ALL]: VENDOR_DEVICE_PATH_WITH_DATA Struct Reference

  • Data Fields

VENDOR_DEVICE_PATH_WITH_DATA Struct Reference

Data Fields

EFI_DEVICE_PATH_PROTOCOL | Header
EFI_GUID | Guid
UINT8 | VendorDefinedData [1]

Field Documentation

EFI_GUID VENDOR_DEVICE_PATH_WITH_DATA::Guid

EFI_DEVICE_PATH_PROTOCOL VENDOR_DEVICE_PATH_WITH_DATA::Header

UINT8 VENDOR_DEVICE_PATH_WITH_DATA::VendorDefinedData[1]


IntelFrameworkModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- a -

  • AcpiBootScriptTable : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiCpuData : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiFacsTable : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiReservedMemoryBase : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiReservedMemorySize : ACPI_VARIABLE_SET_COMPATIBILITY
  • AllocateBuffer : _EFI_ISA_IO_PROTOCOL
  • APState : ACPI_CPU_DATA_COMPATIBILITY
  • Attribute : BDS_COMMON_OPTION , EFI_ISA_ACPI_RESOURCE

- b -

  • BbsType : LEGACY_DEV_ORDER_ENTRY
  • BootCurrent : BDS_COMMON_OPTION

- c -

  • CallerId : DATA_HUB_STATUS_CODE_DATA_RECORD
  • CodeType : DATA_HUB_STATUS_CODE_DATA_RECORD
  • ConnectType : BDS_CONSOLE_CONNECT_ENTRY
  • CopyMem : _EFI_ISA_IO_PROTOCOL
  • CpuPrivateData : ACPI_CPU_DATA_COMPATIBILITY
  • CrtcAddressRegisterBar : _EFI_VGA_MINI_PORT_PROTOCOL
  • CrtcAddressRegisterOffset : _EFI_VGA_MINI_PORT_PROTOCOL
  • CrtcDataRegisterBar : _EFI_VGA_MINI_PORT_PROTOCOL
  • CrtcDataRegisterOffset : _EFI_VGA_MINI_PORT_PROTOCOL

- d -

  • Data : DATA_HUB_STATUS_CODE_DATA_RECORD , LEGACY_DEV_ORDER_ENTRY
  • Description : BDS_COMMON_OPTION
  • Device : EFI_ISA_ACPI_RESOURCE_LIST
  • DeviceEnumerate : _EFI_ISA_ACPI_PROTOCOL
  • DevicePath : BDS_CONSOLE_CONNECT_ENTRY , BDS_COMMON_OPTION , BLOCKIO_VENDOR_DEVICE_PATH

- e -

  • EnableDevice : _EFI_ISA_ACPI_PROTOCOL
  • EndRange : EFI_ISA_ACPI_RESOURCE

- f -

  • Flush : _EFI_ISA_IO_PROTOCOL
  • FreeBuffer : _EFI_ISA_IO_PROTOCOL
  • Function : DEVICE_PATH_STRING_TABLE

- g -

  • GdtrProfile : ACPI_CPU_DATA_COMPATIBILITY
  • GetCurResource : _EFI_ISA_ACPI_PROTOCOL
  • GetImage : _EFI_OEM_BADGING_PROTOCOL
  • GetPosResource : _EFI_ISA_ACPI_PROTOCOL
  • Guid : VENDOR_DEVICE_PATH_WITH_DATA

- h -

  • Header : VENDOR_DEVICE_PATH_WITH_DATA , ISCSI_DEVICE_PATH_WITH_NAME
  • HID : EFI_ISA_ACPI_DEVICE_ID

- i -

  • IdtrProfile : ACPI_CPU_DATA_COMPATIBILITY
  • InitDevice : _EFI_ISA_ACPI_PROTOCOL
  • Instance : DATA_HUB_STATUS_CODE_DATA_RECORD
  • InterfaceInit : _EFI_ISA_ACPI_PROTOCOL
  • Io : _EFI_ISA_IO_PROTOCOL

- k -

  • KeyboardLight : EFI_PS2_POLICY_PROTOCOL

- l -

  • LegacyDriveLetter : BLOCKIO_VENDOR_DEVICE_PATH
  • Len : POOL_PRINT
  • Length : LEGACY_DEV_ORDER_ENTRY
  • Link : BDS_COMMON_OPTION
  • LoadOptions : BDS_COMMON_OPTION
  • LoadOptionsSize : BDS_COMMON_OPTION
  • LoginOption : ISCSI_DEVICE_PATH_WITH_NAME
  • Lun : ISCSI_DEVICE_PATH_WITH_NAME

- m -

  • Map : _EFI_ISA_IO_PROTOCOL
  • Maxlen : POOL_PRINT
  • MaxMode : _EFI_VGA_MINI_PORT_PROTOCOL
  • Mem : _EFI_ISA_IO_PROTOCOL
  • MicrocodePointerBuffer : ACPI_CPU_DATA_COMPATIBILITY

- n -

  • NetworkProtocol : ISCSI_DEVICE_PATH_WITH_NAME
  • NumberOfCpus : ACPI_CPU_DATA_COMPATIBILITY

- o -

  • OptionName : BDS_COMMON_OPTION
  • OptionNumber : BDS_COMMON_OPTION

- p -

  • Ps2InitHardware : EFI_PS2_POLICY_PROTOCOL

- r -

  • Read : EFI_ISA_IO_PROTOCOL_ACCESS
  • ResourceItem : EFI_ISA_ACPI_RESOURCE_LIST
  • ResourceList : _EFI_ISA_IO_PROTOCOL
  • RomImage : _EFI_ISA_IO_PROTOCOL
  • RomSize : _EFI_ISA_IO_PROTOCOL
  • RuntimeScriptTableBase : ACPI_VARIABLE_SET_COMPATIBILITY

- s -

  • S3BootPath : ACPI_CPU_DATA_COMPATIBILITY
  • S3DebugBufferAddress : ACPI_VARIABLE_SET_COMPATIBILITY
  • S3ReservedLowMemoryBase : ACPI_VARIABLE_SET_COMPATIBILITY
  • S3ResumeNvsEntryPoint : ACPI_VARIABLE_SET_COMPATIBILITY
  • SetMode : _EFI_VGA_MINI_PORT_PROTOCOL
  • SetPower : _EFI_ISA_ACPI_PROTOCOL
  • SetResource : _EFI_ISA_ACPI_PROTOCOL
  • Signature : BDS_COMMON_OPTION
  • SmmStartImageBase : ACPI_CPU_DATA_COMPATIBILITY
  • SmmStartImageSize : ACPI_CPU_DATA_COMPATIBILITY
  • SmramBase : ACPI_CPU_DATA_COMPATIBILITY
  • StackAddress : ACPI_CPU_DATA_COMPATIBILITY
  • StartRange : EFI_ISA_ACPI_RESOURCE
  • StatusString : BDS_COMMON_OPTION
  • Str : POOL_PRINT
  • SubType : DEVICE_PATH_STRING_TABLE
  • SystemMemoryLength : ACPI_VARIABLE_SET_COMPATIBILITY

- t -

  • TargetName : ISCSI_DEVICE_PATH_WITH_NAME
  • TargetPortalGroupTag : ISCSI_DEVICE_PATH_WITH_NAME
  • Type : DEVICE_PATH_STRING_TABLE , EFI_ISA_ACPI_RESOURCE

- u -

  • UID : EFI_ISA_ACPI_DEVICE_ID
  • Unmap : _EFI_ISA_IO_PROTOCOL

- v -

  • Value : DATA_HUB_STATUS_CODE_DATA_RECORD
  • VendorDefinedData : VENDOR_DEVICE_PATH_WITH_DATA
  • VgaMemoryBar : _EFI_VGA_MINI_PORT_PROTOCOL
  • VgaMemoryOffset : _EFI_VGA_MINI_PORT_PROTOCOL
  • VideoOpromAddress : ACPI_VARIABLE_SET_COMPATIBILITY
  • VideoOpromSize : ACPI_VARIABLE_SET_COMPATIBILITY

- w -

  • WakeUpBuffer : ACPI_CPU_DATA_COMPATIBILITY
  • Write : EFI_ISA_IO_PROTOCOL_ACCESS


IntelFrameworkModulePkg[ALL]: File Index

  • File List
  • Globals

File List

Here is a list of all files with brief descriptions:
IntelFrameworkModulePkg/IntelFrameworkModulePkg.dec.decdoxygen
IntelFrameworkModulePkg/Include/Guid/AcpiVariableCompatibility.h
IntelFrameworkModulePkg/Include/Guid/BdsHii.h
IntelFrameworkModulePkg/Include/Guid/BdsLibHii.h
IntelFrameworkModulePkg/Include/Guid/BlockIoVendor.h
IntelFrameworkModulePkg/Include/Guid/CapsuleDataFile.h
IntelFrameworkModulePkg/Include/Guid/DataHubStatusCodeRecord.h
IntelFrameworkModulePkg/Include/Guid/HdBootVariable.h
IntelFrameworkModulePkg/Include/Guid/IntelFrameworkModulePkgTokenSpace.h
IntelFrameworkModulePkg/Include/Guid/LastEnumLang.h
IntelFrameworkModulePkg/Include/Guid/LegacyBios.h
IntelFrameworkModulePkg/Include/Guid/LegacyDevOrder.h
IntelFrameworkModulePkg/Include/Guid/LzmaDecompress.h
IntelFrameworkModulePkg/Include/Guid/TianoDecompress.h
IntelFrameworkModulePkg/Include/Library/GenericBdsLib.h
IntelFrameworkModulePkg/Include/Library/PlatformBdsLib.h
IntelFrameworkModulePkg/Include/Protocol/ExitPmAuth.h
IntelFrameworkModulePkg/Include/Protocol/IsaAcpi.h
IntelFrameworkModulePkg/Include/Protocol/IsaIo.h
IntelFrameworkModulePkg/Include/Protocol/OEMBadging.h
IntelFrameworkModulePkg/Include/Protocol/Ps2Policy.h
IntelFrameworkModulePkg/Include/Protocol/VgaMiniPort.h


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/AcpiVariableCompatibility.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/AcpiVariableCompatibility.h File Reference

Data Structures

struct | ACPI_CPU_DATA_COMPATIBILITY
struct | ACPI_VARIABLE_SET_COMPATIBILITY

Defines

#define | EFI_ACPI_VARIABLE_COMPATIBILITY_GUID
#define | ACPI_GLOBAL_VARIABLE L"AcpiGlobalVariable"

Variables

EFI_GUID | gEfiAcpiVariableCompatiblityGuid

Detailed Description

Definitions for data structures used in S3 resume.

Copyright (c) 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define ACPI_GLOBAL_VARIABLE L"AcpiGlobalVariable"

#define EFI_ACPI_VARIABLE_COMPATIBILITY_GUID

Value:

{ \
    0xc020489e, 0x6db2, 0x4ef2, {0x9a, 0xa5, 0xca, 0x6, 0xfc, 0x11, 0xd3, 0x6a } \
  }

Variable Documentation

EFI_GUID gEfiAcpiVariableCompatiblityGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/BdsHii.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/BdsHii.h File Reference

Defines

#define | FRONT_PAGE_FORMSET_GUID
#define | BOOT_MANAGER_FORMSET_GUID
#define | DEVICE_MANAGER_FORMSET_GUID
#define | DRIVER_HEALTH_FORMSET_GUID
#define | BOOT_MAINT_FORMSET_GUID
#define | FILE_EXPLORE_FORMSET_GUID

Variables

EFI_GUID | gFrontPageFormSetGuid
EFI_GUID | gBootMaintFormSetGuid
EFI_GUID | gFileExploreFormSetGuid
EFI_GUID | gBootManagerFormSetGuid
EFI_GUID | gDeviceManagerFormSetGuid
EFI_GUID | gDriverHealthFormSetGuid

Detailed Description

GUIDs used as HII FormSet and HII Package list GUID in BdsDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BOOT_MAINT_FORMSET_GUID

Value:

{ \
  0x642237c7, 0x35d4, 0x472d, {0x83, 0x65, 0x12, 0xe0, 0xcc, 0xf2, 0x7a, 0x22} \
  }

#define BOOT_MANAGER_FORMSET_GUID

Value:

{ \
  0x847bc3fe, 0xb974, 0x446d, {0x94, 0x49, 0x5a, 0xd5, 0x41, 0x2e, 0x99, 0x3b} \
  }

#define DEVICE_MANAGER_FORMSET_GUID

Value:

{ \
  0x3ebfa8e6, 0x511d, 0x4b5b, {0xa9, 0x5f, 0xfb, 0x38, 0x26, 0xf, 0x1c, 0x27} \
  }

#define DRIVER_HEALTH_FORMSET_GUID

Value:

{ \
  0xf76e0a70, 0xb5ed, 0x4c38, {0xac, 0x9a, 0xe5, 0xf5, 0x4b, 0xf1, 0x6e, 0x34} \
  }

#define FILE_EXPLORE_FORMSET_GUID

Value:

{ \
  0x1f2d63e1, 0xfebd, 0x4dc7, {0x9c, 0xc5, 0xba, 0x2b, 0x1c, 0xef, 0x9c, 0x5b} \
  }

#define FRONT_PAGE_FORMSET_GUID

Value:

{ \
    0x9e0c30bc, 0x3f06, 0x4ba6, {0x82, 0x88, 0x9, 0x17, 0x9b, 0x85, 0x5d, 0xbe} \
  }

Variable Documentation

EFI_GUID gBootMaintFormSetGuid

EFI_GUID gBootManagerFormSetGuid

EFI_GUID gDeviceManagerFormSetGuid

EFI_GUID gDriverHealthFormSetGuid

EFI_GUID gFileExploreFormSetGuid

EFI_GUID gFrontPageFormSetGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/BdsLibHii.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/BdsLibHii.h File Reference

Defines

#define | BDS_LIB_STRING_PACKAGE_GUID

Variables

EFI_GUID | gBdsLibStringPackageGuid

Detailed Description

GUID used as HII Package list GUID in GenericBdsLib module.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BDS_LIB_STRING_PACKAGE_GUID

Value:

{ \
  0x3b4d9b23, 0x95ac, 0x44f6, { 0x9f, 0xcd, 0xe, 0x95, 0x94, 0x58, 0x6c, 0x72 } \
  }

Variable Documentation

EFI_GUID gBdsLibStringPackageGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/BlockIoVendor.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/BlockIoVendor.h File Reference

Data Structures

struct | BLOCKIO_VENDOR_DEVICE_PATH

Defines

#define | BLOCKIO_VENDOR_GUID { 0xcf31fac5, 0xc24e, 0x11d2, {0x85, 0xf3, 0x0, 0xa0, 0xc9, 0x3e, 0xc9, 0x3b} }

Variables

GUID | gBlockIoVendorGuid

Detailed Description

Guid for unrecognized EDD 3.0 device.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BLOCKIO_VENDOR_GUID { 0xcf31fac5, 0xc24e, 0x11d2, {0x85, 0xf3, 0x0, 0xa0, 0xc9, 0x3e, 0xc9, 0x3b} }

Variable Documentation

GUID gBlockIoVendorGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/CapsuleDataFile.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/CapsuleDataFile.h File Reference

Defines

#define | EFI_UPDATE_DATA_FILE_GUID { 0x283fa2ee, 0x532c, 0x484d, { 0x93, 0x83, 0x9f, 0x93, 0xb3, 0x6f, 0xb, 0x7e } }

Variables

GUID | gEfiUpdateDataFileGuid

Detailed Description

GUID to specify which FFS file to store the updated capsule data.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_UPDATE_DATA_FILE_GUID { 0x283fa2ee, 0x532c, 0x484d, { 0x93, 0x83, 0x9f, 0x93, 0xb3, 0x6f, 0xb, 0x7e } }

Variable Documentation

GUID gEfiUpdateDataFileGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/DataHubStatusCodeRecord.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/DataHubStatusCodeRecord.h File Reference

Data Structures

struct | DATA_HUB_STATUS_CODE_DATA_RECORD

Defines

#define | EFI_DATA_HUB_STATUS_CODE_RECORD_GUID

Variables

EFI_GUID | gEfiDataHubStatusCodeRecordGuid

Detailed Description

GUID used to identify Data Hub records logged by Status Code Protocol.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_DATA_HUB_STATUS_CODE_RECORD_GUID

Value:

{ \
    0xd083e94c, 0x6560, 0x42e4, {0xb6, 0xd4, 0x2d, 0xf7, 0x5a, 0xdf, 0x6a, 0x2a } \
  }
The Global ID used to identify a structure of type DATA_HUB_STATUS_CODE_DATA_RECORD.

Variable Documentation

EFI_GUID gEfiDataHubStatusCodeRecordGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/HdBootVariable.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/HdBootVariable.h File Reference

Defines

#define | HD_BOOT_DEVICE_PATH_VARIABLE_GUID
#define | HD_BOOT_DEVICE_PATH_VARIABLE_NAME L"HDDP"

Variables

EFI_GUID | gHdBootDevicePathVariablGuid

Detailed Description

GUID used as EFI Variable for the device path of Boot file on HardDevice.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define HD_BOOT_DEVICE_PATH_VARIABLE_GUID

Value:

{ \
  0xfab7e9e1, 0x39dd, 0x4f2b, { 0x84, 0x8, 0xe2, 0xe, 0x90, 0x6c, 0xb6, 0xde } \
  }
This GUID is used for an EFI Variable that stores the front device pathes for a partial device path that starts with the HD node.

#define HD_BOOT_DEVICE_PATH_VARIABLE_NAME L"HDDP"

Variable Documentation

EFI_GUID gHdBootDevicePathVariablGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/IntelFrameworkModulePkgTokenSpace.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/IntelFrameworkModulePkgTokenSpace.h File Reference

Defines

#define | INTEL_FRAMEWORK_MODULEPKG_TOKEN_SPACE_GUID

Variables

EFI_GUID | gEfiIntelFrameworkModulePkgTokenSpaceGuid

Detailed Description

GUID for IntelFrameworkModulePkg PCD Token Space

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define INTEL_FRAMEWORK_MODULEPKG_TOKEN_SPACE_GUID

Value:

{ \
    0xD3705011, 0xBC19, 0x4af7, { 0xBE, 0x16, 0xF6, 0x80, 0x30, 0x37, 0x8C, 0x15 } \
  }
The Global ID for the IntelFrameworkModulePkg PCD Token Space .

Variable Documentation

EFI_GUID gEfiIntelFrameworkModulePkgTokenSpaceGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/LastEnumLang.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/LastEnumLang.h File Reference

Defines

#define | LAST_ENUM_LANGUAGE_GUID
#define | LAST_ENUM_LANGUAGE_VARIABLE_NAME L"LastEnumLang"

Variables

EFI_GUID | gLastEnumLangGuid

Detailed Description

GUID used as EFI variable to store platform language at last time enumeration.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define LAST_ENUM_LANGUAGE_GUID

Value:

{ \
  0xe8c545b, 0xa2ee, 0x470d, { 0x8e, 0x26, 0xbd, 0xa1, 0xa1, 0x3c, 0xa, 0xa3 } \
  }
This GUID is used for Set/Get platform language into/from variable at last time enumeration to ensure the enumeration will only execute once.

#define LAST_ENUM_LANGUAGE_VARIABLE_NAME L"LastEnumLang"

Variable Documentation

EFI_GUID gLastEnumLangGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/LegacyBios.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/LegacyBios.h File Reference

Defines

#define | EFI_LEGACY_BIOS_GUID

Variables

EFI_GUID | gEfiLegacyBiosGuid

Detailed Description

Defines a Tag GUID used to mark a UEFI legacy BIOS thunk driver based on legacy BIOS services and legacy option ROM. This Tag GUID must be installed on the ImageHandle of any module that follows the EFI Driver Model and uses the Int86() or FarCall() services of the Legacy Bios Protocol to produce a standard UEFI I/O Protocol.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_LEGACY_BIOS_GUID

Value:

{ \
    0x2e3044ac, 0x879f, 0x490f, {0x97, 0x60, 0xbb, 0xdf, 0xaf, 0x69, 0x5f, 0x50 } \
  }
The Global ID for the Legacy BIOS GUID that must be installed onto the ImageHandle of any module follows the EFI Driver Model and uses the Int86() or FarCall() services of the Legacy BIOS Protocol to produce a standard UEFI I/O Protocol.

Variable Documentation

EFI_GUID gEfiLegacyBiosGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/LegacyDevOrder.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/LegacyDevOrder.h File Reference

Data Structures

struct | LEGACY_DEV_ORDER_ENTRY

Defines

#define | EFI_LEGACY_DEV_ORDER_VARIABLE_GUID
#define | VAR_LEGACY_DEV_ORDER L"LegacyDevOrder"

Typedefs

typedef UINT8 | BBS_TYPE

Variables

EFI_GUID | gEfiLegacyDevOrderVariableGuid

Detailed Description

Guid of a NV Variable which store the information about the FD/HD/CD/NET/BEV order.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_LEGACY_DEV_ORDER_VARIABLE_GUID

Value:

{ \
  0xa56074db, 0x65fe, 0x45f7, {0xbd, 0x21, 0x2d, 0x2b, 0xdd, 0x8e, 0x96, 0x52} \
  }
Name and Guid of a NV Variable which stores the information about the FD/HD/CD/NET/BEV order

#define VAR_LEGACY_DEV_ORDER L"LegacyDevOrder"

Typedef Documentation

typedef UINT8 BBS_TYPE

Variable Documentation

EFI_GUID gEfiLegacyDevOrderVariableGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/LzmaDecompress.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/LzmaDecompress.h File Reference

Defines

#define | LZMA_CUSTOM_DECOMPRESS_GUID { 0xEE4E5898, 0x3914, 0x4259, { 0x9D, 0x6E, 0xDC, 0x7B, 0xD7, 0x94, 0x03, 0xCF } }
#define | LZMAF86_CUSTOM_DECOMPRESS_GUID { 0xD42AE6BD, 0x1352, 0x4bfb, { 0x90, 0x9A, 0xCA, 0x72, 0xA6, 0xEA, 0xE8, 0x89 } }

Variables

GUID | gLzmaCustomDecompressGuid
GUID | gLzmaF86CustomDecompressGuid

Detailed Description

Lzma Custom decompress algorithm Guid definition.

Copyright (c) 2009 - 2012, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define LZMA_CUSTOM_DECOMPRESS_GUID { 0xEE4E5898, 0x3914, 0x4259, { 0x9D, 0x6E, 0xDC, 0x7B, 0xD7, 0x94, 0x03, 0xCF } }

The Global ID used to identify a section of an FFS file of type EFI_SECTION_GUID_DEFINED, whose contents have been compressed using LZMA.

#define LZMAF86_CUSTOM_DECOMPRESS_GUID { 0xD42AE6BD, 0x1352, 0x4bfb, { 0x90, 0x9A, 0xCA, 0x72, 0xA6, 0xEA, 0xE8, 0x89 } }

The Global ID used to identify a section of an FFS file of type EFI_SECTION_GUID_DEFINED, whose contents have been compressed using LZMA with X86 code Converter.

Variable Documentation

GUID gLzmaCustomDecompressGuid

GUID gLzmaF86CustomDecompressGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Guid/TianoDecompress.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Guid/TianoDecompress.h File Reference

Defines

#define | TIANO_CUSTOM_DECOMPRESS_GUID { 0xA31280AD, 0x481E, 0x41B6, { 0x95, 0xE8, 0x12, 0x7F, 0x4C, 0x98, 0x47, 0x79 } }

Variables

GUID | gTianoCustomDecompressGuid

Detailed Description

Tiano Custom decompress Guid definition.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define TIANO_CUSTOM_DECOMPRESS_GUID { 0xA31280AD, 0x481E, 0x41B6, { 0x95, 0xE8, 0x12, 0x7F, 0x4C, 0x98, 0x47, 0x79 } }

The Global ID used to identify a section of an FFS file of type EFI_SECTION_GUID_DEFINED, whose contents have been compressed using Tiano Custom compression.

Variable Documentation

GUID gTianoCustomDecompressGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Library/GenericBdsLib.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Library/GenericBdsLib.h File Reference

Data Structures

struct | BDS_COMMON_OPTION
struct | BDS_CONSOLE_CONNECT_ENTRY
struct | POOL_PRINT
struct | DEVICE_PATH_STRING_TABLE
struct | VENDOR_DEVICE_PATH_WITH_DATA
struct | ISCSI_DEVICE_PATH_WITH_NAME

Defines

#define | VAR_LEGACY_DEV_ORDER L"LegacyDevOrder"
#define | FRONT_PAGE_QUESTION_ID 0x0000
#define | FRONT_PAGE_DATA_WIDTH 0x01
#define | CONSOLE_OUT 0x00000001
#define | STD_ERROR 0x00000002
#define | CONSOLE_IN 0x00000004
#define | CONSOLE_ALL (CONSOLE_OUT | CONSOLE_IN | STD_ERROR)
#define | LOAD_OPTION_ACTIVE 0x00000001
#define | LOAD_OPTION_FORCE_RECONNECT 0x00000002
#define | LOAD_OPTION_HIDDEN 0x00000008
#define | LOAD_OPTION_CATEGORY 0x00001F00
#define | LOAD_OPTION_CATEGORY_BOOT 0x00000000
#define | LOAD_OPTION_CATEGORY_APP 0x00000100
#define | EFI_BOOT_OPTION_SUPPORT_KEY 0x00000001
#define | EFI_BOOT_OPTION_SUPPORT_APP 0x00000002
#define | IS_LOAD_OPTION_TYPE(_c, _Mask) (BOOLEAN) (((_c) & (_Mask)) != 0)
#define | MAX_CHAR 480
#define | MAX_CHAR_SIZE (MAX_CHAR * 2)
#define | BOOT_OPTION_MAX_CHAR 10
#define | BDS_LOAD_OPTION_SIGNATURE SIGNATURE_32 ('B', 'd', 'C', 'O')
#define | REFRESH_LEGACY_BOOT_OPTIONS
#define | BDS_EFI_ACPI_FLOPPY_BOOT 0x0201
#define | BDS_EFI_MESSAGE_ATAPI_BOOT 0x0301
#define | BDS_EFI_MESSAGE_SCSI_BOOT 0x0302
#define | BDS_EFI_MESSAGE_USB_DEVICE_BOOT 0x0305
#define | BDS_EFI_MESSAGE_SATA_BOOT 0x0312
#define | BDS_EFI_MESSAGE_MAC_BOOT 0x030b
#define | BDS_EFI_MESSAGE_MISC_BOOT 0x03FF
#define | BDS_EFI_MEDIA_HD_BOOT 0x0401
#define | BDS_EFI_MEDIA_CDROM_BOOT 0x0402
#define | BDS_LEGACY_BBS_BOOT 0x0501
#define | BDS_EFI_UNSUPPORT 0xFFFF

Typedefs

typedef VOID(* | DEV_PATH_FUNCTION )(IN OUT POOL_PRINT *Str, IN VOID *DevPath)

Functions

VOID EFIAPI | BdsLibBootNext (VOID)
EFI_STATUS EFIAPI | BdsLibBootViaBootOption (IN BDS_COMMON_OPTION *Option, IN EFI_DEVICE_PATH_PROTOCOL *DevicePath, OUT UINTN *ExitDataSize, OUT CHAR16 **ExitData)
EFI_STATUS EFIAPI | BdsLibEnumerateAllBootOption (IN OUT LIST_ENTRY *BdsBootOptionList)
VOID EFIAPI | BdsLibBuildOptionFromHandle (IN EFI_HANDLE Handle, IN LIST_ENTRY *BdsBootOptionList, IN CHAR16 *String)
VOID EFIAPI | BdsLibBuildOptionFromShell (IN EFI_HANDLE Handle, IN OUT LIST_ENTRY *BdsBootOptionList)
EFI_STATUS EFIAPI | BdsLibGetBootMode (OUT EFI_BOOT_MODE *BootMode)
VOID EFIAPI | BdsLibLoadDrivers (IN LIST_ENTRY *BdsDriverLists)
EFI_STATUS EFIAPI | BdsLibBuildOptionFromVar (IN LIST_ENTRY *BdsCommonOptionList, IN CHAR16 *VariableName)
VOID *EFIAPI | BdsLibGetVariableAndSize (IN CHAR16 *Name, IN EFI_GUID *VendorGuid, OUT UINTN *VariableSize)
EFI_STATUS EFIAPI | BdsLibOutputStrings (IN EFI_SIMPLE_TEXT_OUTPUT_PROTOCOL *ConOut,...)
BDS_COMMON_OPTION *EFIAPI | BdsLibVariableToOption (IN OUT LIST_ENTRY *BdsCommonOptionList, IN CHAR16 *VariableName)
EFI_STATUS EFIAPI | BdsLibRegisterNewOption (IN LIST_ENTRY *BdsOptionList, IN EFI_DEVICE_PATH_PROTOCOL *DevicePath, IN CHAR16 *String, IN CHAR16 *VariableName)
VOID EFIAPI | BdsLibConnectAllDriversToAllControllers (VOID)
VOID EFIAPI | BdsLibConnectAll (VOID)
EFI_STATUS EFIAPI | BdsLibConnectDevicePath (IN EFI_DEVICE_PATH_PROTOCOL *DevicePathToConnect)
EFI_STATUS EFIAPI | BdsLibConnectAllEfi (VOID)
EFI_STATUS EFIAPI | BdsLibDisconnectAllEfi (VOID)
VOID EFIAPI | BdsLibConnectAllConsoles (VOID)
EFI_STATUS EFIAPI | BdsLibConnectAllDefaultConsoles (VOID)
EFI_STATUS EFIAPI | BdsLibConnectAllDefaultConsolesWithOutConIn (VOID)
EFI_STATUS EFIAPI | BdsLibUpdateConsoleVariable (IN CHAR16 *ConVarName, IN EFI_DEVICE_PATH_PROTOCOL *CustomizedConDevicePath, IN EFI_DEVICE_PATH_PROTOCOL *ExclusiveDevicePath)
EFI_STATUS EFIAPI | BdsLibConnectConsoleVariable (IN CHAR16 *ConVarName)
EFI_DEVICE_PATH_PROTOCOL *EFIAPI | BdsLibDelPartMatchInstance (IN EFI_DEVICE_PATH_PROTOCOL *Multi, IN EFI_DEVICE_PATH_PROTOCOL *Single)
BOOLEAN EFIAPI | BdsLibMatchDevicePaths (IN EFI_DEVICE_PATH_PROTOCOL *Multi, IN EFI_DEVICE_PATH_PROTOCOL *Single)
CHAR16 *EFIAPI | DevicePathToStr (IN EFI_DEVICE_PATH_PROTOCOL *DevPath)
EFI_STATUS EFIAPI | BdsDeleteAllInvalidLegacyBootOptions (VOID)
EFI_STATUS EFIAPI | BdsAddNonExistingLegacyBootOptions (VOID)
EFI_STATUS EFIAPI | BdsUpdateLegacyDevOrder (VOID)
EFI_STATUS EFIAPI | BdsRefreshBbsTableForBoot (IN BDS_COMMON_OPTION *Entry)
EFI_STATUS EFIAPI | BdsDeleteBootOption (IN UINTN OptionNumber, IN OUT UINT16 *BootOrder, IN OUT UINTN *BootOrderSize)
VOID EFIAPI | EnableResetReminderFeature (VOID)
VOID EFIAPI | DisableResetReminderFeature (VOID)
VOID EFIAPI | EnableResetRequired (VOID)
VOID EFIAPI | DisableResetRequired (VOID)
BOOLEAN EFIAPI | IsResetReminderFeatureEnable (VOID)
BOOLEAN EFIAPI | IsResetRequired (VOID)
VOID EFIAPI | SetupResetReminder (VOID)
BOOLEAN EFIAPI | MatchPartitionDevicePathNode (IN EFI_DEVICE_PATH_PROTOCOL *BlockIoDevicePath, IN HARDDRIVE_DEVICE_PATH *HardDriveDevicePath)
EFI_DEVICE_PATH_PROTOCOL *EFIAPI | BdsExpandPartitionPartialDevicePathToFull (IN HARDDRIVE_DEVICE_PATH *HardDriveDevicePath)
EFI_HANDLE EFIAPI | BdsLibGetBootableHandle (IN EFI_DEVICE_PATH_PROTOCOL *DevicePath)
BOOLEAN EFIAPI | BdsLibIsValidEFIBootOptDevicePath (IN EFI_DEVICE_PATH_PROTOCOL *DevPath, IN BOOLEAN CheckMedia)
BOOLEAN EFIAPI | BdsLibIsValidEFIBootOptDevicePathExt (IN EFI_DEVICE_PATH_PROTOCOL *DevPath, IN BOOLEAN CheckMedia, IN CHAR16 *Description)
UINT32 EFIAPI | BdsGetBootTypeFromDevicePath (IN EFI_DEVICE_PATH_PROTOCOL *DevicePath)
VOID EFIAPI | BdsLibSaveMemoryTypeInformation (VOID)
EFI_STATUS EFIAPI | BdsLibUserIdentify (OUT EFI_USER_PROFILE_HANDLE *User)
EFI_STATUS EFIAPI | BdsLibUpdateFvFileDevicePath (IN OUT EFI_DEVICE_PATH_PROTOCOL **DevicePath, IN EFI_GUID *FileGuid)
EFI_STATUS EFIAPI | BdsLibConnectUsbDevByShortFormDP (IN UINT8 HostControllerPI, IN EFI_DEVICE_PATH_PROTOCOL *RemainingDevicePath)
VOID | DevPathVendor (IN OUT POOL_PRINT *Str, IN VOID *DevPath)
CHAR16 *EFIAPI | CatPrint (IN OUT POOL_PRINT *Str, IN CHAR16 *Fmt,...)
EFI_STATUS EFIAPI | EnableQuietBoot (IN EFI_GUID *LogoFile)
EFI_STATUS EFIAPI | DisableQuietBoot (VOID)

Detailed Description

Generic BDS library defines general interfaces for a BDS driver, including: 1) BDS boot policy interface. 2) BDS boot device connect interface. 3) BDS Misc interfaces for mainting boot variable, ouput string.

Copyright (c) 2004 - 2013, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BDS_EFI_ACPI_FLOPPY_BOOT 0x0201

Define the boot type with which to classify the boot option type. Different boot option types could have different boot behaviors. Use their device path node (Type + SubType) as the type value. The boot type here can be added according to requirements. ACPI boot type. For ACPI devices, using sub-types to distinguish devices is not allowed, so hardcode their values.

#define BDS_EFI_MEDIA_CDROM_BOOT 0x0402

#define BDS_EFI_MEDIA_HD_BOOT 0x0401

Media boot type If a device path of boot option contains a media node, the boot option is media boot type.

#define BDS_EFI_MESSAGE_ATAPI_BOOT 0x0301

Message boot type If a device path of boot option only points to a message node, the boot option is a message boot type.

#define BDS_EFI_MESSAGE_MAC_BOOT 0x030b

#define BDS_EFI_MESSAGE_MISC_BOOT 0x03FF

#define BDS_EFI_MESSAGE_SATA_BOOT 0x0312

#define BDS_EFI_MESSAGE_SCSI_BOOT 0x0302

#define BDS_EFI_MESSAGE_USB_DEVICE_BOOT 0x0305

#define BDS_EFI_UNSUPPORT 0xFFFF

#define BDS_LEGACY_BBS_BOOT 0x0501

BBS boot type If a device path of boot option contains a BBS node, the boot option is BBS boot type.

#define BDS_LOAD_OPTION_SIGNATURE SIGNATURE_32 ('B', 'd', 'C', 'O')

#define BOOT_OPTION_MAX_CHAR 10

Define maximum characters for boot option variable "BootXXXX".

#define CONSOLE_ALL (CONSOLE_OUT | CONSOLE_IN | STD_ERROR)

#define CONSOLE_IN 0x00000004

#define CONSOLE_OUT 0x00000001

ConnectType

#define EFI_BOOT_OPTION_SUPPORT_APP 0x00000002

#define EFI_BOOT_OPTION_SUPPORT_KEY 0x00000001

#define FRONT_PAGE_DATA_WIDTH 0x01

#define FRONT_PAGE_QUESTION_ID 0x0000

Data structures and defines.

#define IS_LOAD_OPTION_TYPE | ( | _c,
 |  | _Mask | ) | (BOOLEAN) (((_c) & (_Mask)) != 0)

#define LOAD_OPTION_ACTIVE 0x00000001

Load Option Attributes

#define LOAD_OPTION_CATEGORY 0x00001F00

#define LOAD_OPTION_CATEGORY_APP 0x00000100

#define LOAD_OPTION_CATEGORY_BOOT 0x00000000

#define LOAD_OPTION_FORCE_RECONNECT 0x00000002

#define LOAD_OPTION_HIDDEN 0x00000008

#define MAX_CHAR 480

Define the maximum characters that will be accepted.

#define MAX_CHAR_SIZE (MAX_CHAR * 2)

#define REFRESH_LEGACY_BOOT_OPTIONS

Value:

BdsDeleteAllInvalidLegacyBootOptions ();\
        BdsAddNonExistingLegacyBootOptions (); \
        BdsUpdateLegacyDevOrder ()

#define STD_ERROR 0x00000002

#define VAR_LEGACY_DEV_ORDER L"LegacyDevOrder"

Constants which are variable names used to access variables.

Typedef Documentation

typedef VOID(* DEV_PATH_FUNCTION)(IN OUT POOL_PRINT *Str, IN VOID *DevPath)

Function Documentation

EFI_STATUS EFIAPI BdsAddNonExistingLegacyBootOptions ( VOID )

Add the legacy boot options from BBS table if they do not exist.

Return values:
EFI_SUCCESS | The boot options were added successfully, or they are already in boot options.
EFI_NOT_FOUND | No legacy boot options is found.
EFI_OUT_OF_RESOURCE | No enough memory.
Returns:
Other value LegacyBoot options are not added.

EFI_STATUS EFIAPI BdsDeleteAllInvalidLegacyBootOptions ( VOID )

Delete all the invalid legacy boot options.

Return values:
EFI_SUCCESS | All invalid legacy boot options are deleted.
EFI_OUT_OF_RESOURCES | Failed to allocate necessary memory.
EFI_NOT_FOUND | Failed to retrieve variable of boot order.

EFI_STATUS EFIAPI BdsDeleteBootOption | ( | IN UINTN | OptionNumber,
 |  | IN OUT UINT16 * | BootOrder,
 |  | IN OUT UINTN * | BootOrderSize
 | ) |  |

Delete the Boot Option from EFI Variable. The Boot Order Arrray is also updated.

Parameters:
OptionNumber | The number of Boot options wanting to be deleted.
BootOrder | The Boot Order array.
BootOrderSize | The size of the Boot Order Array.
Return values:
EFI_SUCCESS | The Boot Option Variable was found and removed.
EFI_UNSUPPORTED | The Boot Option Variable store was inaccessible.
EFI_NOT_FOUND | The Boot Option Variable was not found.

EFI_DEVICE_PATH_PROTOCOL* EFIAPI BdsExpandPartitionPartialDevicePathToFull ( IN HARDDRIVE_DEVICE_PATH * HardDriveDevicePath )

Expand a device path that starts with a hard drive media device path node to be a full device path that includes the full hardware path to the device. This function enables the device to boot. To avoid requiring a connect on every boot, the front match is saved in a variable (the part point to the partition node. E.g. ACPI() /PCI()/ATA()/Partition() ). All successful history device paths that point to the front part of the partition node will be saved.

Parameters:
HardDriveDevicePath EFI Device Path to boot, if it starts with a hard drive media device path.
Returns:
A Pointer to the full device path, or NULL if a valid Hard Drive devic path cannot be found.

UINT32 EFIAPI BdsGetBootTypeFromDevicePath ( IN EFI_DEVICE_PATH_PROTOCOL * DevicePath )

For a bootable Device path, return its boot type.

Parameters:
DevicePath The bootable device Path to check.
Return values:
BDS_EFI_MEDIA_HD_BOOT | The given device path contains MEDIA_DEVICE_PATH type device path node, whose subtype is MEDIA_HARDDRIVE_DP.
BDS_EFI_MEDIA_CDROM_BOOT | If given device path contains MEDIA_DEVICE_PATH type device path node, whose subtype is MEDIA_CDROM_DP.
BDS_EFI_ACPI_FLOPPY_BOOT | A given device path contains ACPI_DEVICE_PATH type device path node, whose HID is floppy device.
BDS_EFI_MESSAGE_ATAPI_BOOT | A given device path contains MESSAGING_DEVICE_PATH type device path node, and its last device path node's subtype is MSG_ATAPI_DP.
BDS_EFI_MESSAGE_SCSI_BOOT | A given device path contains MESSAGING_DEVICE_PATH type device path node, and its last device path node's subtype is MSG_SCSI_DP.
BDS_EFI_MESSAGE_USB_DEVICE_BOOT | A given device path contains MESSAGING_DEVICE_PATH type device path node, and its last device path node's subtype is MSG_USB_DP.
BDS_EFI_MESSAGE_MISC_BOOT | The device path does not contain any media device path node, and its last device path node points to a message device path node.
BDS_LEGACY_BBS_BOOT | A given device path contains BBS_DEVICE_PATH type device path node.
BDS_EFI_UNSUPPORT | An EFI Removable BlockIO device path does not point to a media and message device.

VOID EFIAPI BdsLibBootNext ( VOID )

Boot from the UEFI spec defined "BootNext" variable.

EFI_STATUS EFIAPI BdsLibBootViaBootOption | ( | IN BDS_COMMON_OPTION * | Option,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | DevicePath,
 |  | OUT UINTN * | ExitDataSize,
 |  | OUT CHAR16 ** | ExitData
 | ) |  |

Process the boot option according to the UEFI specification. The legacy boot option device path includes BBS_DEVICE_PATH.

Parameters:
Option | The boot option to be processed.
DevicePath | The device path describing where to load the boot image or the legcy BBS device path to boot the legacy OS.
ExitDataSize | The size of exit data.
ExitData | Data returned when Boot image failed.
Return values:
EFI_SUCCESS | Boot from the input boot option succeeded.
EFI_NOT_FOUND | The Device Path is not found in the system.

VOID EFIAPI BdsLibBuildOptionFromHandle | ( | IN EFI_HANDLE | Handle,
 |  | IN LIST_ENTRY * | BdsBootOptionList,
 |  | IN CHAR16 * | String
 | ) |  |

Build the boot option with the handle parsed in.

Parameters:
Handle | The handle representing the device path for which to create a boot option.
BdsBootOptionList | The header of the link list that indexed all current boot options.
String | The description of the boot option.

VOID EFIAPI BdsLibBuildOptionFromShell | ( | IN EFI_HANDLE | Handle,
 |  | IN OUT LIST_ENTRY * | BdsBootOptionList
 | ) |  |

Build the on flash shell boot option with the handle parsed in.

Parameters:
Handle | The handle which present the device path to create the on flash shell boot option.
BdsBootOptionList | The header of the link list that indexed all current boot options.

EFI_STATUS EFIAPI BdsLibBuildOptionFromVar | ( | IN LIST_ENTRY * | BdsCommonOptionList,
 |  | IN CHAR16 * | VariableName
 | ) |  |

This function processes BootOrder or DriverOrder variables, by calling

BdsLibVariableToOption () for each UINT16 in the variables.

Parameters:
BdsCommonOptionList | The header of the option list base on the variable VariableName.
VariableName | An EFI Variable name indicate the BootOrder or DriverOrder.
Return values:
EFI_SUCCESS | Successfully created the boot option or driver option list.
EFI_OUT_OF_RESOURCES | Failed to get the boot option or the driver option list.

VOID EFIAPI BdsLibConnectAll ( VOID )

This function connects all system drivers to controllers.

VOID EFIAPI BdsLibConnectAllConsoles ( VOID )

This function will search every simpletxt device in the current system, and make every simpletxt device a potential console device.

EFI_STATUS EFIAPI BdsLibConnectAllDefaultConsoles ( VOID )

This function will connect console device based on the console device variable ConIn, ConOut and ErrOut.

Return values:
EFI_SUCCESS | At least one of the ConIn and ConOut devices have been connected.
EFI_STATUS | Return the status of BdsLibConnectConsoleVariable ().

EFI_STATUS EFIAPI BdsLibConnectAllDefaultConsolesWithOutConIn ( VOID )

This function will connect console device except ConIn base on the console device variable ConOut and ErrOut.

Return values:
EFI_SUCCESS | At least one of the ConOut device have been connected success.
EFI_STATUS | Return the status of BdsLibConnectConsoleVariable ().

VOID EFIAPI BdsLibConnectAllDriversToAllControllers ( VOID )

This function connects all system drivers with the corresponding controllers.

EFI_STATUS EFIAPI BdsLibConnectAllEfi ( VOID )

This function will connect all current system handles recursively. gBS->ConnectController() service is invoked for each handle exist in system handler buffer. If the handle is bus type handler, all childrens also will be connected recursively by gBS->ConnectController().

Return values:
EFI_SUCCESS | All handles and child handles have been connected.
EFI_STATUS | Return the status of gBS->LocateHandleBuffer().

EFI_STATUS EFIAPI BdsLibConnectConsoleVariable ( IN CHAR16 * ConVarName )

Connect the console device base on the variable ConVarName, if device path of the ConVarName is multi-instance device path and anyone of the instances is connected success, then this function will return success. If the handle associate with one device path node can not be created successfully, then still give chance to do the dispatch, which load the missing drivers if possible.

Parameters:
ConVarName Console related variable name, ConIn, ConOut, ErrOut.
Return values:
EFI_NOT_FOUND | There is not any console devices connected success
EFI_SUCCESS | Success connect any one instance of the console device path base on the variable ConVarName.

EFI_STATUS EFIAPI BdsLibConnectDevicePath ( IN EFI_DEVICE_PATH_PROTOCOL * DevicePathToConnect )

This function will create all handles associate with every device path node. If the handle associate with one device path node can not be created successfully, then still give chance to do the dispatch, which load the missing drivers if possible.

Parameters:
DevicePathToConnect The device path to be connected. Can be a multi-instance device path.
Return values:
EFI_SUCCESS | All handles associates with every device path node were created.
EFI_OUT_OF_RESOURCES | Not enough resources to create new handles.
EFI_NOT_FOUND | At least one handle could not be created.

EFI_STATUS EFIAPI BdsLibConnectUsbDevByShortFormDP | ( | IN UINT8 | HostControllerPI,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | RemainingDevicePath
 | ) |  |

Connect the specific USB device that matches the RemainingDevicePath, and whose bus is determined by Host Controller (Uhci or Ehci).

Parameters:
HostControllerPI | Uhci (0x00) or Ehci (0x20) or Both uhci and ehci (0xFF).
RemainingDevicePath | A short-form device path that starts with the first element being a USB WWID or a USB Class device path.
Return values:
EFI_SUCCESS | The specific Usb device is connected successfully.
EFI_INVALID_PARAMETER | Invalid HostControllerPi (not 0x00, 0x20 or 0xFF) or RemainingDevicePath is not the USB class device path.
EFI_NOT_FOUND | The device specified by device path is not found.

EFI_DEVICE_PATH_PROTOCOL* EFIAPI BdsLibDelPartMatchInstance | ( | IN EFI_DEVICE_PATH_PROTOCOL * | Multi,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | Single
 | ) |  |

Delete the instance in Multi that overlaps with Single.

Parameters:
Multi | A pointer to a multi-instance device path data structure.
Single | A pointer to a single-instance device path data structure.
Returns:
This function removes the device path instances in Multi that overlap Single, and returns the resulting device path. If there is no remaining device path as a result, this function will return NULL.

EFI_STATUS EFIAPI BdsLibDisconnectAllEfi ( VOID )

This function will disconnect all current system handles. gBS->DisconnectController() is invoked for each handle exists in system handle buffer. If handle is a bus type handle, all childrens also are disconnected recursively by gBS->DisconnectController().

Return values:
EFI_SUCCESS | All handles have been disconnected.
EFI_STATUS | Error status returned by of gBS->LocateHandleBuffer().

EFI_STATUS EFIAPI BdsLibEnumerateAllBootOption ( IN OUT LIST_ENTRY * BdsBootOptionList )

This function will enumerate all possible boot devices in the system, and automatically create boot options for Network, Shell, Removable BlockIo, and Non-BlockIo Simplefile devices.

BDS separates EFI boot options into six types: 1. Network - The boot option points to the SimpleNetworkProtocol device. Bds will try to automatically create this type of boot option during enumeration. 2. Shell - The boot option points to internal flash shell. Bds will try to automatically create this type of boot option during enumeration. 3. Removable BlockIo - The boot option points to a removable media device, such as a USB flash drive or DVD drive. These devices should contain a *removable* blockIo protocol in their device handle. Bds will try to automatically create this type boot option when enumerate. 4. Fixed BlockIo - The boot option points to a Fixed blockIo device, such as a hard disk. These devices should contain a *fixed* blockIo protocol in their device handle. BDS will skip fixed blockIo devices, and not automatically create boot option for them. But BDS will help to delete those fixed blockIo boot options, whose description rules conflict with other auto-created boot options. 5. Non-BlockIo Simplefile - The boot option points to a device whose handle has SimpleFileSystem Protocol, but has no blockio protocol. These devices do not offer blockIo protocol, but BDS still can get the {machinename}.EFI by SimpleFileSystem Protocol. 6. File - The boot option points to a file. These boot options are usually created by the user, either manually or with an OS loader. BDS will not delete or modify these boot options.

This function will enumerate all possible boot devices in the system, and automatically create boot options for Network, Shell, Removable BlockIo, and Non-BlockIo Simplefile devices. It will excute once every boot.

Parameters:
BdsBootOptionList The header of the linked list that indexed all current boot options.
Return values:
EFI_SUCCESS | Finished all the boot device enumerations and created the boot option based on the boot device.
EFI_OUT_OF_RESOURCES | Failed to enumerate the boot device and create the boot option list.

EFI_HANDLE EFIAPI BdsLibGetBootableHandle ( IN EFI_DEVICE_PATH_PROTOCOL * DevicePath )

Return the bootable media handle. First, check whether the device is connected. Second, check whether the device path points to a device that supports SimpleFileSystemProtocol. Third, detect the the default boot file in the Media, and return the removable Media handle.

Parameters:
DevicePath The Device Path to a bootable device.
Returns:
The bootable media handle. If the media on the DevicePath is not bootable, NULL will return.

EFI_STATUS EFIAPI BdsLibGetBootMode ( OUT EFI_BOOT_MODE * BootMode )

Get boot mode by looking up the configuration table and parsing the HOB list.

Parameters:
BootMode The boot mode from PEI handoff HOB.
Return values:
EFI_SUCCESS Successfully got boot mode.

VOID* EFIAPI BdsLibGetVariableAndSize | ( | IN CHAR16 * | Name,
 |  | IN EFI_GUID * | VendorGuid,
 |  | OUT UINTN * | VariableSize
 | ) |  |

This function reads the EFI variable (VendorGuid/Name) and returns a dynamically allocated buffer and the size of the buffer. If it fails, return NULL.

Parameters:
Name | The string part of the EFI variable name.
VendorGuid | The GUID part of the EFI variable name.
VariableSize | Returns the size of the EFI variable that was read.
Returns:
Dynamically allocated memory that contains a copy of the EFI variable. The caller is responsible for freeing the buffer.
Return values:
NULL The variable was not read.

BOOLEAN EFIAPI BdsLibIsValidEFIBootOptDevicePath | ( | IN EFI_DEVICE_PATH_PROTOCOL * | DevPath,
 |  | IN BOOLEAN | CheckMedia
 | ) |  |

Checks whether the Device path in a boot option points to a valid bootable device, and if the device is ready to boot now.

Parameters:
DevPath | The Device path in a boot option.
CheckMedia | If true, check whether the device is ready to boot now.
Return values:
TRUE | The Device path is valid.
FALSE | The Device path is invalid.

BOOLEAN EFIAPI BdsLibIsValidEFIBootOptDevicePathExt | ( | IN EFI_DEVICE_PATH_PROTOCOL * | DevPath,
 |  | IN BOOLEAN | CheckMedia,
 |  | IN CHAR16 * | Description
 | ) |  |

Checks whether the Device path in a boot option points to a valid bootable device, and if the device is ready to boot now. If Description is not NULL and the device path points to a fixed BlockIo device, this function checks whether the description conflicts with other auto-created boot options.

Parameters:
DevPath | The Device path in a boot option.
CheckMedia | If true, checks if the device is ready to boot now.
Description | The description of a boot option.
Return values:
TRUE | The Device path is valid.
FALSE | The Device path is invalid.

VOID EFIAPI BdsLibLoadDrivers ( IN LIST_ENTRY * BdsDriverLists )

The function will go through the driver option link list, and then load and start every driver to which the driver option device path points.

Parameters:
BdsDriverLists The header of the current driver option link list.

BOOLEAN EFIAPI BdsLibMatchDevicePaths | ( | IN EFI_DEVICE_PATH_PROTOCOL * | Multi,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | Single
 | ) |  |

This function compares a device path data structure to that of all the nodes of a second device path instance.

Parameters:
Multi | A pointer to a multi-instance device path data structure.
Single | A pointer to a single-instance device path data structure.
Return values:
TRUE | If the Single device path is contained within a Multi device path.
FALSE | The Single device path is not contained within a Multi device path.

EFI_STATUS EFIAPI BdsLibOutputStrings | ( | IN EFI_SIMPLE_TEXT_OUTPUT_PROTOCOL * | ConOut,
 |  |  | ...
 | ) |  |

This function prints a series of strings.

Parameters:
ConOut A pointer to EFI_SIMPLE_TEXT_OUTPUT_PROTOCOL.
... A variable argument list containing a series of strings, the last string must be NULL.
Return values:
EFI_SUCCESS | Successfully printed out the string using ConOut.
EFI_STATUS | Return the status of the ConOut->OutputString ().

EFI_STATUS EFIAPI BdsLibRegisterNewOption | ( | IN LIST_ENTRY * | BdsOptionList,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | DevicePath,
 |  | IN CHAR16 * | String,
 |  | IN CHAR16 * | VariableName
 | ) |  |

This function registers the new boot#### or driver#### option based on the VariableName. The new registered boot#### or driver#### will be linked to BdsOptionList and also update to the VariableName. After the boot#### or driver#### updated, the BootOrder or DriverOrder will also be updated.

Parameters:
BdsOptionList | The header of the boot#### or driver#### link list.
DevicePath | The device path that the boot#### or driver#### option present.
String | The description of the boot#### or driver####.
VariableName | Indicate if the boot#### or driver#### option.
Return values:
EFI_SUCCESS | The boot#### or driver#### have been successfully registered.
EFI_STATUS | Return the status of gRT->SetVariable ().

VOID EFIAPI BdsLibSaveMemoryTypeInformation ( VOID )

This routine registers a function to adjust the different types of memory page numbers just before booting, and saves the updated info into the variable for the next boot to use.

EFI_STATUS EFIAPI BdsLibUpdateConsoleVariable | ( | IN CHAR16 * | ConVarName,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | CustomizedConDevicePath,
 |  | IN EFI_DEVICE_PATH_PROTOCOL * | ExclusiveDevicePath
 | ) |  |

This function updates the console variable based on ConVarName. It can add or remove one specific console device path from the variable

Parameters:
ConVarName | The console-related variable name: ConIn, ConOut, ErrOut.
CustomizedConDevicePath | The console device path to be added to the console variable ConVarName. Cannot be multi-instance.
ExclusiveDevicePath | The console device path to be removed from the console variable ConVarName. Cannot be multi-instance.
Return values:
EFI_UNSUPPORTED | The added device path is the same as a removed one.
EFI_SUCCESS | Successfully added or removed the device path from the console variable.

EFI_STATUS EFIAPI BdsLibUpdateFvFileDevicePath | ( | IN OUT EFI_DEVICE_PATH_PROTOCOL ** | DevicePath,
 |  | IN EFI_GUID * | FileGuid
 | ) |  |

This function checks if a Fv file device path is valid, according to a file GUID. If it is invalid, it tries to return the valid device path. FV address maybe changes for memory layout adjust from time to time, use this funciton could promise the Fv file device path is right.

Parameters:
DevicePath | On input, the Fv file device path to check. On output, the updated valid Fv file device path
FileGuid | the Fv file GUID.
Return values:
EFI_INVALID_PARAMETER | The input DevicePath or FileGuid is invalid.
EFI_UNSUPPORTED | The input DevicePath does not contain an Fv file GUID at all.
EFI_ALREADY_STARTED | The input DevicePath has pointed to the Fv file and is valid.
EFI_SUCCESS | Successfully updated the invalid DevicePath and returned the updated device path in DevicePath.

EFI_STATUS EFIAPI BdsLibUserIdentify ( OUT EFI_USER_PROFILE_HANDLE * User )

Identify a user and, if authenticated, returns the current user profile handle.

Parameters:
[out] User Points to the user profile handle.
Return values:
EFI_SUCCESS | The user is successfully identified, or user identification is not supported.
EFI_ACCESS_DENIED | The user was not successfully identified.

BDS_COMMON_OPTION* EFIAPI BdsLibVariableToOption | ( | IN OUT LIST_ENTRY * | BdsCommonOptionList,
 |  | IN CHAR16 * | VariableName
 | ) |  |

Build the boot#### or driver#### option from the VariableName. The build boot#### or driver#### will also be linked to BdsCommonOptionList.

Parameters:
BdsCommonOptionList | The header of the boot#### or driver#### option link list.
VariableName | EFI Variable name, indicates if it is boot#### or driver####.
Return values:
BDS_COMMON_OPTION | The option that was created.
NULL | Failed to get the new option.

EFI_STATUS EFIAPI BdsRefreshBbsTableForBoot ( IN BDS_COMMON_OPTION * Entry )

Refresh the boot priority for BBS entries based on boot option entry and boot order.

Parameters:
Entry The boot option is to be checked for a refreshed BBS table.
Return values:
EFI_SUCCESS | The boot priority for BBS entries refreshed successfully.
EFI_NOT_FOUND | BBS entries can't be found.
EFI_OUT_OF_RESOURCES | Failed to get the legacy device boot order.

EFI_STATUS EFIAPI BdsUpdateLegacyDevOrder ( VOID )

Add the legacy boot devices from BBS table into the legacy device boot order.

Return values:
EFI_SUCCESS | The boot devices were added successfully.
EFI_NOT_FOUND | The legacy boot devices are not found.
EFI_OUT_OF_RESOURCES | Memory or storage is not enough.
EFI_DEVICE_ERROR | Failed to add the legacy device boot order into EFI variable because of a hardware error.

CHAR16* EFIAPI CatPrint | ( | IN OUT POOL_PRINT * | Str,
 |  | IN CHAR16 * | Fmt,
 |  |  | ...
 | ) |  |

Concatenates a formatted unicode string to an allocated pool. The caller must free the resulting buffer.

Parameters:
Str | Tracks the allocated pool, size in use, and amount of pool allocated.
Fmt | The format string.
... The data will be printed.
Returns:
Allocated buffer with the formatted string printed in it. The caller must free the allocated buffer. The buffer allocation is not packed.

CHAR16* EFIAPI DevicePathToStr ( IN EFI_DEVICE_PATH_PROTOCOL * DevPath )

This function converts an input device structure to a Unicode string.

Parameters:
DevPath A pointer to the device path structure.
Returns:
A newly allocated Unicode string that represents the device path.

VOID DevPathVendor | ( | IN OUT POOL_PRINT * | Str,
 |  | IN VOID * | DevPath
 | ) |  |

Convert Vendor device path to a device name.

Parameters:
Str | The buffer storing device name.
DevPath | The pointer to vendor device path.

EFI_STATUS EFIAPI DisableQuietBoot ( VOID )

Use SystemTable ConOut to turn on video based Simple Text Out consoles. The Simple Text Out screens will now be synced up with all non-video output devices.

Return values:
EFI_SUCCESS UGA devices are back in text mode and synced up.

VOID EFIAPI DisableResetReminderFeature ( VOID )

Disable the setup browser reset reminder feature. This routine is used in a platform tip. If the platform policy does not want the feature, use the routine to disable it.

VOID EFIAPI DisableResetRequired ( VOID )

Record the info that no reset is required. A module boolean variable is used to record whether a reset is required.

EFI_STATUS EFIAPI EnableQuietBoot ( IN EFI_GUID * LogoFile )

Use SystemTable ConOut to stop video based Simple Text Out consoles from going to the video device. Put up LogoFile on every video device that is a console.

Parameters:
[in] LogoFile The file name of logo to display on the center of the screen.
Return values:
EFI_SUCCESS | ConsoleControl has been flipped to graphics and logo displayed.
EFI_UNSUPPORTED | Logo not found.

VOID EFIAPI EnableResetReminderFeature ( VOID )

Enable the setup browser reset reminder feature. This routine is used in a platform tip. If the platform policy needs the feature, use the routine to enable it.

VOID EFIAPI EnableResetRequired ( VOID )

Record the info that a reset is required. A module boolean variable is used to record whether a reset is required.

BOOLEAN EFIAPI IsResetReminderFeatureEnable ( VOID )

Check whether platform policy enables the reset reminder feature. The default is enabled.

BOOLEAN EFIAPI IsResetRequired ( VOID )

Check if the user changed any option setting that needs a system reset to be effective.

BOOLEAN EFIAPI MatchPartitionDevicePathNode | ( | IN EFI_DEVICE_PATH_PROTOCOL * | BlockIoDevicePath,
 |  | IN HARDDRIVE_DEVICE_PATH * | HardDriveDevicePath
 | ) |  |

Check whether an instance in BlockIoDevicePath has the same partition node as the HardDriveDevicePath device path.

Parameters:
BlockIoDevicePath | Multi device path instances to check.
HardDriveDevicePath | A device path starting with a hard drive media device path.
Return values:
TRUE | There is a matched device path instance.
FALSE | There is no matched device path instance.

VOID EFIAPI SetupResetReminder ( VOID )

Check whether a reset is needed, and finish the reset reminder feature. If a reset is needed, pop up a menu to notice user, and finish the feature according to the user selection.


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Library/PlatformBdsLib.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Library/PlatformBdsLib.h File Reference

Typedefs

typedef EFI_STATUS(EFIAPI * | BASEM_MEMORY_TEST )(IN EXTENDMEM_COVERAGE_LEVEL Level)
typedef EFI_STATUS(EFIAPI * | PROCESS_CAPSULES )(IN EFI_BOOT_MODE BootMode)

Functions

VOID EFIAPI | PlatformBdsInit (VOID)
VOID EFIAPI | PlatformBdsPolicyBehavior (IN LIST_ENTRY *DriverOptionList, IN LIST_ENTRY *BootOptionList, IN PROCESS_CAPSULES ProcessCapsules, IN BASEM_MEMORY_TEST BaseMemoryTest)
VOID EFIAPI | PlatformBdsBootFail (IN BDS_COMMON_OPTION *Option, IN EFI_STATUS Status, IN CHAR16 *ExitData, IN UINTN ExitDataSize)
VOID EFIAPI | PlatformBdsBootSuccess (IN BDS_COMMON_OPTION *Option)
VOID EFIAPI | PlatformBdsLockNonUpdatableFlash (VOID)
EFI_STATUS EFIAPI | LockKeyboards (IN CHAR16 *Password)

Detailed Description

Platform BDS library definition. A platform can implement instances to support platform-specific behavior.

Copyright (c) 2008 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * BASEM_MEMORY_TEST)(IN EXTENDMEM_COVERAGE_LEVEL Level)

Perform the memory test base on the memory test intensive level, and update the memory resource.

Parameters:
Level The memory test intensive level.
Return values:
EFI_STATUS Successfully test all the system memory, and update the memory resource

typedef EFI_STATUS(EFIAPI * PROCESS_CAPSULES)(IN EFI_BOOT_MODE BootMode)

This routine is called to see if there are any capsules we need to process. If the boot mode is not UPDATE, then we do nothing. Otherwise, find the capsule HOBS and produce firmware volumes for them via the DXE service. Then call the dispatcher to dispatch drivers from them. Finally, check the status of the updates.

This function should be called by BDS in case we need to do some sort of processing even if there is no capsule to process. We need to do this if an earlier update went away and we need to clear the capsule variable so on the next reset PEI does not see it and think there is a capsule available.

Parameters:
BootMode The current boot mode
Return values:
EFI_INVALID_PARAMETER | The boot mode is not correct for an update.
EFI_SUCCESS | There is no error when processing a capsule.

Function Documentation

EFI_STATUS EFIAPI LockKeyboards ( IN CHAR16 * Password )

Lock the ConsoleIn device in system table. All key presses will be ignored until the Password is typed in. The only way to disable the password is to type it in to a ConIn device.

Parameters:
Password The password used to lock ConIn device.
Return values:
EFI_SUCCESS | Lock the Console In Spliter virtual handle successfully.
EFI_UNSUPPORTED | Password not found.

VOID EFIAPI PlatformBdsBootFail | ( | IN BDS_COMMON_OPTION * | Option,
 |  | IN EFI_STATUS | Status,
 |  | IN CHAR16 * | ExitData,
 |  | IN UINTN | ExitDataSize
 | ) |  |

Hook point for a user-provided function, for after a boot attempt fails.

Parameters:
Option | A pointer to Boot Option that failed to boot.
Status | The status returned from failed boot.
ExitData | The exit data returned from failed boot.
ExitDataSize | The exit data size returned from failed boot.

VOID EFIAPI PlatformBdsBootSuccess ( IN BDS_COMMON_OPTION * Option )

Hook point after a boot attempt succeeds. We don't expect a boot option to return, so the UEFI 2.0 specification defines that you will default to an interactive mode and stop processing the BootOrder list in this case. This is also a platform implementation, and can be customized by an IBV/OEM.

Parameters:
Option A pointer to the Boot Option that successfully booted.

VOID EFIAPI PlatformBdsInit ( VOID )

Platform Bds initialization. Includes the platform firmware vendor, revision and so crc check.

VOID EFIAPI PlatformBdsLockNonUpdatableFlash ( VOID )

This function locks platform flash that is not allowed to be updated during normal boot path. The flash layout is platform specific.

VOID EFIAPI PlatformBdsPolicyBehavior | ( | IN LIST_ENTRY * | DriverOptionList,
 |  | IN LIST_ENTRY * | BootOptionList,
 |  | IN PROCESS_CAPSULES | ProcessCapsules,
 |  | IN BASEM_MEMORY_TEST | BaseMemoryTest
 | ) |  |

The function will excute with as the platform policy, current policy is driven by boot mode. IBV/OEM can customize this code for their specific policy action.

Parameters:
DriverOptionList | The header of the driver option link list
BootOptionList | The header of the boot option link list
ProcessCapsules | A pointer to ProcessCapsules()
BaseMemoryTest | A pointer to BaseMemoryTest()


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Protocol/ExitPmAuth.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Protocol/ExitPmAuth.h File Reference

Defines

#define | EXIT_PM_AUTH_PROTOCOL_GUID { 0xd088a413, 0xa70, 0x4217, { 0xba, 0x55, 0x9a, 0x3c, 0xb6, 0x5c, 0x41, 0xb3 }}

Variables

EFI_GUID | gExitPmAuthProtocolGuid

Detailed Description

Defines the ExitPmAuth protocol.

Copyright (c) 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EXIT_PM_AUTH_PROTOCOL_GUID { 0xd088a413, 0xa70, 0x4217, { 0xba, 0x55, 0x9a, 0x3c, 0xb6, 0x5c, 0x41, 0xb3 }}

Variable Documentation

EFI_GUID gExitPmAuthProtocolGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Protocol/IsaAcpi.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Protocol/IsaAcpi.h File Reference

Data Structures

struct | EFI_ISA_ACPI_RESOURCE
struct | EFI_ISA_ACPI_DEVICE_ID
struct | EFI_ISA_ACPI_RESOURCE_LIST
struct | _EFI_ISA_ACPI_PROTOCOL

Defines

#define | EFI_ISA_ACPI_PROTOCOL_GUID
#define | EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_EDGE_SENSITIVE 0x01
Edge triggered interrupt on a rising edge.
#define | EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_EDGE_SENSITIVE 0x02
Edge triggered interrupt on a falling edge.
#define | EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_LEVEL_SENSITIVE 0x04
Level sensitive interrupt active high.
#define | EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_LEVEL_SENSITIVE 0x08
Level sensitive interrupt active low.
#define | EFI_ISA_ACPI_DMA_SPEED_TYPE_MASK 0x03
Bit mask of supported DMA speed attributes.
#define | EFI_ISA_ACPI_DMA_SPEED_TYPE_COMPATIBILITY 0x00
ISA controller supports compatibility mode DMA transfers.
#define | EFI_ISA_ACPI_DMA_SPEED_TYPE_A 0x01
ISA controller supports type A DMA transfers.
#define | EFI_ISA_ACPI_DMA_SPEED_TYPE_B 0x02
ISA controller supports type B DMA transfers.
#define | EFI_ISA_ACPI_DMA_SPEED_TYPE_F 0x03
ISA controller supports type F DMA transfers.
#define | EFI_ISA_ACPI_DMA_COUNT_BY_BYTE 0x04
ISA controller increments DMA address by bytes (8-bit).
#define | EFI_ISA_ACPI_DMA_COUNT_BY_WORD 0x08
ISA controller increments DMA address by words (16-bit).
#define | EFI_ISA_ACPI_DMA_BUS_MASTER 0x10
ISA controller is a DMA bus master.
#define | EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT 0x20
ISA controller only supports 8-bit DMA transfers.
#define | EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT_AND_16_BIT 0x40
ISA controller both 8-bit and 16-bit DMA transfers.
#define | EFI_ISA_ACPI_DMA_TRANSFER_TYPE_16_BIT 0x80
ISA controller only supports 16-bit DMA transfers.
#define | EFI_ISA_ACPI_MEMORY_WIDTH_MASK 0x03
Bit mask of supported ISA memory width attributes.
#define | EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT 0x00
ISA MMIO region only supports 8-bit access.
#define | EFI_ISA_ACPI_MEMORY_WIDTH_16_BIT 0x01
ISA MMIO region only supports 16-bit access.
#define | EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT_AND_16_BIT 0x02
ISA MMIO region supports both 8-bit and 16-bit access.
#define | EFI_ISA_ACPI_MEMORY_WRITEABLE 0x04
ISA MMIO region supports write transactions.
#define | EFI_ISA_ACPI_MEMORY_CACHEABLE 0x08
ISA MMIO region supports being cached.
#define | EFI_ISA_ACPI_MEMORY_SHADOWABLE 0x10
ISA MMIO region may be shadowed.
#define | EFI_ISA_ACPI_MEMORY_EXPANSION_ROM 0x20
ISA MMIO region is an expansion ROM.
#define | EFI_ISA_ACPI_IO_DECODE_10_BITS 0x01
ISA controllers uses a 10-bit address decoder for I/O cycles.
#define | EFI_ISA_ACPI_IO_DECODE_16_BITS 0x02
ISA controllers uses a 16-bit address decoder for I/O cycles.

Typedefs

typedef struct
_EFI_ISA_ACPI_PROTOCOL 		EFI_ISA_ACPI_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_DEVICE_ENUMERATE )(IN EFI_ISA_ACPI_PROTOCOL *This, OUT EFI_ISA_ACPI_DEVICE_ID **Device)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_SET_DEVICE_POWER )(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, IN BOOLEAN OnOff)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_GET_CUR_RESOURCE )(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, OUT EFI_ISA_ACPI_RESOURCE_LIST **ResourceList)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_GET_POS_RESOURCE )(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, OUT EFI_ISA_ACPI_RESOURCE_LIST **ResourceList)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_SET_RESOURCE )(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, IN EFI_ISA_ACPI_RESOURCE_LIST *ResourceList)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_ENABLE_DEVICE )(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, IN BOOLEAN Enable)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_INIT_DEVICE )(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_ACPI_INTERFACE_INIT )(IN EFI_ISA_ACPI_PROTOCOL *This)

Enumerations

enum EFI_ISA_ACPI_RESOURCE_TYPE {
EfiIsaAcpiResourceEndOfList, EfiIsaAcpiResourceIo, EfiIsaAcpiResourceMemory, EfiIsaAcpiResourceDma,
EfiIsaAcpiResourceInterrupt
}

Variables

EFI_GUID | gEfiIsaAcpiProtocolGuid

Detailed Description

EFI ISA ACPI Protocol is used to enumerate and manage all the ISA controllers on the platform's ISA Bus.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_ISA_ACPI_DMA_BUS_MASTER 0x10

ISA controller is a DMA bus master.

#define EFI_ISA_ACPI_DMA_COUNT_BY_BYTE 0x04

ISA controller increments DMA address by bytes (8-bit).

#define EFI_ISA_ACPI_DMA_COUNT_BY_WORD 0x08

ISA controller increments DMA address by words (16-bit).

#define EFI_ISA_ACPI_DMA_SPEED_TYPE_A 0x01

ISA controller supports type A DMA transfers.

#define EFI_ISA_ACPI_DMA_SPEED_TYPE_B 0x02

ISA controller supports type B DMA transfers.

#define EFI_ISA_ACPI_DMA_SPEED_TYPE_COMPATIBILITY 0x00

ISA controller supports compatibility mode DMA transfers.

#define EFI_ISA_ACPI_DMA_SPEED_TYPE_F 0x03

ISA controller supports type F DMA transfers.

#define EFI_ISA_ACPI_DMA_SPEED_TYPE_MASK 0x03

Bit mask of supported DMA speed attributes.

ISA ACPI Protocol DMA resource attributes.

#define EFI_ISA_ACPI_DMA_TRANSFER_TYPE_16_BIT 0x80

ISA controller only supports 16-bit DMA transfers.

#define EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT 0x20

ISA controller only supports 8-bit DMA transfers.

#define EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT_AND_16_BIT 0x40

ISA controller both 8-bit and 16-bit DMA transfers.

#define EFI_ISA_ACPI_IO_DECODE_10_BITS 0x01

ISA controllers uses a 10-bit address decoder for I/O cycles.

ISA ACPI Protocol I/O resource attributes

#define EFI_ISA_ACPI_IO_DECODE_16_BITS 0x02

ISA controllers uses a 16-bit address decoder for I/O cycles.

#define EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_EDGE_SENSITIVE 0x01

Edge triggered interrupt on a rising edge.

ISA ACPI Protocol interrupt resource attributes.

#define EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_LEVEL_SENSITIVE 0x04

Level sensitive interrupt active high.

#define EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_EDGE_SENSITIVE 0x02

Edge triggered interrupt on a falling edge.

#define EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_LEVEL_SENSITIVE 0x08

Level sensitive interrupt active low.

#define EFI_ISA_ACPI_MEMORY_CACHEABLE 0x08

ISA MMIO region supports being cached.

#define EFI_ISA_ACPI_MEMORY_EXPANSION_ROM 0x20

ISA MMIO region is an expansion ROM.

#define EFI_ISA_ACPI_MEMORY_SHADOWABLE 0x10

ISA MMIO region may be shadowed.

#define EFI_ISA_ACPI_MEMORY_WIDTH_16_BIT 0x01

ISA MMIO region only supports 16-bit access.

#define EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT 0x00

ISA MMIO region only supports 8-bit access.

#define EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT_AND_16_BIT 0x02

ISA MMIO region supports both 8-bit and 16-bit access.

#define EFI_ISA_ACPI_MEMORY_WIDTH_MASK 0x03

Bit mask of supported ISA memory width attributes.

ISA ACPI Protocol MMIO resource attributes

#define EFI_ISA_ACPI_MEMORY_WRITEABLE 0x04

ISA MMIO region supports write transactions.

#define EFI_ISA_ACPI_PROTOCOL_GUID

Value:

{ \
    0x64a892dc, 0x5561, 0x4536, { 0x92, 0xc7, 0x79, 0x9b, 0xfc, 0x18, 0x33, 0x55 } \
  }
Global ID for the EFI ISA ACPI Protocol.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_DEVICE_ENUMERATE)(IN EFI_ISA_ACPI_PROTOCOL *This, OUT EFI_ISA_ACPI_DEVICE_ID **Device)

Enumerates the ISA controllers on an ISA bus.

This service allows all the ISA controllers on an ISA bus to be enumerated. If Device is a pointer to a NULL value, then the first ISA controller on the ISA bus is returned in Device and EFI_SUCCESS is returned. If Device is a pointer to a value that was returned on a prior call to DeviceEnumerate(), then the next ISA controller on the ISA bus is returned in Device and EFI_SUCCESS is returned. If Device is a pointer to the last ISA controller on the ISA bus, then EFI_NOT_FOUND is returned.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[out] | Device | The pointer to an ISA controller named by ACPI HID/UID.
Return values:
EFI_SUCCESS | The next ISA controller on the ISA bus was returned.
EFI_NOT_FOUND | No device found.

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_ENABLE_DEVICE)(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, IN BOOLEAN Enable)

Enables or disables an ISA controller.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[in] | Device | The pointer to the ISA controller to enable/disable.
[in] | Enable | TRUE to enable the ISA controller. FALSE to disable the ISA controller.
Return values:
EFI_SUCCESS | Successfully enabled/disabled the ISA controller.
Other | The ISA controller could not be placed in the requested state.

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_GET_CUR_RESOURCE)(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, OUT EFI_ISA_ACPI_RESOURCE_LIST **ResourceList)

Retrieves the current set of resources associated with an ISA controller.

Retrieves the set of I/O, MMIO, DMA, and interrupt resources currently assigned to the ISA controller specified by Device. These resources are returned in ResourceList.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[in] | Device | The pointer to an ISA controller named by ACPI HID/UID.
[out] | ResourceList | The pointer to the current resource list for Device.
Return values:
EFI_SUCCESS | Successfully retrieved the current resource list.
EFI_NOT_FOUND | The resource list could not be retrieved.

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_GET_POS_RESOURCE)(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, OUT EFI_ISA_ACPI_RESOURCE_LIST **ResourceList)

Retrieves the set of possible resources that may be assigned to an ISA controller with SetResource().

Retrieves the possible sets of I/O, MMIO, DMA, and interrupt resources for the ISA controller specified by Device. The sets are returned in ResourceList.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[in] | Device | The pointer to an ISA controller named by ACPI HID/UID.
[out] | ResourceList | The pointer to the returned list of resource lists.
Return values:
EFI_UNSUPPORTED This service is not supported.

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_INIT_DEVICE)(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device)

Initializes an ISA controller, so that it can be used. This service must be called before SetResource(), EnableDevice(), or SetPower() will behave as expected.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[in] | Device | The pointer to an ISA controller named by ACPI HID/UID.
Return values:
EFI_SUCCESS | Successfully initialized an ISA controller.
Other | The ISA controller could not be initialized.

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_INTERFACE_INIT)(IN EFI_ISA_ACPI_PROTOCOL *This)

Initializes all the HW states required for the ISA controllers on the ISA bus to be enumerated and managed by the rest of the services in this prorotol. This service must be called before any of the other services in this protocol will function as expected.

Parameters:
[in] This The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
Return values:
EFI_SUCCESS | Successfully initialized all required hardware states.
Other | The ISA interface could not be initialized.

typedef struct _EFI_ISA_ACPI_PROTOCOL EFI_ISA_ACPI_PROTOCOL

Forward declaration fo the EFI ISA ACPI Protocol

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_SET_DEVICE_POWER)(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, IN BOOLEAN OnOff)

Sets the power state of an ISA controller.

This services sets the power state of the ISA controller specified by Device to the power state specified by OnOff. TRUE denotes on, FALSE denotes off. If the power state is sucessfully set on the ISA Controller, then EFI_SUCCESS is returned.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[in] | Device | The pointer to an ISA controller named by ACPI HID/UID.
[in] | OnOff | TRUE denotes on, FALSE denotes off.
Return values:
EFI_SUCCESS | Successfully set the power state of the ISA controller.
Other | The ISA controller could not be placed in the requested power state.

typedef EFI_STATUS(EFIAPI * EFI_ISA_ACPI_SET_RESOURCE)(IN EFI_ISA_ACPI_PROTOCOL *This, IN EFI_ISA_ACPI_DEVICE_ID *Device, IN EFI_ISA_ACPI_RESOURCE_LIST *ResourceList)

Assigns resources to an ISA controller.

Assigns the I/O, MMIO, DMA, and interrupt resources specified by ResourceList to the ISA controller specified by Device. ResourceList must match a resource list returned by GetPosResource() for the same ISA controller.

Parameters:
[in] | This | The pointer to the EFI_ISA_ACPI_PROTOCOL instance.
[in] | Device | The pointer to an ISA controller named by ACPI HID/UID.
[in] | ResourceList | The pointer to a resources list that must be one of the resource lists returned by GetPosResource() for the ISA controller specified by Device.
Return values:
EFI_SUCCESS | Successfully set resources on the ISA controller.
Other | The resources could not be set for the ISA controller.

Enumeration Type Documentation

enum EFI_ISA_ACPI_RESOURCE_TYPE

EFI ISA ACPI resource type

Enumerator:
EfiIsaAcpiResourceEndOfList | Marks the end if a resource list.
EfiIsaAcpiResourceIo | ISA I/O port resource range.
EfiIsaAcpiResourceMemory | ISA MMIO resource range.
EfiIsaAcpiResourceDma | ISA DMA resource.
EfiIsaAcpiResourceInterrupt | ISA interrupt resource.

Variable Documentation

EFI_GUID gEfiIsaAcpiProtocolGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Protocol/IsaIo.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Protocol/IsaIo.h File Reference

Data Structures

struct | EFI_ISA_IO_PROTOCOL_ACCESS
struct | _EFI_ISA_IO_PROTOCOL

Defines

#define | EFI_ISA_IO_PROTOCOL_GUID
#define | EFI_ISA_IO_ATTRIBUTE_MEMORY_WRITE_COMBINE 0x080
Map a memory range so write are combined.
#define | EFI_ISA_IO_ATTRIBUTE_MEMORY_CACHED 0x800
Map a memory range so all read and write accesses are cached.
#define | EFI_ISA_IO_ATTRIBUTE_MEMORY_DISABLE 0x1000
Disable a memory range.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_COMPATIBLE 0x001
Set the speed of the DMA transfer in compatible mode.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_A 0x002
Not supported.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_B 0x004
Not supported.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_C 0x008
Not supported.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_8 0x010
Request 8-bit DMA transfers. Only available on channels 0..3.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_16 0x020
Request 16-bit DMA transfers. Only available on channels 4..7.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SINGLE_MODE 0x040
Request a single DMA transfer.
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_DEMAND_MODE 0x080
Request multiple DMA transfers until TC (Terminal Count) or EOP (End of Process).
#define | EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_AUTO_INITIALIZE 0x100
Automatically reload base and count at the end of the DMA transfer.

Typedefs

typedef struct _EFI_ISA_IO_PROTOCOL | EFI_ISA_IO_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_IO_MEM )(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ISA_IO_PROTOCOL_WIDTH Width, IN UINT32 Offset, IN UINTN Count, IN OUT VOID *Buffer)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_COPY_MEM )(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ISA_IO_PROTOCOL_WIDTH Width, IN UINT32 DestOffset, IN UINT32 SrcOffset, IN UINTN Count)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_MAP )(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ISA_IO_PROTOCOL_OPERATION Operation, IN UINT8 ChannelNumber, IN UINT32 ChannelAttributes, IN VOID *HostAddress, IN OUT UINTN *NumberOfBytes, OUT EFI_PHYSICAL_ADDRESS *DeviceAddress, OUT VOID **Mapping)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_UNMAP )(IN EFI_ISA_IO_PROTOCOL *This, IN VOID *Mapping)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_ALLOCATE_BUFFER )(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ALLOCATE_TYPE Type, IN EFI_MEMORY_TYPE MemoryType, IN UINTN Pages, OUT VOID **HostAddress, IN UINT64 Attributes)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_FREE_BUFFER )(IN EFI_ISA_IO_PROTOCOL *This, IN UINTN Pages, IN VOID *HostAddress)
typedef EFI_STATUS(EFIAPI * | EFI_ISA_IO_PROTOCOL_FLUSH )(IN EFI_ISA_IO_PROTOCOL *This)

Enumerations

enum EFI_ISA_IO_PROTOCOL_WIDTH {
EfiIsaIoWidthUint8 = 0, EfiIsaIoWidthUint16, EfiIsaIoWidthUint32, EfiIsaIoWidthReserved,
EfiIsaIoWidthFifoUint8, EfiIsaIoWidthFifoUint16, EfiIsaIoWidthFifoUint32, EfiIsaIoWidthFifoReserved,
EfiIsaIoWidthFillUint8, EfiIsaIoWidthFillUint16, EfiIsaIoWidthFillUint32, EfiIsaIoWidthFillReserved,
EfiIsaIoWidthMaximum
}
enum EFI_ISA_IO_PROTOCOL_OPERATION {
EfiIsaIoOperationBusMasterRead, EfiIsaIoOperationBusMasterWrite, EfiIsaIoOperationBusMasterCommonBuffer, EfiIsaIoOperationSlaveRead,
EfiIsaIoOperationSlaveWrite, EfiIsaIoOperationMaximum
}

Variables

EFI_GUID | gEfiIsaIoProtocolGuid

Detailed Description

ISA I/O Protocol is used by ISA device drivers to perform I/O, MMIO and DMA operations on the ISA controllers they manage.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_ISA_IO_ATTRIBUTE_MEMORY_CACHED 0x800

Map a memory range so all read and write accesses are cached.

#define EFI_ISA_IO_ATTRIBUTE_MEMORY_DISABLE 0x1000

Disable a memory range.

#define EFI_ISA_IO_ATTRIBUTE_MEMORY_WRITE_COMBINE 0x080

Map a memory range so write are combined.

Attributes for the EFI_ISA_IO_PROTOCOL common DMA buffer allocations.

#define EFI_ISA_IO_PROTOCOL_GUID

Value:

{ \
    0x7ee2bd44, 0x3da0, 0x11d4, { 0x9a, 0x38, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } \
  }
Global ID for the EFI_ISA_IO_PROTOCOL

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_AUTO_INITIALIZE 0x100

Automatically reload base and count at the end of the DMA transfer.

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_DEMAND_MODE 0x080

Request multiple DMA transfers until TC (Terminal Count) or EOP (End of Process).

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SINGLE_MODE 0x040

Request a single DMA transfer.

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_A 0x002

Not supported.

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_B 0x004

Not supported.

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_C 0x008

Not supported.

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_COMPATIBLE 0x001

Set the speed of the DMA transfer in compatible mode.

Channel attribute for EFI_ISA_IO_PROTOCOL slave DMA requests

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_16 0x020

Request 16-bit DMA transfers. Only available on channels 4..7.

#define EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_8 0x010

Request 8-bit DMA transfers. Only available on channels 0..3.

Typedef Documentation

typedef struct _EFI_ISA_IO_PROTOCOL EFI_ISA_IO_PROTOCOL

Forward declaration for the EFI_ISA_IO_PROTOCOL.

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_ALLOCATE_BUFFER)(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ALLOCATE_TYPE Type, IN EFI_MEMORY_TYPE MemoryType, IN UINTN Pages, OUT VOID **HostAddress, IN UINT64 Attributes)

Allocates pages that are suitable for an EfiIsaIoOperationBusMasterCommonBuffer mapping.

Parameters:
[in] | This | A pointer to the EFI_ISA_IO_PROTOCOL instance.
[in] | Type | The type allocation to perform.
[in] | MemoryType | The type of memory to allocate.
[in] | Pages | The number of pages to allocate.
[out] | HostAddress | A pointer to store the base address of the allocated range.
[in] | Attributes | The requested bit mask of attributes for the allocated range.
Return values:
EFI_SUCCESS | The requested memory pages were allocated.
EFI_INVALID_PARAMETER | Type is invalid.
EFI_INVALID_PARAMETER | MemoryType is invalid.
EFI_INVALID_PARAMETER | HostAddress is NULL.
EFI_UNSUPPORTED | Attributes is unsupported.
EFI_UNSUPPORTED | The memory range specified by HostAddress, Pages, and Type is not available for common buffer use.
EFI_OUT_OF_RESOURCES | The memory pages could not be allocated.

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_COPY_MEM)(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ISA_IO_PROTOCOL_WIDTH Width, IN UINT32 DestOffset, IN UINT32 SrcOffset, IN UINTN Count)

Copies data from one region of ISA MMIO space to another region of ISA MMIO space.

Parameters:
[in] | This | A pointer to the EFI_ISA_IO_PROTOCOL instance.
[in] | Width | Specifies the width of the MMIO copy operation.
[in] | DestOffset | The offset of the destination in ISA MMIO space.
[in] | SrcOffset | The offset of the source in ISA MMIO space.
[in] | Count | The number tranfers to perform for this copy operation.
Return values:
EFI_SUCCESS | The data was copied sucessfully.
EFI_UNSUPPORTED | The DestOffset or SrcOffset is not valid for this device.
EFI_INVALID_PARAMETER | Width or Count, or both, were invalid.
EFI_OUT_OF_RESOURCES | The request could not be completed due to a lack of resources.

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_FLUSH)(IN EFI_ISA_IO_PROTOCOL *This)

Flushes a DMA buffer, which forces all DMA posted write transactions to complete.

Parameters:
[in] This A pointer to the EFI_ISA_IO_PROTOCOL instance.
Return values:
EFI_SUCCESS | The DMA buffers were flushed.
EFI_DEVICE_ERROR | The buffers were not flushed due to a hardware error.

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_FREE_BUFFER)(IN EFI_ISA_IO_PROTOCOL *This, IN UINTN Pages, IN VOID *HostAddress)

Frees a common buffer that was allocated with EFI_ISA_IO_PROTOCOL.AllocateBuffer().

Parameters:
[in] | This | A pointer to the EFI_ISA_IO_PROTOCOL instance.
[in] | Pages | The number of pages to free from the previously allocated common buffer.
[in] | HostAddress | The base address of the previously allocated common buffer.
Return values:
EFI_SUCCESS | The requested memory pages were freed.
EFI_INVALID_PARAMETER | The memory was not allocated with EFI_ISA_IO.AllocateBufer().

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_IO_MEM)(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ISA_IO_PROTOCOL_WIDTH Width, IN UINT32 Offset, IN UINTN Count, IN OUT VOID *Buffer)

Performs ISA I/O and MMIO Read/Write Cycles

Parameters:
[in] | This | A pointer to the EFI_ISA_IO_PROTOCOL instance.
[in] | Width | Specifies the width of the I/O or MMIO operation.
[in] | Offset | The offset into the ISA I/O or MMIO space to start the operation.
[in] | Count | The number of I/O or MMIO operations to perform.
[in,out] | Buffer | For read operations, the destination buffer to store the results. For write operations, the source buffer to write data from.
Return values:
EFI_SUCCESS | The data was successfully read from or written to the device.
EFI_UNSUPPORTED | The Offset is not valid for this device.
EFI_INVALID_PARAMETER | Width or Count, or both, were invalid.
EFI_OUT_OF_RESOURCES | The request could not be completed due to a lack of resources.

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_MAP)(IN EFI_ISA_IO_PROTOCOL *This, IN EFI_ISA_IO_PROTOCOL_OPERATION Operation, IN UINT8 ChannelNumber, IN UINT32 ChannelAttributes, IN VOID *HostAddress, IN OUT UINTN *NumberOfBytes, OUT EFI_PHYSICAL_ADDRESS *DeviceAddress, OUT VOID **Mapping)

Maps a memory region for DMA.

This function returns the device-specific addresses required to access system memory. This function is used to map system memory for ISA DMA operations. All ISA DMA operations must be performed through their mapped addresses, and such mappings must be freed with EFI_ISA_IO_PROTOCOL.Unmap() after the DMA operation is completed.

If the DMA operation is a single read or write data transfer through an ISA bus master, then EfiIsaIoOperationBusMasterRead or EfiIsaIoOperationBusMasterWrite is used and the range is unmapped to complete the operation. If the DMA operation is a single read or write data transfer through an ISA slave controller, then EfiIsaIoOperationSlaveRead or EfiIsaIoOperationSlaveWrite is used and the range is unmapped to complete the operation.

If performing a DMA read operation, all the data must be present in system memory before the Map() is performed. Similarly, if performing a DMA write operation, the data must not be accessed in system memory until EFI_ISA_IO_PROTOCOL.Unmap() is performed. Bus master operations that require both read and write access or require multiple host device interactions within the same mapped region must use EfiIsaIoOperationBusMasterCommonBuffer. However, only memory allocated via the EFI_ISA_IO_PROTOCOL.AllocateBuffer() interface is guaranteed to be able to be mapped for this operation type. In all mapping requests the NumberOfBytes returned may be less than originally requested. It is the caller's responsibility to make additional requests to complete the entire transfer.

Parameters:
[in] | This | A pointer to the EFI_ISA_IO_PROTOCOL instance.
[in] | Operation | Indicates the type of DMA (slave or bus master), and if the DMA operation is going to read or write to system memory.
[in] | ChannelNumber | The slave channel number to use for this DMA operation. If Operation and ChannelAttributes shows that this device performs bus mastering DMA, then this field is ignored. The legal range for this field is 0..7.
[in] | ChannelAttributes | A bitmask of the attributes used to configure the slave DMA channel for this DMA operation. See EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_* for the legal bit combinations.
[in] | HostAddress | The system memory address to map to the device.
[in,out] | NumberOfBytes | On input the number of bytes to map. On output the number of bytes that were mapped.
[out] | DeviceAddress | The resulting map address for the bus master device to use to access the hosts HostAddress.
[out] | Mapping | A returned value that must be passed to into EFI_ISA_IO_PROTOCOL.Unmap() to free all the the resources associated with this map request.
Return values:
EFI_SUCCESS | The range was mapped for the returned NumberOfBytes.
EFI_INVALID_PARAMETER | The Operation is undefined.
EFI_INVALID_PARAMETER | The HostAddress is undefined.
EFI_UNSUPPORTED | The HostAddress can not be mapped as a common buffer.
EFI_DEVICE_ERROR | The system hardware could not map the requested address.
EFI_OUT_OF_RESOURCES | The memory pages could not be allocated.

typedef EFI_STATUS(EFIAPI * EFI_ISA_IO_PROTOCOL_UNMAP)(IN EFI_ISA_IO_PROTOCOL *This, IN VOID *Mapping)

Unmaps a memory region that was previously mapped with EFI_ISA_IO_PROTOCOL.Map().

The EFI_ISA_IO_PROTOCOL.Map() operation is completed and any corresponding resources are released. If the operation was EfiIsaIoOperationSlaveWrite or EfiIsaIoOperationBusMasterWrite, the data is committed to system memory. Any resources used for the mapping are freed.

Parameters:
[in] | This | A pointer to the EFI_ISA_IO_PROTOCOL instance.
[in] | Mapping | The mapping value returned from EFI_ISA_IO_PROTOCOL.Map().
Return values:
EFI_SUCCESS | The memory region was unmapped.
EFI_DEVICE_ERROR | The data was not committed to the target system memory.

Enumeration Type Documentation

enum EFI_ISA_IO_PROTOCOL_OPERATION

The DMA opreration type for EFI_ISA_IO_PROTOCOL DMA requests.

Enumerator:
EfiIsaIoOperationBusMasterRead | A read operation from system memory by a bus master.
EfiIsaIoOperationBusMasterWrite | A write operation to system memory by a bus master.
EfiIsaIoOperationBusMasterCommonBuffer | Provides both read and write access to system memory by both the processor and a bus master. The buffer is coherent from both the processor's and the bus master's point of view.
EfiIsaIoOperationSlaveRead | A read operation from system memory by a slave device.
EfiIsaIoOperationSlaveWrite | A write operation to system memory by a slave master.
EfiIsaIoOperationMaximum

enum EFI_ISA_IO_PROTOCOL_WIDTH

Width of EFI_ISA_IO_PROTOCOL I/O Port and MMIO operations.

Enumerator:
EfiIsaIoWidthUint8 | 8-bit operation.
EfiIsaIoWidthUint16 | 16-bit operation.
EfiIsaIoWidthUint32 | 32-bit operation
EfiIsaIoWidthReserved
EfiIsaIoWidthFifoUint8 | 8-bit FIFO operation.
EfiIsaIoWidthFifoUint16 | 16-bit FIFO operation.
EfiIsaIoWidthFifoUint32 | 32-bit FIFO operation.
EfiIsaIoWidthFifoReserved
EfiIsaIoWidthFillUint8 | 8-bit Fill operation.
EfiIsaIoWidthFillUint16 | 16-bit Fill operation.
EfiIsaIoWidthFillUint32 | 32-bit Fill operation.
EfiIsaIoWidthFillReserved
EfiIsaIoWidthMaximum

Variable Documentation

EFI_GUID gEfiIsaIoProtocolGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Protocol/OEMBadging.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Protocol/OEMBadging.h File Reference

Data Structures

struct | _EFI_OEM_BADGING_PROTOCOL

Defines

#define | EFI_OEM_BADGING_PROTOCOL_GUID { 0x170e13c0, 0xbf1b, 0x4218, {0x87, 0x1d, 0x2a, 0xbd, 0xc6, 0xf8, 0x87, 0xbc } }

Typedefs

typedef struct
_EFI_OEM_BADGING_PROTOCOL 		EFI_OEM_BADGING_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_BADGING_GET_IMAGE )(IN EFI_OEM_BADGING_PROTOCOL *This, IN OUT UINT32 *Instance, OUT EFI_BADGING_FORMAT *Format, OUT UINT8 **ImageData, OUT UINTN *ImageSize, OUT EFI_BADGING_DISPLAY_ATTRIBUTE *Attribute, OUT UINTN *CoordinateX, OUT UINTN *CoordinateY)

Enumerations

enum EFI_BADGING_FORMAT {
EfiBadgingFormatBMP, EfiBadgingFormatJPEG, EfiBadgingFormatTIFF, EfiBadgingFormatGIF,
EfiBadgingFormatUnknown
}
enum EFI_BADGING_DISPLAY_ATTRIBUTE {
EfiBadgingDisplayAttributeLeftTop, EfiBadgingDisplayAttributeCenterTop, EfiBadgingDisplayAttributeRightTop, EfiBadgingDisplayAttributeCenterRight,
EfiBadgingDisplayAttributeRightBottom, EfiBadgingDisplayAttributeCenterBottom, EfiBadgingDisplayAttributeLeftBottom, EfiBadgingDisplayAttributeCenterLeft,
EfiBadgingDisplayAttributeCenter, EfiBadgingDisplayAttributeCustomized
}

Variables

EFI_GUID | gEfiOEMBadgingProtocolGuid

Detailed Description

The OEM Badging Protocol defines the interface to get the OEM badging image with the display attribute. This protocol can be produced based on OEM badging images.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_OEM_BADGING_PROTOCOL_GUID { 0x170e13c0, 0xbf1b, 0x4218, {0x87, 0x1d, 0x2a, 0xbd, 0xc6, 0xf8, 0x87, 0xbc } }

Typedef Documentation

typedef EFI_STATUS(EFIAPI * EFI_BADGING_GET_IMAGE)(IN EFI_OEM_BADGING_PROTOCOL *This, IN OUT UINT32 *Instance, OUT EFI_BADGING_FORMAT *Format, OUT UINT8 **ImageData, OUT UINTN *ImageSize, OUT EFI_BADGING_DISPLAY_ATTRIBUTE *Attribute, OUT UINTN *CoordinateX, OUT UINTN *CoordinateY)

Load an OEM badge image and return its data and attributes.

Parameters:
This | The pointer to this protocol instance.
Instance | The visible image instance is found.
Format | The format of the image. Examples: BMP, JPEG.
ImageData | The image data for the badge file. Currently only supports the .bmp file format.
ImageSize | The size of the image returned.
Attribute | The display attributes of the image returned.
CoordinateX | The X coordinate of the image.
CoordinateY | The Y coordinate of the image.
Return values:
EFI_SUCCESS | The image was fetched successfully.
EFI_NOT_FOUND | The specified image could not be found.

typedef struct _EFI_OEM_BADGING_PROTOCOL EFI_OEM_BADGING_PROTOCOL

Enumeration Type Documentation

enum EFI_BADGING_DISPLAY_ATTRIBUTE

Enumerator:
EfiBadgingDisplayAttributeLeftTop
EfiBadgingDisplayAttributeCenterTop
EfiBadgingDisplayAttributeRightTop
EfiBadgingDisplayAttributeCenterRight
EfiBadgingDisplayAttributeRightBottom
EfiBadgingDisplayAttributeCenterBottom
EfiBadgingDisplayAttributeLeftBottom
EfiBadgingDisplayAttributeCenterLeft
EfiBadgingDisplayAttributeCenter
EfiBadgingDisplayAttributeCustomized

enum EFI_BADGING_FORMAT

Enumerator:
EfiBadgingFormatBMP
EfiBadgingFormatJPEG
EfiBadgingFormatTIFF
EfiBadgingFormatGIF
EfiBadgingFormatUnknown

Variable Documentation

EFI_GUID gEfiOEMBadgingProtocolGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Protocol/Ps2Policy.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Protocol/Ps2Policy.h File Reference

Data Structures

struct | EFI_PS2_POLICY_PROTOCOL

Defines

#define | EFI_PS2_POLICY_PROTOCOL_GUID
#define | EFI_KEYBOARD_CAPSLOCK 0x0004
#define | EFI_KEYBOARD_NUMLOCK 0x0002
#define | EFI_KEYBOARD_SCROLLLOCK 0x0001

Functions

typedef | EFI_STATUS (EFIAPI *EFI_PS2_INIT_HARDWARE)(IN EFI_HANDLE Handle)

Variables

EFI_GUID | gEfiPs2PolicyProtocolGuid

Detailed Description

PS/2 policy protocol abstracts the specific platform initialization and settings.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_KEYBOARD_CAPSLOCK 0x0004

#define EFI_KEYBOARD_NUMLOCK 0x0002

#define EFI_KEYBOARD_SCROLLLOCK 0x0001

#define EFI_PS2_POLICY_PROTOCOL_GUID

Value:

{ \
    0x4df19259, 0xdc71, 0x4d46, {0xbe, 0xf1, 0x35, 0x7b, 0xb5, 0x78, 0xc4, 0x18 } \
  }

Function Documentation

typedef EFI_STATUS ( EFIAPI * EFI_PS2_INIT_HARDWARE )

Variable Documentation

EFI_GUID gEfiPs2PolicyProtocolGuid


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/Include/Protocol/VgaMiniPort.h File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/Include/Protocol/VgaMiniPort.h File Reference

Data Structures

struct | _EFI_VGA_MINI_PORT_PROTOCOL

Defines

#define | EFI_VGA_MINI_PORT_PROTOCOL_GUID

Typedefs

typedef struct
_EFI_VGA_MINI_PORT_PROTOCOL 		EFI_VGA_MINI_PORT_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_VGA_MINI_PORT_SET_MODE )(IN EFI_VGA_MINI_PORT_PROTOCOL *This, IN UINTN ModeNumber)

Variables

EFI_GUID | gEfiVgaMiniPortProtocolGuid

Detailed Description

The VGA Mini Port Protocol used to set the text display mode of a VGA controller.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_VGA_MINI_PORT_PROTOCOL_GUID

Value:

{ \
    0xc7735a2f, 0x88f5, 0x4882, {0xae, 0x63, 0xfa, 0xac, 0x8c, 0x8b, 0x86, 0xb3 } \
  }
Global ID for the EFI_VGA_MINI_PORT_PROTOCOL.

Typedef Documentation

typedef struct _EFI_VGA_MINI_PORT_PROTOCOL EFI_VGA_MINI_PORT_PROTOCOL

Forward declaration for the EFI_VGA_MINI_PORT_PROTOCOL.

typedef EFI_STATUS(EFIAPI * EFI_VGA_MINI_PORT_SET_MODE)(IN EFI_VGA_MINI_PORT_PROTOCOL *This, IN UINTN ModeNumber)

Sets the text display mode of a VGA controller.

Sets the text display mode of the VGA controller to the mode specified by ModeNumber. A ModeNumber of 0 is a request for an 80x25 text mode. A ModeNumber of 1 is a request for an 80x50 text mode. If ModeNumber is greater than MaxModeNumber, then EFI_UNSUPPORTED is returned. If the VGA controller is not functioning properly, then EFI_DEVICE_ERROR is returned. If the VGA controller is sucessfully set to the mode number specified by ModeNumber, then EFI_SUCCESS is returned.

Parameters:
[in] | This | A pointer to the EFI_VGA_MINI_PORT_PROTOCOL instance.
[in] | ModeNumber | The requested mode number. 0 for 80x25. 1 for 80x5.
Return values:
EFI_SUCCESS | The mode number was set.
EFI_UNSUPPORTED | The mode number specified by ModeNumber is not supported.
EFI_DEVICE_ERROR | The device is not functioning properly.

Variable Documentation

EFI_GUID gEfiVgaMiniPortProtocolGuid


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- a -

  • ACPI_GLOBAL_VARIABLE : AcpiVariableCompatibility.h


IntelFrameworkModulePkg[ALL]: Alphabetical List

  • Data Fields

Data Structure Index

A | B | D | E | I | L | P | V | _

A
BLOCKIO_VENDOR_DEVICE_PATH EFI_ISA_ACPI_RESOURCE
L
_
ACPI_CPU_DATA_COMPATIBILITY
D
EFI_ISA_ACPI_RESOURCE_LIST LEGACY_DEV_ORDER_ENTRY _EFI_ISA_ACPI_PROTOCOL
ACPI_VARIABLE_SET_COMPATIBILITY DATA_HUB_STATUS_CODE_DATA_RECORD EFI_ISA_IO_PROTOCOL_ACCESS
P
_EFI_ISA_IO_PROTOCOL
B
DEVICE_PATH_STRING_TABLE EFI_PS2_POLICY_PROTOCOL POOL_PRINT _EFI_OEM_BADGING_PROTOCOL
BDS_COMMON_OPTION
E
I
V
_EFI_VGA_MINI_PORT_PROTOCOL
BDS_CONSOLE_CONNECT_ENTRY EFI_ISA_ACPI_DEVICE_ID ISCSI_DEVICE_PATH_WITH_NAME VENDOR_DEVICE_PATH_WITH_DATA

A | B | D | E | I | L | P | V | _


IntelFrameworkModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w

- a -

  • AcpiBootScriptTable : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiCpuData : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiFacsTable : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiReservedMemoryBase : ACPI_VARIABLE_SET_COMPATIBILITY
  • AcpiReservedMemorySize : ACPI_VARIABLE_SET_COMPATIBILITY
  • AllocateBuffer : _EFI_ISA_IO_PROTOCOL
  • APState : ACPI_CPU_DATA_COMPATIBILITY
  • Attribute : BDS_COMMON_OPTION , EFI_ISA_ACPI_RESOURCE

- b -

  • BbsType : LEGACY_DEV_ORDER_ENTRY
  • BootCurrent : BDS_COMMON_OPTION

- c -

  • CallerId : DATA_HUB_STATUS_CODE_DATA_RECORD
  • CodeType : DATA_HUB_STATUS_CODE_DATA_RECORD
  • ConnectType : BDS_CONSOLE_CONNECT_ENTRY
  • CopyMem : _EFI_ISA_IO_PROTOCOL
  • CpuPrivateData : ACPI_CPU_DATA_COMPATIBILITY
  • CrtcAddressRegisterBar : _EFI_VGA_MINI_PORT_PROTOCOL
  • CrtcAddressRegisterOffset : _EFI_VGA_MINI_PORT_PROTOCOL
  • CrtcDataRegisterBar : _EFI_VGA_MINI_PORT_PROTOCOL
  • CrtcDataRegisterOffset : _EFI_VGA_MINI_PORT_PROTOCOL

- d -

  • Data : DATA_HUB_STATUS_CODE_DATA_RECORD , LEGACY_DEV_ORDER_ENTRY
  • Description : BDS_COMMON_OPTION
  • Device : EFI_ISA_ACPI_RESOURCE_LIST
  • DeviceEnumerate : _EFI_ISA_ACPI_PROTOCOL
  • DevicePath : BDS_CONSOLE_CONNECT_ENTRY , BDS_COMMON_OPTION , BLOCKIO_VENDOR_DEVICE_PATH

- e -

  • EnableDevice : _EFI_ISA_ACPI_PROTOCOL
  • EndRange : EFI_ISA_ACPI_RESOURCE

- f -

  • Flush : _EFI_ISA_IO_PROTOCOL
  • FreeBuffer : _EFI_ISA_IO_PROTOCOL
  • Function : DEVICE_PATH_STRING_TABLE

- g -

  • GdtrProfile : ACPI_CPU_DATA_COMPATIBILITY
  • GetCurResource : _EFI_ISA_ACPI_PROTOCOL
  • GetImage : _EFI_OEM_BADGING_PROTOCOL
  • GetPosResource : _EFI_ISA_ACPI_PROTOCOL
  • Guid : VENDOR_DEVICE_PATH_WITH_DATA

- h -

  • Header : VENDOR_DEVICE_PATH_WITH_DATA , ISCSI_DEVICE_PATH_WITH_NAME
  • HID : EFI_ISA_ACPI_DEVICE_ID

- i -

  • IdtrProfile : ACPI_CPU_DATA_COMPATIBILITY
  • InitDevice : _EFI_ISA_ACPI_PROTOCOL
  • Instance : DATA_HUB_STATUS_CODE_DATA_RECORD
  • InterfaceInit : _EFI_ISA_ACPI_PROTOCOL
  • Io : _EFI_ISA_IO_PROTOCOL

- k -

  • KeyboardLight : EFI_PS2_POLICY_PROTOCOL

- l -

  • LegacyDriveLetter : BLOCKIO_VENDOR_DEVICE_PATH
  • Len : POOL_PRINT
  • Length : LEGACY_DEV_ORDER_ENTRY
  • Link : BDS_COMMON_OPTION
  • LoadOptions : BDS_COMMON_OPTION
  • LoadOptionsSize : BDS_COMMON_OPTION
  • LoginOption : ISCSI_DEVICE_PATH_WITH_NAME
  • Lun : ISCSI_DEVICE_PATH_WITH_NAME

- m -

  • Map : _EFI_ISA_IO_PROTOCOL
  • Maxlen : POOL_PRINT
  • MaxMode : _EFI_VGA_MINI_PORT_PROTOCOL
  • Mem : _EFI_ISA_IO_PROTOCOL
  • MicrocodePointerBuffer : ACPI_CPU_DATA_COMPATIBILITY

- n -

  • NetworkProtocol : ISCSI_DEVICE_PATH_WITH_NAME
  • NumberOfCpus : ACPI_CPU_DATA_COMPATIBILITY

- o -

  • OptionName : BDS_COMMON_OPTION
  • OptionNumber : BDS_COMMON_OPTION

- p -

  • Ps2InitHardware : EFI_PS2_POLICY_PROTOCOL

- r -

  • Read : EFI_ISA_IO_PROTOCOL_ACCESS
  • ResourceItem : EFI_ISA_ACPI_RESOURCE_LIST
  • ResourceList : _EFI_ISA_IO_PROTOCOL
  • RomImage : _EFI_ISA_IO_PROTOCOL
  • RomSize : _EFI_ISA_IO_PROTOCOL
  • RuntimeScriptTableBase : ACPI_VARIABLE_SET_COMPATIBILITY

- s -

  • S3BootPath : ACPI_CPU_DATA_COMPATIBILITY
  • S3DebugBufferAddress : ACPI_VARIABLE_SET_COMPATIBILITY
  • S3ReservedLowMemoryBase : ACPI_VARIABLE_SET_COMPATIBILITY
  • S3ResumeNvsEntryPoint : ACPI_VARIABLE_SET_COMPATIBILITY
  • SetMode : _EFI_VGA_MINI_PORT_PROTOCOL
  • SetPower : _EFI_ISA_ACPI_PROTOCOL
  • SetResource : _EFI_ISA_ACPI_PROTOCOL
  • Signature : BDS_COMMON_OPTION
  • SmmStartImageBase : ACPI_CPU_DATA_COMPATIBILITY
  • SmmStartImageSize : ACPI_CPU_DATA_COMPATIBILITY
  • SmramBase : ACPI_CPU_DATA_COMPATIBILITY
  • StackAddress : ACPI_CPU_DATA_COMPATIBILITY
  • StartRange : EFI_ISA_ACPI_RESOURCE
  • StatusString : BDS_COMMON_OPTION
  • Str : POOL_PRINT
  • SubType : DEVICE_PATH_STRING_TABLE
  • SystemMemoryLength : ACPI_VARIABLE_SET_COMPATIBILITY

- t -

  • TargetName : ISCSI_DEVICE_PATH_WITH_NAME
  • TargetPortalGroupTag : ISCSI_DEVICE_PATH_WITH_NAME
  • Type : DEVICE_PATH_STRING_TABLE , EFI_ISA_ACPI_RESOURCE

- u -

  • UID : EFI_ISA_ACPI_DEVICE_ID
  • Unmap : _EFI_ISA_IO_PROTOCOL

- v -

  • Value : DATA_HUB_STATUS_CODE_DATA_RECORD
  • VendorDefinedData : VENDOR_DEVICE_PATH_WITH_DATA
  • VgaMemoryBar : _EFI_VGA_MINI_PORT_PROTOCOL
  • VgaMemoryOffset : _EFI_VGA_MINI_PORT_PROTOCOL
  • VideoOpromAddress : ACPI_VARIABLE_SET_COMPATIBILITY
  • VideoOpromSize : ACPI_VARIABLE_SET_COMPATIBILITY

- w -

  • WakeUpBuffer : ACPI_CPU_DATA_COMPATIBILITY
  • Write : EFI_ISA_IO_PROTOCOL_ACCESS


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- l -

  • LAST_ENUM_LANGUAGE_GUID : LastEnumLang.h
  • LAST_ENUM_LANGUAGE_VARIABLE_NAME : LastEnumLang.h
  • LOAD_OPTION_ACTIVE : GenericBdsLib.h
  • LOAD_OPTION_CATEGORY : GenericBdsLib.h
  • LOAD_OPTION_CATEGORY_APP : GenericBdsLib.h
  • LOAD_OPTION_CATEGORY_BOOT : GenericBdsLib.h
  • LOAD_OPTION_FORCE_RECONNECT : GenericBdsLib.h
  • LOAD_OPTION_HIDDEN : GenericBdsLib.h
  • LockKeyboards() : PlatformBdsLib.h
  • LZMA_CUSTOM_DECOMPRESS_GUID : LzmaDecompress.h
  • LZMAF86_CUSTOM_DECOMPRESS_GUID : LzmaDecompress.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- m -

  • MatchPartitionDevicePathNode() : GenericBdsLib.h
  • MAX_CHAR : GenericBdsLib.h
  • MAX_CHAR_SIZE : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- b -

  • BASEM_MEMORY_TEST : PlatformBdsLib.h
  • BBS_TYPE : LegacyDevOrder.h
  • BDS_EFI_ACPI_FLOPPY_BOOT : GenericBdsLib.h
  • BDS_EFI_MEDIA_CDROM_BOOT : GenericBdsLib.h
  • BDS_EFI_MEDIA_HD_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_ATAPI_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_MAC_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_MISC_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_SATA_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_SCSI_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_USB_DEVICE_BOOT : GenericBdsLib.h
  • BDS_EFI_UNSUPPORT : GenericBdsLib.h
  • BDS_LEGACY_BBS_BOOT : GenericBdsLib.h
  • BDS_LIB_STRING_PACKAGE_GUID : BdsLibHii.h
  • BDS_LOAD_OPTION_SIGNATURE : GenericBdsLib.h
  • BdsAddNonExistingLegacyBootOptions() : GenericBdsLib.h
  • BdsDeleteAllInvalidLegacyBootOptions() : GenericBdsLib.h
  • BdsDeleteBootOption() : GenericBdsLib.h
  • BdsExpandPartitionPartialDevicePathToFull() : GenericBdsLib.h
  • BdsGetBootTypeFromDevicePath() : GenericBdsLib.h
  • BdsLibBootNext() : GenericBdsLib.h
  • BdsLibBootViaBootOption() : GenericBdsLib.h
  • BdsLibBuildOptionFromHandle() : GenericBdsLib.h
  • BdsLibBuildOptionFromShell() : GenericBdsLib.h
  • BdsLibBuildOptionFromVar() : GenericBdsLib.h
  • BdsLibConnectAll() : GenericBdsLib.h
  • BdsLibConnectAllConsoles() : GenericBdsLib.h
  • BdsLibConnectAllDefaultConsoles() : GenericBdsLib.h
  • BdsLibConnectAllDefaultConsolesWithOutConIn() : GenericBdsLib.h
  • BdsLibConnectAllDriversToAllControllers() : GenericBdsLib.h
  • BdsLibConnectAllEfi() : GenericBdsLib.h
  • BdsLibConnectConsoleVariable() : GenericBdsLib.h
  • BdsLibConnectDevicePath() : GenericBdsLib.h
  • BdsLibConnectUsbDevByShortFormDP() : GenericBdsLib.h
  • BdsLibDelPartMatchInstance() : GenericBdsLib.h
  • BdsLibDisconnectAllEfi() : GenericBdsLib.h
  • BdsLibEnumerateAllBootOption() : GenericBdsLib.h
  • BdsLibGetBootableHandle() : GenericBdsLib.h
  • BdsLibGetBootMode() : GenericBdsLib.h
  • BdsLibGetVariableAndSize() : GenericBdsLib.h
  • BdsLibIsValidEFIBootOptDevicePath() : GenericBdsLib.h
  • BdsLibIsValidEFIBootOptDevicePathExt() : GenericBdsLib.h
  • BdsLibLoadDrivers() : GenericBdsLib.h
  • BdsLibMatchDevicePaths() : GenericBdsLib.h
  • BdsLibOutputStrings() : GenericBdsLib.h
  • BdsLibRegisterNewOption() : GenericBdsLib.h
  • BdsLibSaveMemoryTypeInformation() : GenericBdsLib.h
  • BdsLibUpdateConsoleVariable() : GenericBdsLib.h
  • BdsLibUpdateFvFileDevicePath() : GenericBdsLib.h
  • BdsLibUserIdentify() : GenericBdsLib.h
  • BdsLibVariableToOption() : GenericBdsLib.h
  • BdsRefreshBbsTableForBoot() : GenericBdsLib.h
  • BdsUpdateLegacyDevOrder() : GenericBdsLib.h
  • BLOCKIO_VENDOR_GUID : BlockIoVendor.h
  • BOOT_MAINT_FORMSET_GUID : BdsHii.h
  • BOOT_MANAGER_FORMSET_GUID : BdsHii.h
  • BOOT_OPTION_MAX_CHAR : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- c -

  • CatPrint() : GenericBdsLib.h
  • CONSOLE_ALL : GenericBdsLib.h
  • CONSOLE_IN : GenericBdsLib.h
  • CONSOLE_OUT : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- d -

  • DEV_PATH_FUNCTION : GenericBdsLib.h
  • DEVICE_MANAGER_FORMSET_GUID : BdsHii.h
  • DevicePathToStr() : GenericBdsLib.h
  • DevPathVendor() : GenericBdsLib.h
  • DisableQuietBoot() : GenericBdsLib.h
  • DisableResetReminderFeature() : GenericBdsLib.h
  • DisableResetRequired() : GenericBdsLib.h
  • DRIVER_HEALTH_FORMSET_GUID : BdsHii.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- e -

  • EFI_ACPI_VARIABLE_COMPATIBILITY_GUID : AcpiVariableCompatibility.h
  • EFI_BADGING_DISPLAY_ATTRIBUTE : OEMBadging.h
  • EFI_BADGING_FORMAT : OEMBadging.h
  • EFI_BADGING_GET_IMAGE : OEMBadging.h
  • EFI_BOOT_OPTION_SUPPORT_APP : GenericBdsLib.h
  • EFI_BOOT_OPTION_SUPPORT_KEY : GenericBdsLib.h
  • EFI_DATA_HUB_STATUS_CODE_RECORD_GUID : DataHubStatusCodeRecord.h
  • EFI_ISA_ACPI_DEVICE_ENUMERATE : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_BUS_MASTER : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_COUNT_BY_BYTE : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_COUNT_BY_WORD : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_A : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_B : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_COMPATIBILITY : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_F : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_MASK : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_TRANSFER_TYPE_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT_AND_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_ENABLE_DEVICE : IsaAcpi.h
  • EFI_ISA_ACPI_GET_CUR_RESOURCE : IsaAcpi.h
  • EFI_ISA_ACPI_GET_POS_RESOURCE : IsaAcpi.h
  • EFI_ISA_ACPI_INIT_DEVICE : IsaAcpi.h
  • EFI_ISA_ACPI_INTERFACE_INIT : IsaAcpi.h
  • EFI_ISA_ACPI_IO_DECODE_10_BITS : IsaAcpi.h
  • EFI_ISA_ACPI_IO_DECODE_16_BITS : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_EDGE_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_LEVEL_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_EDGE_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_LEVEL_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_CACHEABLE : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_EXPANSION_ROM : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_SHADOWABLE : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT_AND_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_MASK : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WRITEABLE : IsaAcpi.h
  • EFI_ISA_ACPI_PROTOCOL : IsaAcpi.h
  • EFI_ISA_ACPI_PROTOCOL_GUID : IsaAcpi.h
  • EFI_ISA_ACPI_RESOURCE_TYPE : IsaAcpi.h
  • EFI_ISA_ACPI_SET_DEVICE_POWER : IsaAcpi.h
  • EFI_ISA_ACPI_SET_RESOURCE : IsaAcpi.h
  • EFI_ISA_IO_ATTRIBUTE_MEMORY_CACHED : IsaIo.h
  • EFI_ISA_IO_ATTRIBUTE_MEMORY_DISABLE : IsaIo.h
  • EFI_ISA_IO_ATTRIBUTE_MEMORY_WRITE_COMBINE : IsaIo.h
  • EFI_ISA_IO_PROTOCOL : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_ALLOCATE_BUFFER : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_COPY_MEM : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_FLUSH : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_FREE_BUFFER : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_GUID : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_IO_MEM : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_MAP : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_OPERATION : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_UNMAP : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_WIDTH : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_AUTO_INITIALIZE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_DEMAND_MODE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SINGLE_MODE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_A : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_B : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_C : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_COMPATIBLE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_16 : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_8 : IsaIo.h
  • EFI_KEYBOARD_CAPSLOCK : Ps2Policy.h
  • EFI_KEYBOARD_NUMLOCK : Ps2Policy.h
  • EFI_KEYBOARD_SCROLLLOCK : Ps2Policy.h
  • EFI_LEGACY_BIOS_GUID : LegacyBios.h
  • EFI_LEGACY_DEV_ORDER_VARIABLE_GUID : LegacyDevOrder.h
  • EFI_OEM_BADGING_PROTOCOL : OEMBadging.h
  • EFI_OEM_BADGING_PROTOCOL_GUID : OEMBadging.h
  • EFI_PS2_POLICY_PROTOCOL_GUID : Ps2Policy.h
  • EFI_STATUS() : Ps2Policy.h
  • EFI_UPDATE_DATA_FILE_GUID : CapsuleDataFile.h
  • EFI_VGA_MINI_PORT_PROTOCOL : VgaMiniPort.h
  • EFI_VGA_MINI_PORT_PROTOCOL_GUID : VgaMiniPort.h
  • EFI_VGA_MINI_PORT_SET_MODE : VgaMiniPort.h
  • EfiBadgingDisplayAttributeCenter : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterBottom : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterLeft : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterRight : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterTop : OEMBadging.h
  • EfiBadgingDisplayAttributeCustomized : OEMBadging.h
  • EfiBadgingDisplayAttributeLeftBottom : OEMBadging.h
  • EfiBadgingDisplayAttributeLeftTop : OEMBadging.h
  • EfiBadgingDisplayAttributeRightBottom : OEMBadging.h
  • EfiBadgingDisplayAttributeRightTop : OEMBadging.h
  • EfiBadgingFormatBMP : OEMBadging.h
  • EfiBadgingFormatGIF : OEMBadging.h
  • EfiBadgingFormatJPEG : OEMBadging.h
  • EfiBadgingFormatTIFF : OEMBadging.h
  • EfiBadgingFormatUnknown : OEMBadging.h
  • EfiIsaAcpiResourceDma : IsaAcpi.h
  • EfiIsaAcpiResourceEndOfList : IsaAcpi.h
  • EfiIsaAcpiResourceInterrupt : IsaAcpi.h
  • EfiIsaAcpiResourceIo : IsaAcpi.h
  • EfiIsaAcpiResourceMemory : IsaAcpi.h
  • EfiIsaIoOperationBusMasterCommonBuffer : IsaIo.h
  • EfiIsaIoOperationBusMasterRead : IsaIo.h
  • EfiIsaIoOperationBusMasterWrite : IsaIo.h
  • EfiIsaIoOperationMaximum : IsaIo.h
  • EfiIsaIoOperationSlaveRead : IsaIo.h
  • EfiIsaIoOperationSlaveWrite : IsaIo.h
  • EfiIsaIoWidthFifoReserved : IsaIo.h
  • EfiIsaIoWidthFifoUint16 : IsaIo.h
  • EfiIsaIoWidthFifoUint32 : IsaIo.h
  • EfiIsaIoWidthFifoUint8 : IsaIo.h
  • EfiIsaIoWidthFillReserved : IsaIo.h
  • EfiIsaIoWidthFillUint16 : IsaIo.h
  • EfiIsaIoWidthFillUint32 : IsaIo.h
  • EfiIsaIoWidthFillUint8 : IsaIo.h
  • EfiIsaIoWidthMaximum : IsaIo.h
  • EfiIsaIoWidthReserved : IsaIo.h
  • EfiIsaIoWidthUint16 : IsaIo.h
  • EfiIsaIoWidthUint32 : IsaIo.h
  • EfiIsaIoWidthUint8 : IsaIo.h
  • EnableQuietBoot() : GenericBdsLib.h
  • EnableResetReminderFeature() : GenericBdsLib.h
  • EnableResetRequired() : GenericBdsLib.h
  • EXIT_PM_AUTH_PROTOCOL_GUID : ExitPmAuth.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- f -

  • FILE_EXPLORE_FORMSET_GUID : BdsHii.h
  • FRONT_PAGE_DATA_WIDTH : GenericBdsLib.h
  • FRONT_PAGE_FORMSET_GUID : BdsHii.h
  • FRONT_PAGE_QUESTION_ID : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- g -

  • gBdsLibStringPackageGuid : BdsLibHii.h
  • gBlockIoVendorGuid : BlockIoVendor.h
  • gBootMaintFormSetGuid : BdsHii.h
  • gBootManagerFormSetGuid : BdsHii.h
  • gDeviceManagerFormSetGuid : BdsHii.h
  • gDriverHealthFormSetGuid : BdsHii.h
  • gEfiAcpiVariableCompatiblityGuid : AcpiVariableCompatibility.h
  • gEfiDataHubStatusCodeRecordGuid : DataHubStatusCodeRecord.h
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid : IntelFrameworkModulePkgTokenSpace.h
  • gEfiIsaAcpiProtocolGuid : IsaAcpi.h
  • gEfiIsaIoProtocolGuid : IsaIo.h
  • gEfiLegacyBiosGuid : LegacyBios.h
  • gEfiLegacyDevOrderVariableGuid : LegacyDevOrder.h
  • gEfiOEMBadgingProtocolGuid : OEMBadging.h
  • gEfiPs2PolicyProtocolGuid : Ps2Policy.h
  • gEfiUpdateDataFileGuid : CapsuleDataFile.h
  • gEfiVgaMiniPortProtocolGuid : VgaMiniPort.h
  • gExitPmAuthProtocolGuid : ExitPmAuth.h
  • gFileExploreFormSetGuid : BdsHii.h
  • gFrontPageFormSetGuid : BdsHii.h
  • gHdBootDevicePathVariablGuid : HdBootVariable.h
  • gLastEnumLangGuid : LastEnumLang.h
  • gLzmaCustomDecompressGuid : LzmaDecompress.h
  • gLzmaF86CustomDecompressGuid : LzmaDecompress.h
  • gTianoCustomDecompressGuid : TianoDecompress.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- h -

  • HD_BOOT_DEVICE_PATH_VARIABLE_GUID : HdBootVariable.h
  • HD_BOOT_DEVICE_PATH_VARIABLE_NAME : HdBootVariable.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- i -

  • INTEL_FRAMEWORK_MODULEPKG_TOKEN_SPACE_GUID : IntelFrameworkModulePkgTokenSpace.h
  • IS_LOAD_OPTION_TYPE : GenericBdsLib.h
  • IsResetReminderFeatureEnable() : GenericBdsLib.h
  • IsResetRequired() : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- p -

  • PlatformBdsBootFail() : PlatformBdsLib.h
  • PlatformBdsBootSuccess() : PlatformBdsLib.h
  • PlatformBdsInit() : PlatformBdsLib.h
  • PlatformBdsLockNonUpdatableFlash() : PlatformBdsLib.h
  • PlatformBdsPolicyBehavior() : PlatformBdsLib.h
  • PROCESS_CAPSULES : PlatformBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- r -

  • REFRESH_LEGACY_BOOT_OPTIONS : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- s -

  • SetupResetReminder() : GenericBdsLib.h
  • STD_ERROR : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- t -

  • TIANO_CUSTOM_DECOMPRESS_GUID : TianoDecompress.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • p
  • r
  • s
  • t
  • v
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- v -

  • VAR_LEGACY_DEV_ORDER : LegacyDevOrder.h , GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • h
  • i
  • l
  • m
  • r
  • s
  • t
  • v

- a -

  • ACPI_GLOBAL_VARIABLE : AcpiVariableCompatibility.h

- b -

  • BDS_EFI_ACPI_FLOPPY_BOOT : GenericBdsLib.h
  • BDS_EFI_MEDIA_CDROM_BOOT : GenericBdsLib.h
  • BDS_EFI_MEDIA_HD_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_ATAPI_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_MAC_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_MISC_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_SATA_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_SCSI_BOOT : GenericBdsLib.h
  • BDS_EFI_MESSAGE_USB_DEVICE_BOOT : GenericBdsLib.h
  • BDS_EFI_UNSUPPORT : GenericBdsLib.h
  • BDS_LEGACY_BBS_BOOT : GenericBdsLib.h
  • BDS_LIB_STRING_PACKAGE_GUID : BdsLibHii.h
  • BDS_LOAD_OPTION_SIGNATURE : GenericBdsLib.h
  • BLOCKIO_VENDOR_GUID : BlockIoVendor.h
  • BOOT_MAINT_FORMSET_GUID : BdsHii.h
  • BOOT_MANAGER_FORMSET_GUID : BdsHii.h
  • BOOT_OPTION_MAX_CHAR : GenericBdsLib.h

- c -

  • CONSOLE_ALL : GenericBdsLib.h
  • CONSOLE_IN : GenericBdsLib.h
  • CONSOLE_OUT : GenericBdsLib.h

- d -

  • DEVICE_MANAGER_FORMSET_GUID : BdsHii.h
  • DRIVER_HEALTH_FORMSET_GUID : BdsHii.h

- e -

  • EFI_ACPI_VARIABLE_COMPATIBILITY_GUID : AcpiVariableCompatibility.h
  • EFI_BOOT_OPTION_SUPPORT_APP : GenericBdsLib.h
  • EFI_BOOT_OPTION_SUPPORT_KEY : GenericBdsLib.h
  • EFI_DATA_HUB_STATUS_CODE_RECORD_GUID : DataHubStatusCodeRecord.h
  • EFI_ISA_ACPI_DMA_BUS_MASTER : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_COUNT_BY_BYTE : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_COUNT_BY_WORD : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_A : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_B : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_COMPATIBILITY : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_F : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_SPEED_TYPE_MASK : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_TRANSFER_TYPE_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_DMA_TRANSFER_TYPE_8_BIT_AND_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_IO_DECODE_10_BITS : IsaAcpi.h
  • EFI_ISA_ACPI_IO_DECODE_16_BITS : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_EDGE_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_HIGH_TRUE_LEVEL_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_EDGE_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_IRQ_TYPE_LOW_TRUE_LEVEL_SENSITIVE : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_CACHEABLE : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_EXPANSION_ROM : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_SHADOWABLE : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_8_BIT_AND_16_BIT : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WIDTH_MASK : IsaAcpi.h
  • EFI_ISA_ACPI_MEMORY_WRITEABLE : IsaAcpi.h
  • EFI_ISA_ACPI_PROTOCOL_GUID : IsaAcpi.h
  • EFI_ISA_IO_ATTRIBUTE_MEMORY_CACHED : IsaIo.h
  • EFI_ISA_IO_ATTRIBUTE_MEMORY_DISABLE : IsaIo.h
  • EFI_ISA_IO_ATTRIBUTE_MEMORY_WRITE_COMBINE : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_GUID : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_AUTO_INITIALIZE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_DEMAND_MODE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SINGLE_MODE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_A : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_B : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_C : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_SPEED_COMPATIBLE : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_16 : IsaIo.h
  • EFI_ISA_IO_SLAVE_DMA_ATTRIBUTE_WIDTH_8 : IsaIo.h
  • EFI_KEYBOARD_CAPSLOCK : Ps2Policy.h
  • EFI_KEYBOARD_NUMLOCK : Ps2Policy.h
  • EFI_KEYBOARD_SCROLLLOCK : Ps2Policy.h
  • EFI_LEGACY_BIOS_GUID : LegacyBios.h
  • EFI_LEGACY_DEV_ORDER_VARIABLE_GUID : LegacyDevOrder.h
  • EFI_OEM_BADGING_PROTOCOL_GUID : OEMBadging.h
  • EFI_PS2_POLICY_PROTOCOL_GUID : Ps2Policy.h
  • EFI_UPDATE_DATA_FILE_GUID : CapsuleDataFile.h
  • EFI_VGA_MINI_PORT_PROTOCOL_GUID : VgaMiniPort.h
  • EXIT_PM_AUTH_PROTOCOL_GUID : ExitPmAuth.h

- f -

  • FILE_EXPLORE_FORMSET_GUID : BdsHii.h
  • FRONT_PAGE_DATA_WIDTH : GenericBdsLib.h
  • FRONT_PAGE_FORMSET_GUID : BdsHii.h
  • FRONT_PAGE_QUESTION_ID : GenericBdsLib.h

- h -

  • HD_BOOT_DEVICE_PATH_VARIABLE_GUID : HdBootVariable.h
  • HD_BOOT_DEVICE_PATH_VARIABLE_NAME : HdBootVariable.h

- i -

  • INTEL_FRAMEWORK_MODULEPKG_TOKEN_SPACE_GUID : IntelFrameworkModulePkgTokenSpace.h
  • IS_LOAD_OPTION_TYPE : GenericBdsLib.h

- l -

  • LAST_ENUM_LANGUAGE_GUID : LastEnumLang.h
  • LAST_ENUM_LANGUAGE_VARIABLE_NAME : LastEnumLang.h
  • LOAD_OPTION_ACTIVE : GenericBdsLib.h
  • LOAD_OPTION_CATEGORY : GenericBdsLib.h
  • LOAD_OPTION_CATEGORY_APP : GenericBdsLib.h
  • LOAD_OPTION_CATEGORY_BOOT : GenericBdsLib.h
  • LOAD_OPTION_FORCE_RECONNECT : GenericBdsLib.h
  • LOAD_OPTION_HIDDEN : GenericBdsLib.h
  • LZMA_CUSTOM_DECOMPRESS_GUID : LzmaDecompress.h
  • LZMAF86_CUSTOM_DECOMPRESS_GUID : LzmaDecompress.h

- m -

  • MAX_CHAR : GenericBdsLib.h
  • MAX_CHAR_SIZE : GenericBdsLib.h

- r -

  • REFRESH_LEGACY_BOOT_OPTIONS : GenericBdsLib.h

- s -

  • STD_ERROR : GenericBdsLib.h

- t -

  • TIANO_CUSTOM_DECOMPRESS_GUID : TianoDecompress.h

- v -

  • VAR_LEGACY_DEV_ORDER : LegacyDevOrder.h , GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • EFI_BADGING_DISPLAY_ATTRIBUTE : OEMBadging.h
  • EFI_BADGING_FORMAT : OEMBadging.h
  • EFI_ISA_ACPI_RESOURCE_TYPE : IsaAcpi.h
  • EFI_ISA_IO_PROTOCOL_OPERATION : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_WIDTH : IsaIo.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • e

- e -

  • EfiBadgingDisplayAttributeCenter : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterBottom : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterLeft : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterRight : OEMBadging.h
  • EfiBadgingDisplayAttributeCenterTop : OEMBadging.h
  • EfiBadgingDisplayAttributeCustomized : OEMBadging.h
  • EfiBadgingDisplayAttributeLeftBottom : OEMBadging.h
  • EfiBadgingDisplayAttributeLeftTop : OEMBadging.h
  • EfiBadgingDisplayAttributeRightBottom : OEMBadging.h
  • EfiBadgingDisplayAttributeRightTop : OEMBadging.h
  • EfiBadgingFormatBMP : OEMBadging.h
  • EfiBadgingFormatGIF : OEMBadging.h
  • EfiBadgingFormatJPEG : OEMBadging.h
  • EfiBadgingFormatTIFF : OEMBadging.h
  • EfiBadgingFormatUnknown : OEMBadging.h
  • EfiIsaAcpiResourceDma : IsaAcpi.h
  • EfiIsaAcpiResourceEndOfList : IsaAcpi.h
  • EfiIsaAcpiResourceInterrupt : IsaAcpi.h
  • EfiIsaAcpiResourceIo : IsaAcpi.h
  • EfiIsaAcpiResourceMemory : IsaAcpi.h
  • EfiIsaIoOperationBusMasterCommonBuffer : IsaIo.h
  • EfiIsaIoOperationBusMasterRead : IsaIo.h
  • EfiIsaIoOperationBusMasterWrite : IsaIo.h
  • EfiIsaIoOperationMaximum : IsaIo.h
  • EfiIsaIoOperationSlaveRead : IsaIo.h
  • EfiIsaIoOperationSlaveWrite : IsaIo.h
  • EfiIsaIoWidthFifoReserved : IsaIo.h
  • EfiIsaIoWidthFifoUint16 : IsaIo.h
  • EfiIsaIoWidthFifoUint32 : IsaIo.h
  • EfiIsaIoWidthFifoUint8 : IsaIo.h
  • EfiIsaIoWidthFillReserved : IsaIo.h
  • EfiIsaIoWidthFillUint16 : IsaIo.h
  • EfiIsaIoWidthFillUint32 : IsaIo.h
  • EfiIsaIoWidthFillUint8 : IsaIo.h
  • EfiIsaIoWidthMaximum : IsaIo.h
  • EfiIsaIoWidthReserved : IsaIo.h
  • EfiIsaIoWidthUint16 : IsaIo.h
  • EfiIsaIoWidthUint32 : IsaIo.h
  • EfiIsaIoWidthUint8 : IsaIo.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • b
  • c
  • d
  • e
  • i
  • l
  • m
  • p
  • s

- b -

  • BdsAddNonExistingLegacyBootOptions() : GenericBdsLib.h
  • BdsDeleteAllInvalidLegacyBootOptions() : GenericBdsLib.h
  • BdsDeleteBootOption() : GenericBdsLib.h
  • BdsExpandPartitionPartialDevicePathToFull() : GenericBdsLib.h
  • BdsGetBootTypeFromDevicePath() : GenericBdsLib.h
  • BdsLibBootNext() : GenericBdsLib.h
  • BdsLibBootViaBootOption() : GenericBdsLib.h
  • BdsLibBuildOptionFromHandle() : GenericBdsLib.h
  • BdsLibBuildOptionFromShell() : GenericBdsLib.h
  • BdsLibBuildOptionFromVar() : GenericBdsLib.h
  • BdsLibConnectAll() : GenericBdsLib.h
  • BdsLibConnectAllConsoles() : GenericBdsLib.h
  • BdsLibConnectAllDefaultConsoles() : GenericBdsLib.h
  • BdsLibConnectAllDefaultConsolesWithOutConIn() : GenericBdsLib.h
  • BdsLibConnectAllDriversToAllControllers() : GenericBdsLib.h
  • BdsLibConnectAllEfi() : GenericBdsLib.h
  • BdsLibConnectConsoleVariable() : GenericBdsLib.h
  • BdsLibConnectDevicePath() : GenericBdsLib.h
  • BdsLibConnectUsbDevByShortFormDP() : GenericBdsLib.h
  • BdsLibDelPartMatchInstance() : GenericBdsLib.h
  • BdsLibDisconnectAllEfi() : GenericBdsLib.h
  • BdsLibEnumerateAllBootOption() : GenericBdsLib.h
  • BdsLibGetBootableHandle() : GenericBdsLib.h
  • BdsLibGetBootMode() : GenericBdsLib.h
  • BdsLibGetVariableAndSize() : GenericBdsLib.h
  • BdsLibIsValidEFIBootOptDevicePath() : GenericBdsLib.h
  • BdsLibIsValidEFIBootOptDevicePathExt() : GenericBdsLib.h
  • BdsLibLoadDrivers() : GenericBdsLib.h
  • BdsLibMatchDevicePaths() : GenericBdsLib.h
  • BdsLibOutputStrings() : GenericBdsLib.h
  • BdsLibRegisterNewOption() : GenericBdsLib.h
  • BdsLibSaveMemoryTypeInformation() : GenericBdsLib.h
  • BdsLibUpdateConsoleVariable() : GenericBdsLib.h
  • BdsLibUpdateFvFileDevicePath() : GenericBdsLib.h
  • BdsLibUserIdentify() : GenericBdsLib.h
  • BdsLibVariableToOption() : GenericBdsLib.h
  • BdsRefreshBbsTableForBoot() : GenericBdsLib.h
  • BdsUpdateLegacyDevOrder() : GenericBdsLib.h

- c -

  • CatPrint() : GenericBdsLib.h

- d -

  • DevicePathToStr() : GenericBdsLib.h
  • DevPathVendor() : GenericBdsLib.h
  • DisableQuietBoot() : GenericBdsLib.h
  • DisableResetReminderFeature() : GenericBdsLib.h
  • DisableResetRequired() : GenericBdsLib.h

- e -

  • EFI_STATUS() : Ps2Policy.h
  • EnableQuietBoot() : GenericBdsLib.h
  • EnableResetReminderFeature() : GenericBdsLib.h
  • EnableResetRequired() : GenericBdsLib.h

- i -

  • IsResetReminderFeatureEnable() : GenericBdsLib.h
  • IsResetRequired() : GenericBdsLib.h

- l -

  • LockKeyboards() : PlatformBdsLib.h

- m -

  • MatchPartitionDevicePathNode() : GenericBdsLib.h

- p -

  • PlatformBdsBootFail() : PlatformBdsLib.h
  • PlatformBdsBootSuccess() : PlatformBdsLib.h
  • PlatformBdsInit() : PlatformBdsLib.h
  • PlatformBdsLockNonUpdatableFlash() : PlatformBdsLib.h
  • PlatformBdsPolicyBehavior() : PlatformBdsLib.h

- s -

  • SetupResetReminder() : GenericBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • BASEM_MEMORY_TEST : PlatformBdsLib.h
  • BBS_TYPE : LegacyDevOrder.h
  • DEV_PATH_FUNCTION : GenericBdsLib.h
  • EFI_BADGING_GET_IMAGE : OEMBadging.h
  • EFI_ISA_ACPI_DEVICE_ENUMERATE : IsaAcpi.h
  • EFI_ISA_ACPI_ENABLE_DEVICE : IsaAcpi.h
  • EFI_ISA_ACPI_GET_CUR_RESOURCE : IsaAcpi.h
  • EFI_ISA_ACPI_GET_POS_RESOURCE : IsaAcpi.h
  • EFI_ISA_ACPI_INIT_DEVICE : IsaAcpi.h
  • EFI_ISA_ACPI_INTERFACE_INIT : IsaAcpi.h
  • EFI_ISA_ACPI_PROTOCOL : IsaAcpi.h
  • EFI_ISA_ACPI_SET_DEVICE_POWER : IsaAcpi.h
  • EFI_ISA_ACPI_SET_RESOURCE : IsaAcpi.h
  • EFI_ISA_IO_PROTOCOL : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_ALLOCATE_BUFFER : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_COPY_MEM : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_FLUSH : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_FREE_BUFFER : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_IO_MEM : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_MAP : IsaIo.h
  • EFI_ISA_IO_PROTOCOL_UNMAP : IsaIo.h
  • EFI_OEM_BADGING_PROTOCOL : OEMBadging.h
  • EFI_VGA_MINI_PORT_PROTOCOL : VgaMiniPort.h
  • EFI_VGA_MINI_PORT_SET_MODE : VgaMiniPort.h
  • PROCESS_CAPSULES : PlatformBdsLib.h


IntelFrameworkModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • gBdsLibStringPackageGuid : BdsLibHii.h
  • gBlockIoVendorGuid : BlockIoVendor.h
  • gBootMaintFormSetGuid : BdsHii.h
  • gBootManagerFormSetGuid : BdsHii.h
  • gDeviceManagerFormSetGuid : BdsHii.h
  • gDriverHealthFormSetGuid : BdsHii.h
  • gEfiAcpiVariableCompatiblityGuid : AcpiVariableCompatibility.h
  • gEfiDataHubStatusCodeRecordGuid : DataHubStatusCodeRecord.h
  • gEfiIntelFrameworkModulePkgTokenSpaceGuid : IntelFrameworkModulePkgTokenSpace.h
  • gEfiIsaAcpiProtocolGuid : IsaAcpi.h
  • gEfiIsaIoProtocolGuid : IsaIo.h
  • gEfiLegacyBiosGuid : LegacyBios.h
  • gEfiLegacyDevOrderVariableGuid : LegacyDevOrder.h
  • gEfiOEMBadgingProtocolGuid : OEMBadging.h
  • gEfiPs2PolicyProtocolGuid : Ps2Policy.h
  • gEfiUpdateDataFileGuid : CapsuleDataFile.h
  • gEfiVgaMiniPortProtocolGuid : VgaMiniPort.h
  • gExitPmAuthProtocolGuid : ExitPmAuth.h
  • gFileExploreFormSetGuid : BdsHii.h
  • gFrontPageFormSetGuid : BdsHii.h
  • gHdBootDevicePathVariablGuid : HdBootVariable.h
  • gLastEnumLangGuid : LastEnumLang.h
  • gLzmaCustomDecompressGuid : LzmaDecompress.h
  • gLzmaF86CustomDecompressGuid : LzmaDecompress.h
  • gTianoCustomDecompressGuid : TianoDecompress.h


IntelFrameworkModulePkg[ALL]: IntelFrameworkModulePkg/IntelFrameworkModulePkg.dec.decdoxygen File Reference

  • File List
  • Globals

IntelFrameworkModulePkg/IntelFrameworkModulePkg.dec.decdoxygen File Reference

Generated on Fri Dec 19 16:55:45 2014 for IntelFrameworkModulePkg[ALL] by doxygen 1.5.7.1